<?php
/**
 * Menus settings
*/

    if(function_exists('register_nav_menu')) {
        
        if($this->display('primary_menu')) {
            register_nav_menu( 'primary',  __( 'Primary Menu', 'flexithemes' ) );

        }
        
        if($this->display('secondary_menu')) {
            register_nav_menu( 'secondary',  __( 'Secondary Menu', 'flexithemes' ) );

        }
    }
       
    function flexithemes_primary_menu_default()
    {
        ?>
        <div class="primary-menu-wrap">
			<ul class="primary-menu menus">
				<?php wp_list_pages('depth=3&sort_column=menu_order&title_li=' ); ?>
			</ul>
		</div>
        <?php
    } 
    
    function flexithemes_secondary_menu_default()
    {
        ?>
        <div class="secondary-menu-wrap">
			<ul class="secondary-menu menus">
				<?php wp_list_categories('depth=3&hide_empty=0&orderby=name&show_count=0&use_desc_for_title=1&title_li='); ?>
			</ul>
		</div>
        <?php
    } 
    

    function flexithemes_menu_styles()
    {
        global $theme;
        if($theme->display('primary_menu')) {
            echo '<link rel="stylesheet" href="' . get_bloginfo('template_url') . '/primary-menu.css" type="text/css" media="screen" />' . "\n";
        }
        
        if($theme->display('secondary_menu')) {
            echo '<link rel="stylesheet" href="' . get_bloginfo('template_url') . '/secondary-menu.css" type="text/css" media="screen" />' . "\n";
        }
    }
    
    function flexithemes_menu_js()
    {
        global $theme;
        
        $return = '';
        $do_dropdown = false;
        if($theme->display('primary_menu')) {
            $primary_menu = true . 'ul.primary-menu';
            $do_dropdown = true;
        }
        
        if($theme->display('secondary_menu')) {
            $secondary_menu = true . 'ul.secondary-menu';
            $do_dropdown = true;
        }
        if($do_dropdown) {
            $return .= "jQuery.noConflict(); \n";
                if($primary_menu) {
                    $primary_menu_arrows = $theme->display('primary_menu_arrows') ? 'true' : 'false';
                    $primary_menu_shadows = $theme->display('primary_menu_shadows') ? 'true' : 'false';
                    $primary_menu_delay = $theme->display('primary_menu_delay') ? $theme->get_option('primary_menu_delay') : '800';
                    $primary_menu_speed = $theme->display('primary_menu_speed') ? $theme->get_option('primary_menu_speed') : '200';
                    
                    switch ($theme->get_option('primary_menu_effect')) {
                        case 'standart' :
                        $primary_menu_effect = "animation: {width:'show'},\n";
                        break;
                        
                        case 'slide' :
                        $primary_menu_effect = "animation: {height:'show'},\n";
                        break;
                        
                        case 'fade' :
                        $primary_menu_effect = "animation: {opacity:'show'},\n";
                        break;
                        
                        case 'fade_slide_right' :
                        $primary_menu_effect = "onBeforeShow: function(){ this.css('marginLeft','20px'); },\n animation: {'marginLeft':'0px',opacity:'show'},\n";
                        break;
                        
                        case 'fade_slide_left' :
                        $primary_menu_effect = "onBeforeShow: function(){ this.css('marginLeft','-20px'); },\n animation: {'marginLeft':'0px',opacity:'show'},\n";
                        break;
                        
                        default:
                        $primary_menu_effect = "animation: {opacity:'show'},\n";
                    }
                    
                    $return .= "jQuery(function(){ \n\tjQuery('ul.primary-menu').superfish({ \n\t";
                    $return .= $primary_menu_effect;
                    $return .= "autoArrows:  $primary_menu_arrows,
                        dropShadows: $primary_menu_shadows, 
                        speed: $primary_menu_speed,
                        delay: $primary_menu_delay
                        });
                    });\n";
                }
                
                if($secondary_menu) {
                    
                    $secondary_menu_arrows = $theme->display('secondary_menu_arrows') ? 'true' : 'false';
                    $secondary_menu_shadows = $theme->display('secondary_menu_shadows') ? 'true' : 'false';
                    $secondary_menu_delay = $theme->display('secondary_menu_delay') ? $theme->get_option('secondary_menu_delay') : '800';
                    $secondary_menu_speed = $theme->display('secondary_menu_speed') ? $theme->get_option('secondary_menu_speed') : '200';
                    
                    switch ($theme->get_option('secondary_menu_effect')) {
                        case 'standart' :
                        $secondary_menu_effect = "animation: {width:'show'},\n";
                        break;
                        
                        case 'slide' :
                        $secondary_menu_effect = "animation: {height:'show'},\n";
                        break;
                        
                        case 'fade' :
                        $secondary_menu_effect = "animation: {opacity:'show'},\n";
                        break;
                        
                        case 'fade_slide_right' :
                        $secondary_menu_effect = "onBeforeShow: function(){ this.css('marginLeft','20px'); },\n animation: {'marginLeft':'0px',opacity:'show'},\n";
                        break;
                        
                        case 'fade_slide_left' :
                        $secondary_menu_effect = "onBeforeShow: function(){ this.css('marginLeft','-20px'); },\n animation: {'marginLeft':'0px',opacity:'show'},\n";
                        break;
                        
                        default:
                        $secondary_menu_effect = "animation: {opacity:'show'},\n";
                    }
                    
                    $return .= "jQuery(function(){ \n\tjQuery('ul.secondary-menu').superfish({ \n\t";
                    $return .= $secondary_menu_effect;
                    $return .= "autoArrows:  $secondary_menu_arrows,
                        dropShadows: $secondary_menu_shadows,
                        speed: $secondary_menu_speed,
                        delay: $secondary_menu_delay
                        });
                    });\n";
                }
        }
        return $return;
    }
    
    if($this->display('primary_menu') || $this->display('secondary_menu')) {
        wp_enqueue_script('jquery');
        wp_enqueue_script('hoverIntent', get_bloginfo('template_url') . '/includes/menus/js/hoverIntent.js');
        wp_enqueue_script('superfish', get_bloginfo('template_url') . '/includes/menus/js/superfish.js');
        $this->add_hook('meta', 'flexithemes_menu_styles');
        $this->footer_js(flexithemes_menu_js());
    }
?>