<?php
/**
 * Extension: Social Icons
 * Version: 1.1
 * Updated: August 12, 2010
*/

    new FlexiThemes_SocialIcons();
    
    class FlexiThemes_SocialIcons
    {
        var $theme;
        var $defaults;
        
        function FlexiThemes_SocialIcons()
        {
            global $theme;
            $this->theme = $theme;
            
            $this->theme->add_hook('soccial_icons', array(&$this, 'display_social_icons'));
            if(is_admin()) {
                $this->defaults = $this->theme->widgets_options['soccial_icons'];
                $this->flexipanel_options();
            }
        }
        
        function display_social_icons()
        {
            $output = '';
            if($this->theme->display('social_icons_rss')) {
                $output .= '<a href="' . $this->theme->rss_url() . '" target="_blank"><img src="' . $this->theme->get_option('social_icons_rss_icon') . '" alt="' . $this->theme->get_option('social_icons_rss_text') . '" title="' . $this->theme->get_option('social_icons_rss_text') . '"></a>';
            }
            
            if($this->theme->display('social_icons_twitter')) {
                $output .= '<a href="' . $this->theme->get_option('social_icons_twitter_url') . '" target="_blank"><img src="' . $this->theme->get_option('social_icons_twitter_icon') . '" alt="' . $this->theme->get_option('social_icons_twitter_text') . '" title="' . $this->theme->get_option('social_icons_twitter_text') . '"></a>';
            }
            
            if($this->theme->display('social_icons_facebook')) {
                $output .= '<a href="' . $this->theme->get_option('social_icons_facebook_url') . '" target="_blank"><img src="' . $this->theme->get_option('social_icons_facebook_icon') . '" alt="' . $this->theme->get_option('social_icons_facebook_text') . '" title="' . $this->theme->get_option('social_icons_facebook_text') . '"></a>';
            }
            
            if($output) {
                ?>
                <div id="social-profiles">
                    <?php echo $output; ?>
                </div>
                <?php
            }
        }
        
        function flexipanel_options()
        {
            $this->theme->flexipanel_option('General Options', array('Social Icons', 202), 
                'Social Icons', 'social_icons_info', 
                'content', '', 
                array('priority'=>100)
            );
            
            $this->theme->flexipanel_option('General Options', 'Social Icons', 
                'RSS Feed', 'social_icons_rss_info', 
                'content', '', 
                array('priority'=>200)
            );
            
            $this->theme->flexipanel_option('General Options', 'Social Icons', 
                'RSS Feed Enabled?', 'social_icons_rss', 
                'checkbox', $this->defaults['rss'], 
                array('priority'=>300, 'display'=>'inline')
            ); 
            
            $this->theme->flexipanel_option('General Options', 'Social Icons', 
                'RSS Feed Icon', 'social_icons_rss_icon', 
                'imageupload', $this->defaults['rss_icon'], 
                array('priority'=>400, 'display'=>'inline')
            ); 
            
            $this->theme->flexipanel_option('General Options', 'Social Icons', 
                'RSS Feed Title/Text', 'social_icons_rss_text', 
                'text', $this->defaults['rss_text'], 
                array('priority'=>500, 'display'=>'inline', 'help'=>'Mouse over title text')
            ); 
            
            $this->theme->flexipanel_option('General Options', 'Social Icons', 
                'Twitter', 'social_icons_twitter_info', 
                'content', '', 
                array('priority'=>600)
            );
            
            $this->theme->flexipanel_option('General Options', 'Social Icons', 
                'Twitter Enabled?', 'social_icons_twitter', 
                'checkbox', $this->defaults['twitter'], 
                array('priority'=>700, 'display'=>'inline')
            ); 
            
            $this->theme->flexipanel_option('General Options', 'Social Icons', 
                'Twitter URL', 'social_icons_twitter_url', 
                'text', $this->defaults['twitter_url'], 
                array('priority'=>800, 'display'=>'inline')
            );
            
            $this->theme->flexipanel_option('General Options', 'Social Icons', 
                'Twitter Icon', 'social_icons_twitter_icon', 
                'imageupload', $this->defaults['twitter_icon'], 
                array('priority'=>900, 'display'=>'inline')
            );
           
            $this->theme->flexipanel_option('General Options', 'Social Icons', 
                'Twitter Title/Text', 'social_icons_twitter_text', 
                'text', $this->defaults['twitter_text'], 
                array('priority'=>1000, 'display'=>'inline', 'help'=>'Mouse over title text')
            ); 
            
            $this->theme->flexipanel_option('General Options', 'Social Icons', 
                'Facebook', 'social_icons_facebook_info', 
                'content', '', 
                array('priority'=>1100)
            );
            
            $this->theme->flexipanel_option('General Options', 'Social Icons', 
                'Facebook Enabled?', 'social_icons_facebook', 
                'checkbox', $this->defaults['facebook'], 
                array('priority'=>1200, 'display'=>'inline')
            ); 
            
            $this->theme->flexipanel_option('General Options', 'Social Icons', 
                'Facebook URL', 'social_icons_facebook_url', 
                'text', $this->defaults['facebook_url'], 
                array('priority'=>1300, 'display'=>'inline')
            );
           
            $this->theme->flexipanel_option('General Options', 'Social Icons', 
                'Facebook Icon', 'social_icons_facebook_icon', 
                'imageupload', $this->defaults['facebook_icon'], 
                array('priority'=>1400, 'display'=>'inline')
            );
            
            $this->theme->flexipanel_option('General Options', 'Social Icons', 
                'Facebook Title/Text', 'social_icons_facebook_text', 
                'text', $this->defaults['facebook_text'], 
                array('priority'=>1500, 'display'=>'inline', 'help'=>'Mouse over title text')
            ); 
        }
        
    }
?>