<?php
/**
 * Registering the widget areas
*/
    
    if ( function_exists('register_sidebar') ) {
        
        // Sidebar 1
    	register_sidebar(array(
            'name' => __( 'Sidebar 1', 'flexithemes' ),
    		'id' => 'sidebar-1',
    		'description' => __( 'The sidebar 1 widget area', 'flexithemes' ),
            'before_widget' => '<ul class="widget-wrap"><li id="%1$s" class="widget %2$s">',
            'after_widget' => '</li></ul>',
            'before_title' => '<h3 class="widget-title">',
            'after_title' => '</h3>',
        ));
    }
    
    
/**
 * Widgets Default Values
*/

    $this->widgets_options = array(
        
        //*************************************
        // Flexi Banners 125
        //*************************************
        'banners-125' => array(
            'randomize' => '',
            'banners' => array(
                '<a href="http://flexithemes.com" target="_blank"><img src="http://flexithemes.com/wp-content/examples/flexi125.gif" alt="FlexiThemes" title="FlexiThemes" /></a>',
                '<a href="http://flexithemes.com" target="_blank"><img src="http://flexithemes.com/wp-content/examples/mix125.gif" alt="FlexiThemes" title="FlexiThemes" /></a>'
            )
        ), 
        
        //*************************************
        // Flexi Comments
        //*************************************
        'comments' => array(
            'title' => 'Recent Comments',
            'comments_number' => '5',
            'display_author' => 'true',
            'display_comment' => 'true',
            'display_avatar' => 'true',
            'read_more_text' => '&raquo;',
            'comment_length' => '26',
            'avatar_size' => '32',
            'avatar_align' => 'alignleft'
        ),
        
        //*************************************
        // Flexi Posts
        //*************************************
        'posts' => array(
            'title' => 'Recent Posts',
            'posts_number' => '5',
            'order_by' => 'none',
            'display_title' => 'true',
            'display_date' => 'true',
            'display_author' => 'true',
            'display_content' => 'true',
            'display_thumbnail' => 'true',
            'display_read_more' => 'true',
            'content_type' => 'the_excerpt',
            'excerpt_length' => '26',
            'thumbnail_width' => '90',
            'thumbnail_height' => '60',
            'thumbnail_align' => 'alignleft',
            'filter' => 'recent',
            'filter_cats' => '',
            'filter_tags' => ''
            
        ),
        
        //*************************************
        // Flexi Search
        //*************************************
        'search' => array(
            'margin' => '20px 0 0 0',
            'width' => '258'
        ),
        
        //*************************************
        // Flexi Soccial Connect
        //*************************************
        'social-connect' => array(
            'rss' => 'true',
            'rss_title' => 'Subscribe to our RSS Feed',
            'rss_url' => get_bloginfo('rss2_url'),
            'rss_image' => get_bloginfo('template_url') . '/images/widgets/social-connect-rss.png',
            'twitter' => 'true',
            'twitter_title' => 'Follow Us on Twitter',
            'twitter_url' => 'http://twitter.com/FlexiThemes',
            'twitter_image' => get_bloginfo('template_url') . '/images/widgets/social-connect-twitter.png',
            'facebook' => 'true',
            'facebook_title' => 'Be Our Fan on Facebook',
            'facebook_url' => 'http://facebook.com/FlexiThemes',
            'facebook_image' => get_bloginfo('template_url') . '/images/widgets/social-connect-facebook.png'
        ),
        
        //*************************************
        // Flexi Soccial Share
        //*************************************
        'social-share' => array(
            'iconset' => 'icons_1',
            'title' => 'Share',
            'twitter_enabled' => 'true', 'twitter_order' => '1',
            'facebook_enabled' => 'true', 'facebook_order' => '2',
            'digg_enabled' => 'true', 'digg_order' => '3',
            'delicious_enabled' => 'true', 'delicious_order' => '4',
            'stumbleupon_enabled' => 'true', 'stumbleupon_order' => '5',
            'favorites_enabled' => 'true', 'favorites_order' => '6',
            'more_enabled' => 'true', 'more_order' => '7'
        ),
        
        //*************************************
        // Flexi Tabs
        //*************************************
        'tabs' => array(
            'number' => '3',
            'content_effect' => 'show',
            'tab_label_1' => 'Recent Posts', 'tab_content_1' => 'posts',
            'tab_label_2' => 'Comments', 'tab_content_2' => 'comments',
            'tab_label_3' => 'Tags', 'tab_content_3' => 'tags'
        ),
        
        //*************************************
        // Flexi Tweets
        //*************************************
        'tweets' => array(
            'title' => 'Recent Tweets',
            'number' => '5',
            'username' => 'FlexiThemes',
            'link_title' => 'true',
            'refresh' => '30',
            'bird' => 'true',
            'autolinks' => 'true',
            'user_links' => 'true',
            'date' => 'true'
        ),
        
/**
 * Extensions Default Values
*/
        
        //*************************************
        // Featured Posts - Smooth Gallery
        //*************************************
        'smoothgallery' => array(
            'enabled_in' => array('homepage'),
            'source' => 'category',
            'category_num' => '5',
            'effect' => 'fade',
            'width' => '610',
            'height' => '320',
            'delay' => '6000',
            'duration' => '500',
            'opacity' => '0.8',
            'background' => '373737',
            'carousel_background' => '373737',
            'textcolor' => 'ffffff',
            'carousel_title' => 'Featured Posts',
            'default_moreoptions' => array('showInfopane','timed', 'preloader', 'preloaderImage', 'slideInfoZoneSlide', 'useThumbGenerator', 'showArrows', 'showCarousel')
        ), 
        
        //*************************************
        // Menus Defaults
        //*************************************
        'menus' => array(
            'primary_menu' => 'true',
            'primary_menu_depth' => '0',
            'primary_menu_effect' => 'slide',
            'primary_menu_speed' => '100',
            'primary_menu_delay' => '800',
            'primary_menu_arrows' => 'true',
            'primary_menu_shadows' => '',
            'secondary_menu' => '',
            'secondary_menu_depth' => '0',
            'secondary_menu_effect' => 'fade',
            'secondary_menu_speed' => '200',
            'secondary_menu_delay' => '800',
            'secondary_menu_arrows' => 'true',
            'secondary_menu_shadows' => ''
        ), 
        
        //*************************************
        // Social Icons
        //*************************************
        'soccial_icons' => array(
            'rss' => 'true',
            'rss_text' => 'Subscribe to our RSS Feed',
            'rss_icon' => get_bloginfo('template_url') . '/includes/social-icons/images/rss.png',
            'twitter' => 'true',
            'twitter_url' => 'http://twitter.com/FlexiThemes',
            'twitter_icon' => get_bloginfo('template_url') . '/includes/social-icons/images/twitter.png',
            'twitter_text' => 'Follow Us on Twitter',
            'facebook' => 'true',
            'facebook_url' => 'http://facebook.com/FlexiThemes',
            'facebook_icon' => get_bloginfo('template_url') . '/includes/social-icons/images/facebook.png',
            'facebook_text' => 'Be Our Fan on Facebook'
        )
    );
?>