<?php
    require_once TEMPLATEPATH . '/flexipanel/FlexiTheme.php';
    $theme = new FlexiTheme();
    $theme->theme_name = 'Firm';
    
    // Load Plugins
    $theme->options['plugins'] = array('featuredposts', 'aboutus');
    
    //Plugin Options
    $theme->options['plugins_options']['featuredposts'] = array('image_sizes'=> '960px. X 350px.', 'speed'=> '400', 'effect' => 'scrollHorz', 'hook' => 'main_wrap', 'hook_priority' => '11', 'readmore' => '');
    $theme->options['plugins_options']['aboutus'] = array('hook' => 'main_wrap', 'hook_priority' => '12');
    
    // Menu Options
    unset($theme->options['menus']['menu-secondary']);
    $theme->options['menus']['menu-primary']['hook'] = 'header_menu';
    
    // Unset The Ads
    unset($theme->admin_options['Ads']);
    
    // Homepage layout options
    $theme->admin_option('General Options', 'General Options', 
        'Homepage Layout', 'homepage_layout', 
        'radio', 'widgetized', 
        array('options' => array('widgetized'=> 'Widgetized/Business Mode', 'blog' => 'Blogging Mode - Show latest posts'), 'display'=>'extended', 'priority' => '21')
    );
    
    // Footer widgets
    $theme->admin_option('General Options', 'General Options', 
        'Footer Widgets Enabled?', 'footer_widgets', 
        'checkbox', 'true', 
        array('display'=>'extended', 'help' => 'Display or hide the 3 widget areas on footer.', 'priority' => '22')
    );
    
    $theme->load();
    
    // Primary Sidebar Widget Area
    register_sidebar(array(
        'name' => __('Primary Sidebar', 'flexithemes'),
        'id' => 'sidebar_primary',
        'description' => __('The primary sidebar widget area', 'flexithemes'),
        'before_widget' => '<ul class="wrap-widget"><li id="%1$s" class="widget %2$s">',
        'after_widget' => '</li></ul>',
        'before_title' => '<h3 class="widget-title">',
        'after_title' => '</h3>',
    ));
    
    // Homepage Widget Areas
    register_sidebar(array(
        'name' => __('Homepage Left Widget Area', 'flexithemes'),
        'id' => 'homepage_left',
        'description' => __('The homepage left widget area', 'flexithemes'),
        'before_widget' => '<ul class="wrap-widget"><li id="%1$s" class="widget %2$s">',
        'after_widget' => '</li></ul>',
        'before_title' => '<h3 class="widget-title">',
        'after_title' => '</h3>',
    ));
    
    register_sidebar(array(
        'name' => __('Homepage Center Widget Area', 'flexithemes'),
        'id' => 'homepage_center',
        'description' => __('The homepage center widget area', 'flexithemes'),
        'before_widget' => '<ul class="wrap-widget"><li id="%1$s" class="widget %2$s">',
        'after_widget' => '</li></ul>',
        'before_title' => '<h3 class="widget-title">',
        'after_title' => '</h3>',
    ));
    
    register_sidebar(array(
        'name' => __('Homepage Right Widget Area', 'flexithemes'),
        'id' => 'homepage_right',
        'description' => __('The homepage right widget area', 'flexithemes'),
        'before_widget' => '<ul class="wrap-widget"><li id="%1$s" class="widget %2$s">',
        'after_widget' => '</li></ul>',
        'before_title' => '<h3 class="widget-title">',
        'after_title' => '</h3>',
    ));
    
    // Register the footer widgets only if they are enabled from the FlexiPanel
    if($theme->display('footer_widgets')) {
        register_sidebar(array(
            'name' => __('Footer Left Widget Area', 'flexithemes'),
            'id' => 'footer_left',
            'description' => __('The footer left widget area', 'flexithemes'),
            'before_widget' => '<ul class="wrap-widget"><li id="%1$s" class="widget %2$s">',
            'after_widget' => '</li></ul>',
            'before_title' => '<h3 class="widget-title">',
            'after_title' => '</h3>',
        ));
        
        register_sidebar(array(
            'name' => __('Footer Center Widget Area', 'flexithemes'),
            'id' => 'footer_center',
            'description' => __('The footer center widget area', 'flexithemes'),
            'before_widget' => '<ul class="wrap-widget"><li id="%1$s" class="widget %2$s">',
            'after_widget' => '</li></ul>',
            'before_title' => '<h3 class="widget-title">',
            'after_title' => '</h3>',
        ));
        
        register_sidebar(array(
            'name' => __('Footer Right Widget Area', 'flexithemes'),
            'id' => 'footer_right',
            'description' => __('The footer right widget area', 'flexithemes'),
            'before_widget' => '<ul class="wrap-widget"><li id="%1$s" class="widget %2$s">',
            'after_widget' => '</li></ul>',
            'before_title' => '<h3 class="widget-title">',
            'after_title' => '</h3>',
        ));
    }
?>