<?php
/**
 * Plugin: About Us
 * Author: FlexiThemes.com
 * Version: 1.0.1
 * Updated: Nov 14, 2010
*/

    new FlexiThemes_AboutUs();
    
    class FlexiThemes_AboutUs
    {
        var $theme;
        
        var $defaults = array(
            'enabled' => 'true',
            'hook' => 'content_before',
            'hook_priority' => '1',
            'title' => 'About Us',
            'content' => 'Lorem ipsum eu usu assum liberavisse, ut munere praesent complectitur mea. Sit an option maiorum principes. Ne per probo magna idque, est veniam exerci appareat no. Sit at amet propriae intellegebat, natum iusto forensibus duo ut. Pro hinc aperiri fabulas ut, probo tractatos euripidis an vis, ignota oblique ut nec. Ad ius munere soluta deterruisset, quot veri id vim, te vel bonorum ornatus persequeris.'
        );
        
        function FlexiThemes_AboutUs()
        {
            global $theme;
            $this->theme = $theme;
            
            if(is_array($this->theme->options['plugins_options']['aboutus']) ) {
                $this->defaults = array_merge($this->defaults, $this->theme->options['plugins_options']['aboutus']);
            }
            
            if($this->theme->display('aboutus_enabled') ) { 
                $this->theme->add_hook($this->defaults['hook'], array(&$this, 'display_aboutus'), $this->defaults['hook_priority']);
            }
            
  
            if(is_admin()) {
                $this->flexipanel_options();
            }
        }

        
        function display_aboutus()
        {
            if(is_front_page()) {
                $featuredposts_moreoptions = $this->theme->get_option('featuredposts_moreoptions');
                echo '<div class="flexi-aboutus-wrap">';
                if($this->theme->display('aboutus_title')) {
                    echo '<h2 class="flexi-aboutus-title">' . $this->theme->get_option('aboutus_title') . '</h2>';
                }
                
                if($this->theme->display('aboutus_content')) {
                    echo '<div class="flexi-aboutus-content">' . $this->theme->get_option('aboutus_content') . '</div>';
                }
                echo '</div>';
            }
        }
        
        function flexipanel_options()
        {
            $this->theme->admin_option('General Options', array('About Us', false, 16), 
                'About Us', 'aboutus_info', 
                'content', ''
            );
            
            $this->theme->admin_option('General Options', 'About Us', 
                '"About Us" section enabled?', 'aboutus_enabled', 
                'checkbox', $this->defaults['enabled'], 
                array('display'=>'inline')
            );
            
            $this->theme->admin_option('General Options', 'About Us', 
                'Title', 'aboutus_title', 
                'text', $this->defaults['title']
            );
            
            $this->theme->admin_option('General Options', 'About Us', 
                'Content', 'aboutus_content', 
                'textarea', $this->defaults['content'],
                array('style'=>'height: 250px;')
            );
        }
    }
?>