<?php 
$themename = "FlexiBusiness";
$shortname = str_replace(' ', '_', strtolower($themename));


function flexi_theme_style() 
{
    $color_scheme = get_theme_option('color_scheme');
    if(!$color_scheme || !file_exists(TEMPLATEPATH . '/style-' . $color_scheme . '.css')) {
        $color_scheme = 'default';
    }
    return $color_scheme;
}

if ( function_exists('register_sidebar') ) {
    
    register_sidebar(array(
    	'name' => 'Sidebar',
        'before_widget' => '<li id="%1$s" class="widget %2$s">',
        'after_widget' => '</li>',
        'before_title' => '<h2 class="widgettitle">',
        'after_title' => '</h2>',
    ));
    
	register_sidebar(array(
    	'name' => 'Footer Left',
        'before_widget' => '<li id="%1$s" class="widget %2$s">',
        'after_widget' => '</li>',
        'before_title' => '<h2 class="widgettitle">',
        'after_title' => '</h2>',
    ));
    
    register_sidebar(
	array(
		'name' => 'Footer Center',
		'before_widget' => '<li id="%1$s" class="widget %2$s">',
        'after_widget' => '</li>',
        'before_title' => '<h2 class="widgettitle">',
        'after_title' => '</h2>',
    ));
    
    register_sidebar(
	array(
		'name' => 'Footer Right',
		'before_widget' => '<li id="%1$s" class="widget %2$s">',
        'after_widget' => '</li>',
        'before_title' => '<h2 class="widgettitle">',
        'after_title' => '</h2>',
    ));
}

wp_enqueue_script('jquery');
wp_enqueue_script('hoverIntent', get_bloginfo('template_url') . '/js/hoverIntent.js');
wp_enqueue_script('superfish', get_bloginfo('template_url') . '/js/superfish.js');
wp_enqueue_script('cycle', get_bloginfo('template_url') . '/js/jquery.cycle.all.min.js');
wp_enqueue_script('commonscripts', get_bloginfo('template_url') . '/js/scripts.js');


    

    function new_excerpt_more($more) {
    	return '';
    }
    add_filter('excerpt_more', 'new_excerpt_more');


    function new_excerpt_more_wp_older($excerpt) 
    {
    	return str_replace('[...]', '', $excerpt);
    }
    add_filter('wp_trim_excerpt', 'new_excerpt_more_wp_older');


    function flexi_shorten($string, $wordsreturned)
    {
        $retval = $string;
        $array = explode(" ", $string);
        if (count($array)<=$wordsreturned){
            $retval = $string;
        }
        else {
            array_splice($array, $wordsreturned);
            $retval = implode(" ", $array);
        }
        return $retval;
    }

    function get_theme_option($option)
    {
    	global $shortname;
    	return stripslashes(get_option($shortname . '_' . $option));
    }



function cats_to_select()
{
	$categories = get_categories('hide_empty=0'); 
	$categories_array[] = array('value'=>'0', 'title'=>'Select');
	foreach ($categories as $cat) {
		if($cat->category_count == '0') {
			$posts_title = 'No posts!';
		} elseif($cat->category_count == '1') {
			$posts_title = '1 post';
		} else {
			$posts_title = $cat->category_count . ' posts';
		}
		$categories_array[] = array('value'=> $cat->cat_ID, 'title'=> $cat->cat_name . ' ( ' . $posts_title . ' )');
	  }
	return $categories_array;
}

$theme_color_schemes = array(
        array('value' => 'default', 'title' => 'Default (Black)'),
        array('value' => 'blue', 'title' => 'Blue'),
        array('value' => 'darkblue', 'title' => 'Dark Blue'),
        array('value' => 'green', 'title' => 'Green'),
        array('value' => 'brown', 'title' => 'Brown'),
        array('value' => 'darkred', 'title' => 'Dark Red'),
    );

$options = array (
			
	array("type" => "open"),
    
    array(	"name" => "Color Scheme",
		"desc" => "",
		"id" => "color_scheme",
		"std" =>  'default',
		"options" =>  $theme_color_schemes,
		"type" => "select"),
    
	array(	"name" => "Logo Image",
		"desc" => "Enter the full url to your logo image. You can use the Media menu to <a href='" . get_bloginfo('url') ."/wp-admin/media-new.php'>upload your logo image</a> and get File URL. Leave it blank if you don't want to use a logo image.",
		"id" => "logo",
		"std" =>  get_bloginfo('template_url') . "/images/logo.png",
		"type" => "text"),
    
    array(	"name" => "Favicon",
		"desc" => "Enter the full url to your favicon file. You can use the Media menu to <a href='" . get_bloginfo('url') ."/wp-admin/media-new.php'>upload your favicon file</a> and get File URL. Leave it blank if you don't want to use a favicon.",
		"id" => "favicon",
		"std" => "",
		"type" => "text"),
        
    array(	"name" => "Featured Posts Enabled?",
			"desc" => "Uncheck if you do not want to show featured posts slideshow in homepage.",
			"id" => "featured_posts",
			"std" => "true",
			"type" => "checkbox"),
    array(	"name" => "Number of Feautured Posts",
		"desc" => "The number of posts you want to show on featured slideshow.",
		"id" => "featured_posts_num",
		"std" =>  "5",
		"type" => "text"),
        
	array(	"name" => "Featured Posts Category", 
 "desc" => "The selected number of posts form the selected category will be listed on featured slideshow at homepage. <br />The selected category should contain at last 1 post with thumbnail. <br /> <br /> <b>How to add images to your featured posts slideshow?</b> <br />
            <b>&raquo;</b> If you are using WordPress version 2.9 and above: Just set \"Post Thumbnail\" when adding new post for the posts in selected category above. <br /> 
            <b>&raquo;</b> If you are using WordPress version under 2.9  you have to add custom fields in each post on the  category  you set as featured category. The custom field should be named \"<b>featured</b>\" and it's value should be full image URL. <br /> <br />
            Recommended image sizes: Width: <b>440 px</b>. Height: <b>280 px.</b>",
			"id" => "featured_posts_category",
			"options" => cats_to_select(),
			"std" => "0",
			"type" => "select"),
            
    array(	"name" => "Homepage Center Content",
		"desc" => "Add page ID's separated with commas (e.g: 5,8,9). These pages will be listed at homepage immediately after featured slider. You can include unlimited pages. Recommended number of pages is 3 or 6 (3 pages per row fits best). The images can be added using the post thubnails when you are adding or editing the pages. Recommended image sizes: width: 280 px. Height: 100 px. ",
		"id" => "homepage_pages",
		"std" =>  "",
		"type" => "text"),
        
     array(	"name" => "Exclude Homepage Pages from Menu",
		"desc" => "Check this in case you want to exlude the homepage center pages from the menu.",
		"id" => "exclude_homepage_pages",
		"std" =>  "",
		"type" => "checkbox"),
			
	array("name" => "Sidebar 125x125 banners",
		"desc" => "Add your 125x125 banners here. You can add unlimited ads. Each new banner should be in new line with using the following format: <br/>http://anydomain.com/banner.gif, http://anydomain.com/link_url.html, Title",
        "id" => "banners_125",
        "type" => "textarea",
		"std" =>  get_bloginfo('template_url') . "/images/125bnr.gif,#\n" . get_bloginfo('template_url') . "/images/125bnr.gif,#"
		),
	
	array(	"name" => "Head Script(s)",
		"desc" => "The content of this box will be added immediately before &lt;/head&gt; tag. Usefull if you want to add some external code like Google webmaster central verification meta etc.",
        "id" => "head",
        "type" => "textarea"	
		),
		
	array(	"name" => "Footer Script(s)",
		"desc" => "The content of this box will be added immediately before &lt;/body&gt; tag. Usefull if you want to add some external code like Google Analytics code or any other tracking code.",
        "id" => "footer",
        "type" => "textarea"	
		),
					
	array(	"type" => "close")
	
);

function mytheme_add_admin() {
    global $themename, $shortname, $options;
	
    if ( $_GET['page'] == basename(__FILE__) ) {
        if ( $_REQUEST['action'] == 'save') {
            foreach ($options as $value) {
                update_option( $shortname . '_' . $value['id'], $_REQUEST[ $shortname . '_' . $value['id'] ] ); 
            }
            echo '<meta http-equiv="refresh" content="0;url=themes.php?page=functions.php&saved=true">';
            exit();
        }
    }
    add_theme_page($themename." Theme Options", "".$themename." Theme Options", 'edit_themes', basename(__FILE__), 'mytheme_admin');
}

function mytheme_admin_init() {

    global $themename, $shortname, $options;
    
    $get_theme_options = get_theme_option('options');
    if($get_theme_options != 'yes') {
    	foreach ($options as $value) {
         	update_option( $shortname . '_' . $value['id'],  $value['std'] ); 
		}
    	update_option($shortname . '_options', 'yes');
    }
}

function mytheme_admin() {

    global $themename, $shortname, $options;

    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings saved.</strong></p></div>';
    
?>
<div class="wrap">
<h2><?php echo $themename; ?> Theme Options</h2>
<div style="border-bottom: 1px dotted #000; padding-bottom: 10px; margin: 10px;">Leave any field blank if you don't want it to be displayed.</div>
<form method="post">



<?php foreach ($options as $value) { 
    $value['id_id'] = $shortname . "_" . $value['id'];;
	switch ( $value['type'] ) {
	
		case "open":
		?>
        <table width="100%" border="0" style=" padding:10px;">
		
        
        
		<?php break;
		
		case "close":
		?>
		
        </table><br />
        
        
		<?php break;
		
		case "title":
		?>
		<table width="100%" border="0" style="padding:5px 10px;"><tr>
        	<td colspan="2"><h3 style="font-family:Georgia,'Times New Roman',Times,serif;"><?php echo $value['name']; ?></h3></td>
        </tr>
                
        
		<?php break;

		case 'text':
		?>
        
        <tr>
            <td width="20%" rowspan="2" valign="middle"><strong><?php echo $value['name']; ?></strong></td>
            <td width="80%"><input style="width:100%;" name="<?php echo $value['id_id']; ?>" id="<?php echo $value['id_id']; ?>" type="<?php echo $value['type']; ?>" value="<?php echo get_theme_option( $value['id'] ); ?>" /></td>
        </tr>

        <tr>
            <td><small><?php echo $value['desc']; ?></small></td>
        </tr><tr><td colspan="2" style="margin-bottom:5px;border-bottom:1px dotted #000000;">&nbsp;</td></tr><tr><td colspan="2">&nbsp;</td></tr>

		<?php 
		break;
		
		case 'textarea':
		?>
        
        <tr>
            <td width="20%" rowspan="2" valign="middle"><strong><?php echo $value['name']; ?></strong></td>
            <td width="80%"><textarea name="<?php echo $value['id_id']; ?>" style="width:100%; height:140px;"  cols="" rows=""><?php echo get_theme_option( $value['id'] ); ?></textarea></td>
            
        </tr>

        <tr>
            <td><small><?php echo $value['desc']; ?></small></td>
        </tr><tr><td colspan="2" style="margin-bottom:5px;border-bottom:1px dotted #000000;">&nbsp;</td></tr><tr><td colspan="2">&nbsp;</td></tr>

		<?php 
		break;
		
		case 'select':
		?>
        <tr>
            <td width="20%" rowspan="2" valign="middle"><strong><?php echo $value['name']; ?></strong></td>
            <td width="80%">
				<select style="width:240px;" name="<?php echo $value['id_id']; ?>" id="<?php echo $value['id_id']; ?>">
					<?php 
						foreach ($value['options'] as $option) { ?>
						<option value="<?php echo $option['value']; ?>" <?php if ( get_theme_option( $value['id'] ) == $option['value']) { echo ' selected="selected"'; } ?>><?php echo $option['title']; ?></option>
						<?php } ?>
				</select>
			</td>
       </tr>
                
       <tr>
            <td><small><?php echo $value['desc']; ?></small></td>
       </tr><tr><td colspan="2" style="margin-bottom:5px;border-bottom:1px dotted #000000;">&nbsp;</td></tr><tr><td colspan="2">&nbsp;</td></tr>

		<?php
        break;

		case "checkbox":
		?>
            <tr>
            <td width="20%" rowspan="2" valign="middle"><strong><?php echo $value['name']; ?></strong></td>
                <td width="80%"><? if(get_theme_option($value['id'])){ $checked = "checked=\"checked\""; }else{ $checked = ""; } ?>
                        <input type="checkbox" name="<?php echo $value['id_id']; ?>" id="<?php echo $value['id_id']; ?>" value="true" <?php echo $checked; ?> />
                        </td>
            </tr>
                        
            <tr>
                <td><small><?php echo $value['desc']; ?></small></td>
           </tr><tr><td colspan="2" style="margin-bottom:5px;border-bottom:1px dotted #000000;">&nbsp;</td></tr><tr><td colspan="2">&nbsp;</td></tr>
            
        <?php 		break;
	
 
} 
}
?>

<!--</table>-->

<p class="submit">
<input name="save" type="submit" value="Save changes" />    
<input type="hidden" name="action" value="save" />
</p>
</form>

<?php
}
mytheme_admin_init($target = '_blank');

add_action('admin_menu', 'mytheme_add_admin');

function banners_125()
{
	 $option = get_theme_option('banners_125');
     if($option) {
         $values = explode("\n", $option);
    	 if(is_array($values)) {
    	 	foreach ($values as $item) {
    		 	$ad = explode(',', $item);
    		 	$banner = trim($ad['0']);
    		 	$url = trim($ad['1']);
    		 	$title = trim($ad['2']);
    		 	if(!empty($banner) && !empty($url)) {
    		 		echo "<a href=\"$url\" target=\"$target\"><img class=\"banner125\" src=\"$banner\" alt=\"$title\" title=\"$title\" /></a> \n";
    		 	}
    		 }
    	 }
     }
}
if ( function_exists("add_theme_support") ) { add_theme_support("post-thumbnails"); } 
?>
