<?php global $theme;  if ( post_password_required() ) { ?>
    <div class="nopassword"><?php _e( 'This post is password protected. Enter the password to view any comments.', 'flexithemes' ); ?></div>
<?php return; } ?>

<?php if ( have_comments() ) { ?>
	<h3 id="comments-title"><?php
	printf( _n( 'One Response to %2$s', '%1$s Responses to %2$s', get_comments_number(), 'flexithemes' ),
	number_format_i18n( get_comments_number() ), '<em>' . get_the_title() . '</em>' );
	?></h3>
<?php } ?>

<div id="comments" class="clearfix">
<?php if ( have_comments() ) { ?>  
		<ol class="commentlist">
            <?php $theme->hook('comment_list_before'); ?>
			<?php wp_list_comments( array( 'callback' => 'flexithemes_comment' ) ); ?>
            <?php $theme->hook('comment_list_after'); ?>
		</ol>

        <?php if ( get_comment_pages_count() > 1 ) { ?>
			<div class="navigation clearfix">
				<div class="nav-previous"><?php previous_comments_link( __( '<span class="meta-nav">&larr;</span> Older Comments', 'flexithemes' ) ); ?></div>
				<div class="nav-next"><?php next_comments_link( __( 'Newer Comments <span class="meta-nav">&rarr;</span>', 'flexithemes' ) ); ?></div>
			</div><!-- .navigation -->
        <?php } 

} else {
    if ( ! comments_open() ) { ?>
	   <p class="nocomments"><?php _e( 'Comments are closed.', 'flexithemes' ); ?></p>
    <?php }

} ?>

<?php $theme->hook('comment_form_before'); ?>
<?php comment_form(); ?>
<?php $theme->hook('comment_form_after'); ?>

</div><!-- #comments -->

<?php
    function flexithemes_comment( $comment, $args, $depth ) {
        global $theme; 
    	$GLOBALS['comment'] = $comment; ?>
    	<?php if ( '' == $comment->comment_type ) : ?>
    	<li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>">
            <?php $theme->hook('comment_before'); ?>
    		<div id="comment-<?php comment_ID(); ?>">
    		<div class="comment-author vcard">
    			<?php echo get_avatar( $comment, 40 ); ?>
    			<?php printf( __( '%s <span class="says">says:</span>', 'flexithemes' ), sprintf( '<cite class="fn">%s</cite>', get_comment_author_link() ) ); ?>
    		</div><!-- .comment-author .vcard -->
    		<?php if ( $comment->comment_approved == '0' ) : ?>
    			<em><?php _e( 'Your comment is awaiting moderation.', 'flexithemes' ); ?></em>
    			<br />
    		<?php endif; ?>
    
    		<div class="comment-meta commentmetadata"><a href="<?php echo esc_url( get_comment_link( $comment->comment_ID ) ); ?>">
    			<?php
    				printf( __( '%1$s at %2$s', 'flexithemes' ), get_comment_date(),  get_comment_time() ); ?></a><?php edit_comment_link( __( '(Edit)', 'flexithemes' ), ' ' );
    			?>
    		</div><!-- .comment-meta .commentmetadata -->
    
    		<div class="comment-body"><?php comment_text(); ?></div>
    
    		<div class="reply">
    			<?php comment_reply_link( array_merge( $args, array( 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
    		</div><!-- .reply -->
            
    	</div><!-- #comment-##  -->
        <?php $theme->hook('comment_after'); ?>
    	<?php else : ?>
    	<li class="post pingback">
    		<p><?php _e( 'Pingback:', 'flexithemes' ); ?> <?php comment_author_link(); ?><?php edit_comment_link( __('(Edit)', 'flexithemes'), ' ' ); ?></p>
    	<?php endif;
    }
?>
