<?php
    require_once TEMPLATEPATH . '/flexipanel/FlexiTheme.php';
    $theme = new FlexiTheme();
    $theme->theme_name = 'OurBusiness';
    
    // Load Plugins
    $theme->options['plugins'] = array('featuredposts', 'topsearch', 'aboutus');
    
    //Plugin Options
    $theme->options['plugins_options']['featuredposts'] = array('image_sizes'=> '930px. X 300px.', 'speed'=> '400', 'effect' => 'fade', 'hook' => 'header_after', 'hook_priority' => '11', 'readmore' => '');
    $theme->options['plugins_options']['aboutus'] = array('hook' => 'header_after', 'hook_priority' => '12');
    
    // Menu Options
    unset($theme->options['menus']['menu-secondary']);
    $theme->options['menus']['menu-primary']['hook'] = 'header_after';
    $theme->options['menus']['menu-primary']['effect'] = 'fade_slide_right';
    
    // Unset The Ads
    unset($theme->admin_options['Ads']);
    
    // Homepage layout options
    $theme->admin_option('General Options', 'General Options', 
        'Homepage Layout', 'homepage_layout', 
        'radio', 'widgetized', 
        array('options' => array('widgetized'=> 'Widgetized/Business Mode', 'blog' => 'Blogging Mode - Show latest posts'), 'display'=>'extended', 'priority' => '21')
    );
    
    $theme->load();
    
    // Register the widget areas
    register_sidebar(array(
        'name' => __('Primary Sidebar', 'flexithemes'),
        'id' => 'sidebar_primary',
        'description' => __('The primary sidebar widget area', 'flexithemes'),
        'before_widget' => '<ul class="wrap-widget"><li id="%1$s" class="widget %2$s">',
        'after_widget' => '</li></ul>',
        'before_title' => '<h3 class="widget-title">',
        'after_title' => '</h3>',
    ));
    
    register_sidebar(array(
        'name' => __('Homepage Left Widget Area', 'flexithemes'),
        'id' => 'homepage_left',
        'description' => __('The homepage left widget area', 'flexithemes'),
        'before_widget' => '<ul class="wrap-widget"><li id="%1$s" class="widget %2$s">',
        'after_widget' => '</li></ul>',
        'before_title' => '<h3 class="widget-title">',
        'after_title' => '</h3>',
    ));
    
    register_sidebar(array(
        'name' => __('Homepage Center Widget Area', 'flexithemes'),
        'id' => 'homepage_center',
        'description' => __('The homepage center widget area', 'flexithemes'),
        'before_widget' => '<ul class="wrap-widget"><li id="%1$s" class="widget %2$s">',
        'after_widget' => '</li></ul>',
        'before_title' => '<h3 class="widget-title">',
        'after_title' => '</h3>',
    ));
    
    register_sidebar(array(
        'name' => __('Homepage Right Widget Area', 'flexithemes'),
        'id' => 'homepage_right',
        'description' => __('The homepage right widget area', 'flexithemes'),
        'before_widget' => '<ul class="wrap-widget"><li id="%1$s" class="widget %2$s">',
        'after_widget' => '</li></ul>',
        'before_title' => '<h3 class="widget-title">',
        'after_title' => '</h3>',
    ));
?>