<?php
/**
 * Menus settings
*/

    if(function_exists('register_nav_menu')) {
        
        if($this->display('primary_menu')) {
            register_nav_menu( 'primary',  __( 'Primary Menu', 'flexithemes' ) );

        }
        
        if($this->display('secondary_menu')) {
            register_nav_menu( 'secondary',  __( 'Secondary Menu', 'flexithemes' ) );

        }
    }
       
    function flexithemes_primary_menu_default()
    {
        ?>
        <div class="primary-menu-wrap">
			<ul class="primary-menu">
				<?php wp_list_pages('depth=3&sort_column=menu_order&title_li=' ); ?>
			</ul>
		</div>
        <?php
    } 
    
    function flexithemes_secondary_menu_default()
    {
        ?>
        <div class="secondary-menu-wrap">
			<ul class="secondary-menu">
				<?php wp_list_categories('depth=3&hide_empty=0&orderby=name&show_count=0&use_desc_for_title=1&title_li='); ?>
			</ul>
		</div>
        <?php
    } 
    

    function flexithemes_menu_styles()
    {
        global $theme;
        if($theme->display('primary_menu')) {
            echo '<link rel="stylesheet" href="' . get_bloginfo('template_url') . '/includes/menus/css/primary-menu.css" type="text/css" media="screen" />' . "\n";
        }
        
        if($theme->display('secondary_menu')) {
            echo '<link rel="stylesheet" href="' . get_bloginfo('template_url') . '/includes/menus/css/secondary-menu.css" type="text/css" media="screen" />' . "\n";
        }
    }
    
    function flexithemes_menu_js()
    {
        global $theme;
        
        $return = '';
        $do_dropdown = false;
        if($theme->display('primary_menu')) {
            $primary_menu = true . 'ul.primary-menu';
            $do_dropdown = true;
        }
        
        if($theme->display('secondary_menu')) {
            $secondary_menu = true . 'ul.secondary-menu';
            $do_dropdown = true;
        }
        if($do_dropdown) {
            $return .= "jQuery.noConflict(); \n";
                if($primary_menu) {
                    $return .= "jQuery(function(){
                        jQuery('ul.primary-menu').superfish({
                            autoArrows:  false, 
                            dropShadows: false
                        });
                    });\n";
                }
                
                if($secondary_menu) {
                    $return .= "jQuery(function(){
                        jQuery('ul.secondary-menu').superfish({
                            autoArrows:  false, 
                            dropShadows: false
                        });
                    });\n";
                }
        }
        return $return;
    }
    
    if($this->display('primary_menu') || $this->display('secondary_menu')) {
        wp_enqueue_script('jquery');
        wp_enqueue_script('hoverIntent', get_bloginfo('template_url') . '/includes/menus/js/hoverIntent.js');
        wp_enqueue_script('superfish', get_bloginfo('template_url') . '/includes/menus/js/superfish.js');
        $this->add_hook('meta', 'flexithemes_menu_styles');
        $this->footer_js(flexithemes_menu_js());
    }
        
?>