<?php
/**
 * Setting the default flexipanel options and menus
*/
    global $theme;
      
    /*********************************************
     * General Options
     *********************************************
    */

        // General Settings
        $theme->flexipanel_option(array('General Options', 10, FLEXIPANEL_URL . '/images/icon-general.png'), array('General Options', 100), 
            'Logo Image', 'logo', 
            'imageupload', get_bloginfo('template_url') . "/images/logo.png", 
            array('priority'=>100, 'help' => "Enter the full url to your logo image. Leave it blank if you don't want to use a logo image.")
        );
        
        $theme->flexipanel_option('General Options', 'General Options', 
            'Favicon', 'favicon', 
            'imageupload', '', 
            array('priority'=>200, 'help' => "Enter the full url to your favicon file. Leave it blank if you don't want to use a favicon.")
        );
        
        $theme->flexipanel_option('General Options', 'General Options', 
            'Posts Date Format', 'dateformat', 
            'text', 'F d, Y', 
            array('priority'=>300, 'help' => 'Please, check <a href="http://codex.wordpress.org/Formatting_Date_and_Time" target="_blank">this reference</a> for more details.', 'display'=>'extended')
        );
        
        $theme->flexipanel_option('General Options', 'General Options', 
            'Top Right Search Box', 'topsearch', 
            'checkbox', 'true', 
            array('priority'=>400, 'help' => 'Display the search box at the top right position. ', 'display'=>'extended')
        );
        
        // Integration
        $theme->flexipanel_option('General Options', array('Integration', 200), 
            'RSS Feed URL', 'rss_url', 
            'text', '', 
            array('priority'=>100, 'help' => 'Enter your custom RSS Feed URL, Feedburner or other.')
        );
        
        $theme->flexipanel_option('General Options', 'Integration', 
            'Custom CSS', 'custom_css', 
            'textarea', '', 
            array('priority'=>200, 'help' => 'Any code you add here will appear in the head section of every page of your site. Add only the css code without &lt;style&gt;&lt;/style&gt; style blocks. They are auto added.', 'style'=>'height: 180px;')
        );
        
        $theme->flexipanel_option('General Options', 'Integration', 
            'Head Code', 'head_code', 
            'textarea', '', 
            array('priority'=>300, 'help' => 'Any code you add here will appear in the head section, just before &lt;/head&gt; of every page of your site.', 'style'=>'height: 180px;')
        );
        
        $theme->flexipanel_option('General Options', 'Integration', 
            'Footer Code', 'footer_code', 
            'textarea', '', 
            array('priority'=>400, 'help' => 'Any code you add here will appear just before &lt;/body&gt; tag of every page of your site.', 'style'=>'height: 180px;')
        );
    
    
    /*********************************************
     * Layout Options
     *********************************************
    */

        // Homepage
        $theme->flexipanel_option(array('Layout Options', 20, FLEXIPANEL_URL . '/images/icon-layout.png'), array('Homepage', 100), 
            'Posts per page', 'homepage_posts_per_page', 
            'text', 0, 
            array('priority'=>100, 'help' => 'Posts per page displayed in homepage. If <strong>0</strong> the WordPress default is used.', 'display' => 'extended-top', 'style'=>'width: 80px;')
        );
        
        $theme->flexipanel_option('Layout Options','Homepage', 
            'Post Elements', 'homepage_post_elemnts', 
            'checkboxes', array('date', 'author', 'comments', 'thumbnail', 'readmore','thumbnail_effect'), 
            array('priority'=>200, 'options'=>$theme->post_meta_elements, 'help' => 'Choose which elements/features to display within homepage posts.', 'display'=>'extended-top')
        );
        
        $theme->flexipanel_option('Layout Options','Homepage', 
            'Thumbnail Settings', 'homepage_thumbnail_settings', 
            'content', 'The thumbnail should be enabled first from the <strong>post elements</strong> options above.', 
            array('priority'=>300)
        );
        
        $theme->flexipanel_option('Layout Options','Homepage', 
            'Thumbnail Width', 'homepage_thumbnail_width', 
            'text', '200', 
            array('priority'=>400, 'display'=>'inline', 'style'=>'width: 100px;', 'suffix'=>' px.')
        );
        
        $theme->flexipanel_option('Layout Options','Homepage', 
            'Thumbnail Height', 'homepage_thumbnail_height', 
            'text', '160', 
            array('priority'=>500, 'display'=>'inline', 'style'=>'width: 100px;', 'suffix'=>' px.')
        );
        
        $theme->flexipanel_option('Layout Options','Homepage', 
            'Thumbnail Position', 'homepage_thumbnail_position', 
            'radio', 'alignleft', 
            array('priority'=>600, 'options'=>array('alignleft' => 'Left', 'alignright'=> 'Right', 'aligncenter'=>'Center') , 'display'=>'inline')
        );
        
        $theme->flexipanel_option('Layout Options','Homepage', 
            'Post Content Display', 'homepage_content_display', 
            'radio', 'full', 
            array('priority'=>700, 'options'=>array('full' => 'Full Content', 'excerpts'=> 'Excerpts'))
        );
        
        $theme->flexipanel_option('Layout Options','Homepage', 
            'Excerpts Length', 'homepage_excerpts_length', 
            'text', '40', 
            array('priority'=>800, 'help'=> 'If "Excerpts" is selected from the <strong>Post Content Display</strong> options above', 'display'=>'inline', 'style'=>'width: 100px;', 'suffix'=>' words')
        );
        
        $theme->flexipanel_option('Layout Options','Homepage', 
            'Exclude Posts From Categories', 'homepage_exclude_categories', 
            'checkboxes', '', 
            array('priority'=>900, 'help'=>'The posts from the cheked categories will not be displayed in homepage.', 'options'=>$theme->get_categories_array(), 'display'=>'extended-top')
        );
        
        // Single Post
        $singlepost_post_meta_elements = $theme->post_meta_elements;
        unset($singlepost_post_meta_elements['readmore']);
        unset($singlepost_post_meta_elements['thumbnail_effect']);
        $theme->flexipanel_option('Layout Options', array('Single Post', 200), 
            'Post Elements', 'singlepost_post_elemnts', 
            'checkboxes', array('date', 'author', 'comments', 'thumbnail', 'tags', 'categories'), 
            array('priority'=>100, 'options'=>$singlepost_post_meta_elements, 'help' => 'Choose which elements to display within single post.', 'display'=>'extended-top')
        );
        
        $theme->flexipanel_option('Layout Options','Single Post', 
            'Comments Enabled?', 'singlepost_comments', 
            'checkbox', 'true', 
            array('priority'=>200, 'help' => '<b>Note:</b> Comments can also be enabled or disabled from <a href="options-discussion.php">Discussion Settings</a> or per post basis when creating new posts in your dashboard.', 'display' => 'extended')
        );
        
        $theme->flexipanel_option('Layout Options','Single Post', 
            'Thumbnail Settings', 'singlepost_thumbnail_settings', 
            'content', 'The thumbnail should be enabled first from the <strong>post elements</strong> options above.', 
            array('priority'=>300)
        );
        
        $theme->flexipanel_option('Layout Options','Single Post', 
            'Thumbnail Width', 'singlepost_thumbnail_width', 
            'text', '300', 
            array('priority'=>400, 'display'=>'inline', 'style'=>'width: 100px;', 'suffix'=>' px.')
        );
        
        $theme->flexipanel_option('Layout Options','Single Post', 
            'Thumbnail Height', 'singlepost_thumbnail_height', 
            'text', '225', 
            array('priority'=>500, 'display'=>'inline', 'style'=>'width: 100px;', 'suffix'=>' px.')
        );
        
        $theme->flexipanel_option('Layout Options','Single Post', 
            'Thumbnail Position', 'singlepost_thumbnail_position', 
            'radio', 'alignleft', 
            array('priority'=>600, 'options'=>array('alignleft' => 'Left', 'alignright'=> 'Right', 'aligncenter'=>'Center') , 'display'=>'inline')
        );
        
        // Pages
        $pages_post_meta_elements = $theme->post_meta_elements;
        unset($pages_post_meta_elements['date']);
        unset($pages_post_meta_elements['author']);
        unset($pages_post_meta_elements['comments']);
        unset($pages_post_meta_elements['tags']);
        unset($pages_post_meta_elements['categories']);
        unset($pages_post_meta_elements['readmore']);
        unset($pages_post_meta_elements['thumbnail_effect']);
        $theme->flexipanel_option('Layout Options', array('Pages', 300), 
            'Post Elements', 'pages_post_elemnts', 
            'checkboxes', array('thumbnail'), 
            array('priority'=>100, 'options'=>$pages_post_meta_elements, 'help' => 'Choose which elements to display within pages.', 'display'=>'extended-top')
        );
        
        $theme->flexipanel_option('Layout Options','Pages', 
            'Comments Enabled?', 'pages_comments', 
            'checkbox', 'true', 
            array('priority'=>200, 'help' => '<b>Note:</b> Comments can also be enabled or disabled from <a href="options-discussion.php">Discussion Settings</a> or per page basis when creating new page in your dashboard.', 'display' => 'extended')
        );
        
        $theme->flexipanel_option('Layout Options','Pages', 
            'Thumbnail Settings', 'pages_thumbnail_settings', 
            'content', 'The thumbnail should be enabled first from the <strong>post elements</strong> options above.', 
            array('priority'=>300)
        );
        
        $theme->flexipanel_option('Layout Options','Pages', 
            'Thumbnail Width', 'pages_thumbnail_width', 
            'text', '300', 
            array('priority'=>400, 'display'=>'inline', 'style'=>'width: 100px;', 'suffix'=>' px.')
        );
        
        $theme->flexipanel_option('Layout Options','Pages', 
            'Thumbnail Height', 'pages_thumbnail_height', 
            'text', '225', 
            array('priority'=>500, 'display'=>'inline', 'style'=>'width: 100px;', 'suffix'=>' px.')
        );
        
        $theme->flexipanel_option('Layout Options','Pages', 
            'Thumbnail Position', 'pages_thumbnail_position', 
            'radio', 'alignleft', 
            array('priority'=>600, 'options'=>array('alignleft' => 'Left', 'alignright'=> 'Right', 'aligncenter'=>'Center') , 'display'=>'inline')
        );
        
        // Category Pages
        $theme->flexipanel_option('Layout Options', array('Category Pages', 400), 
            'Post Elements', 'categories_post_elemnts', 
            'checkboxes', array('date', 'author', 'comments', 'thumbnail', 'readmore','thumbnail_effect'), 
            array('priority'=>100, 'options'=>$theme->post_meta_elements, 'help' => 'Choose which elements to display within posts.', 'display'=>'extended-top')
        );
        
        $theme->flexipanel_option('Layout Options','Category Pages', 
            'Thumbnail Settings', 'categories_thumbnail_settings', 
            'content', 'The thumbnail should be enabled first from the <strong>post elements</strong> options above.', 
            array('priority'=>200)
        );
        
        $theme->flexipanel_option('Layout Options','Category Pages', 
            'Thumbnail Width', 'categories_thumbnail_width', 
            'text', '200', 
            array('priority'=>300, 'display'=>'inline', 'style'=>'width: 100px;', 'suffix'=>' px.')
        );
        
        $theme->flexipanel_option('Layout Options','Category Pages', 
            'Thumbnail Height', 'categories_thumbnail_height', 
            'text', '160', 
            array('priority'=>400, 'display'=>'inline', 'style'=>'width: 100px;', 'suffix'=>' px.')
        );
        
        $theme->flexipanel_option('Layout Options','Category Pages', 
            'Thumbnail Position', 'categories_thumbnail_position', 
            'radio', 'alignleft', 
            array('priority'=>500, 'options'=>array('alignleft' => 'Left', 'alignright'=> 'Right', 'aligncenter'=>'Center') , 'display'=>'inline')
        );
        
        $theme->flexipanel_option('Layout Options','Category Pages', 
            'Post Content Display', 'categories_content_display', 
            'radio', 'excerpts', 
            array('priority'=>600, 'options'=>array('full' => 'Full Content', 'excerpts'=> 'Excerpts'))
        );
        
        $theme->flexipanel_option('Layout Options','Category Pages', 
            'Excerpts Length', 'categories_excerpts_length', 
            'text', '40', 
            array('priority'=>700, 'help'=> 'If "Excerpts" is selected from the <strong>Post Content Display</strong> options above', 'display'=>'inline', 'style'=>'width: 100px;', 'suffix'=>' words')
        );
        
        // Tag Pages
        $theme->flexipanel_option('Layout Options', array('Tag Pages', 500),
            'Post Elements', 'tags_post_elemnts', 
            'checkboxes', array('date', 'author', 'comments', 'thumbnail', 'readmore','thumbnail_effect'), 
            array('priority'=>100, 'options'=>$theme->post_meta_elements, 'help' => 'Choose which elements to display within posts.', 'display'=>'extended-top')
        );
        
        $theme->flexipanel_option('Layout Options','Tag Pages', 
            'Thumbnail Settings', 'tags_thumbnail_settings', 
            'content', 'The thumbnail should be enabled first from the <strong>post elements</strong> options above.', 
            array('priority'=>200)
        );
        
        $theme->flexipanel_option('Layout Options','Tag Pages', 
            'Thumbnail Width', 'tags_thumbnail_width', 
            'text', '200', 
            array('priority'=>300, 'display'=>'inline', 'style'=>'width: 100px;', 'suffix'=>' px.')
        );
        
        $theme->flexipanel_option('Layout Options','Tag Pages', 
            'Thumbnail Height', 'tags_thumbnail_height', 
            'text', '160', 
            array('priority'=>400, 'display'=>'inline', 'style'=>'width: 100px;', 'suffix'=>' px.')
        );
        
        $theme->flexipanel_option('Layout Options','Tag Pages', 
            'Thumbnail Position', 'tags_thumbnail_position', 
            'radio', 'alignleft', 
            array('priority'=>500, 'options'=>array('alignleft' => 'Left', 'alignright'=> 'Right', 'aligncenter'=>'Center') , 'display'=>'inline')
        );
        
        $theme->flexipanel_option('Layout Options','Tag Pages', 
            'Post Content Display', 'tags_content_display', 
            'radio', 'excerpts', 
            array('priority'=>600, 'options'=>array('full' => 'Full Content', 'excerpts'=> 'Excerpts'))
        );
        
        $theme->flexipanel_option('Layout Options','Tag Pages', 
            'Excerpts Length', 'tags_excerpts_length', 
            'text', '40', 
            array('priority'=>700, 'help'=> 'If "Excerpts" is selected from the <strong>Post Content Display</strong> options above', 'display'=>'inline', 'style'=>'width: 100px;', 'suffix'=>' words')
        );
        
        // Archive Pages
        $theme->flexipanel_option('Layout Options', array('Archive Pages', 600), 
            'Post Elements', 'archives_post_elemnts', 
            'checkboxes', array('date', 'author', 'comments', 'thumbnail', 'readmore','thumbnail_effect'), 
            array('priority'=>100, 'options'=>$theme->post_meta_elements, 'help' => 'Choose which elements to display within posts.', 'display'=>'extended-top')
        );
        
        $theme->flexipanel_option('Layout Options','Archive Pages', 
            'Thumbnail Settings', 'archives_thumbnail_settings', 
            'content', 'The thumbnail should be enabled first from the <strong>post elements</strong> options above.', 
            array('priority'=>200)
        );
        
        $theme->flexipanel_option('Layout Options','Archive Pages', 
            'Thumbnail Width', 'archives_thumbnail_width', 
            'text', '200', 
            array('priority'=>300, 'display'=>'inline', 'style'=>'width: 100px;', 'suffix'=>' px.')
        );
        
        $theme->flexipanel_option('Layout Options','Archive Pages', 
            'Thumbnail Height', 'archives_thumbnail_height', 
            'text', '160', 
            array('priority'=>400, 'display'=>'inline', 'style'=>'width: 100px;', 'suffix'=>' px.')
        );
        
        $theme->flexipanel_option('Layout Options','Archive Pages', 
            'Thumbnail Position', 'archives_thumbnail_position', 
            'radio', 'alignleft', 
            array('priority'=>500, 'options'=>array('alignleft' => 'Left', 'alignright'=> 'Right', 'aligncenter'=>'Center') , 'display'=>'inline')
        );
        
        $theme->flexipanel_option('Layout Options','Archive Pages', 
            'Post Content Display', 'archives_content_display', 
            'radio', 'excerpts', 
            array('priority'=>600, 'options'=>array('full' => 'Full Content', 'excerpts'=> 'Excerpts'))
        );
        
        $theme->flexipanel_option('Layout Options','Archive Pages', 
            'Excerpts Length', 'archives_excerpts_length', 
            'text', '40', 
            array('priority'=>700, 'help'=> 'If "Excerpts" is selected from the <strong>Post Content Display</strong> options above', 'display'=>'inline', 'style'=>'width: 100px;', 'suffix'=>' words')
        );
        
        // Search Results Page
        $theme->flexipanel_option('Layout Options', array('Search Results Page', 700), 
            'Post Elements', 'search_post_elemnts', 
            'checkboxes', array('date', 'author', 'comments', 'thumbnail', 'readmore','thumbnail_effect'), 
            array('priority'=>100, 'options'=>$theme->post_meta_elements, 'help' => 'Choose which elements to display within posts.', 'display'=>'extended-top')
        );
        
        $theme->flexipanel_option('Layout Options','Search Results Page', 
            'Thumbnail Settings', 'search_thumbnail_settings', 
            'content', 'The thumbnail should be enabled first from the <strong>post elements</strong> options above.', 
            array('priority'=>200)
        );
        
        $theme->flexipanel_option('Layout Options','Search Results Page', 
            'Thumbnail Width', 'search_thumbnail_width', 
            'text', '200', 
            array('priority'=>300, 'display'=>'inline', 'style'=>'width: 100px;', 'suffix'=>' px.')
        );
        
        $theme->flexipanel_option('Layout Options','Search Results Page', 
            'Thumbnail Height', 'search_thumbnail_height', 
            'text', '160', 
            array('priority'=>400, 'display'=>'inline', 'style'=>'width: 100px;', 'suffix'=>' px.')
        );
        
        $theme->flexipanel_option('Layout Options','Search Results Page', 
            'Thumbnail Position', 'search_thumbnail_position', 
            'radio', 'alignleft', 
            array('priority'=>500, 'options'=>array('alignleft' => 'Left', 'alignright'=> 'Right', 'aligncenter'=>'Center') , 'display'=>'inline')
        );
        
        $theme->flexipanel_option('Layout Options','Search Results Page', 
            'Post Content Display', 'search_content_display', 
            'radio', 'excerpts', 
            array('priority'=>600, 'options'=>array('full' => 'Full Content', 'excerpts'=> 'Excerpts'))
        );
        
        $theme->flexipanel_option('Layout Options','Search Results Page', 
            'Excerpts Length', 'search_excerpts_length', 
            'text', '40', 
            array('priority'=>700, 'help'=> 'If "Excerpts" is selected from the <strong>Post Content Display</strong> options above', 'display'=>'inline', 'style'=>'width: 100px;', 'suffix'=>' words')
        );
        
        // Footer
        $theme->flexipanel_option('Layout Options', array('Footer', 800), 
            'Custom Footer Text', 'footer_custom_text', 
            'textarea', '', 
            array('priority'=>100, 'help' => 'Add your custom footer text. Will override the default theme generated text.', 'display'=>'extended-top', 'style'=>'height: 140px;')
        );
        
        $theme->flexipanel_option('Layout Options', 'Footer', 
            'FlexiThemes Credits', 'footer_credits', 
            'checkbox', 'true', 
            array('priority'=>200, 'help' => 'Show backlink credits to FlexiThemes.com', 'display'=>'extended')
        );
        
        $theme->flexipanel_option('Layout Options', 'Footer', 
            'FlexiThemes Affiliate Program', 'footer_affiliate_id', 
            'text', '', 
            array('priority'=>300, 'help' => 'Enter your FlexiThemes affiliate ID and it will be added automaticaly to footer credit links. Good reason to keep the credit backlinks to FlexiThemes. Get your affiliate ID <a href="http://flexithemes.com/wp-admin/admin.php?page=FlexiAffiliates" target="_blank">from here</a>.', 'display'=>'extended')
        );
       
       $theme->flexipanel_option('Layout Options', 'Footer', 
            'WordPress Credits', 'wordpress_credits', 
            'checkbox', 'true', 
            array('priority'=>400, 'help' => 'Show the "Powered by WordPress" link')
        );
    
    /*********************************************
     * Menus
     *********************************************
    */

        // Menus
        $theme->flexipanel_option(array('Menus', 30, FLEXIPANEL_URL . '/images/icon-menus.png'), array('Menus', 100), 
            'Menus', 'menus_info', 
            'content', 'You can easily enable or disable displaying the available menus for the <strong>' . FLEXIPANEL_THEME_NAME .'</strong> theme. Please, use the <a href="nav-menus.php"><strong>menus panel</strong></a> to manage and organize your menus and menu items.',
            array('priority'=>100)
        );
        
        $theme->flexipanel_option('Menus', 'Menus', 
            'Primary Menu', 'primary_menu_info', 
            'content', '',
            array('priority'=>200)
        );
        
        $theme->flexipanel_option('Menus', 'Menus', 
            'Primary Menu Enabled?', 'primary_menu', 
            'checkbox', 'true', 
            array('priority'=>300, 'display'=>'inline')
        );
        
        $theme->flexipanel_option('Menus', 'Menus', 
            'Primary Menu Depth', 'primary_menu_depth', 
            'text', 0, 
            array('priority'=>400, 'help'=>'Primary menu drop-down depth. 0 = unlimited', 'display'=>'inline', 'style'=>'width: 80px;')
        );
        
        $theme->flexipanel_option('Menus', 'Menus', 
            'Secondary Menu', 'secondary_menu_info', 
            'content', '',
            array('priority'=>500)
        );
        
        $theme->flexipanel_option('Menus', 'Menus', 
            'Secondary Menu Enabled?', 'secondary_menu', 
            'checkbox', '', 
            array('priority'=>600, 'display'=>'inline')
        );
        
        $theme->flexipanel_option('Menus', 'Menus', 
            'Secondary Menu Depth', 'secondary_menu_depth', 
            'text', 0, 
            array('priority'=>700, 'help'=>'Secondary menu drop-down depth. 0 = unlimited', 'display'=>'inline', 'style'=>'width: 80px;')
        );
    
    /*********************************************
     * Colors
     *********************************************
    */
    
        // Text Colors
        $theme->flexipanel_option(array('Colors', 40, FLEXIPANEL_URL . '/images/icon-colors.png'), array('Text Colors', 100), 
            'Text Colors', 'layout_colors_info', 
            'content', '', 
            array('priority'=>100)
        );
        
        $theme->flexipanel_option('Colors', 'Text Colors', 
            'Default Text Color', 'default_text_color', 
            'colorpicker', '', 
            array('priority'=>200, 'display' => 'inline', 'help'=>'Applies to elements, where the color property is not defined from style.css.')
        );
        
        $theme->flexipanel_option('Colors', 'Text Colors', 
            'Post Content Color', 'post_content_color', 
            'colorpicker', '', 
            array('priority'=>300, 'display' => 'inline')
        );
        
        $theme->flexipanel_option('Colors', 'Text Colors', 
            'Sidebar Color', 'sidebar_text_color', 
            'colorpicker', '', 
            array('priority'=>400, 'display' => 'inline', 'help'=>'Applies to child elements, where the color property is not defined from style.css.')
        );
        
        $theme->flexipanel_option('Colors', 'Text Colors', 
            'Widget Title Color', 'widget_title_text_color', 
            'colorpicker', '', 
            array('priority'=>500, 'display' => 'inline')
        );
        
        $theme->flexipanel_option('Colors', 'Text Colors', 
            'Footer Color', 'footer_text_color', 
            'colorpicker', '', 
            array('priority'=>600, 'display' => 'inline', 'help'=>'Applies to child elements, where the color property is not defined from style.css.')
        );
        
        $theme->flexipanel_option('Colors', 'Text Colors', 
            'Footer Copyrights Text Color', 'footer_copyright_text_color', 
            'colorpicker', '', 
            array('priority'=>700, 'display' => 'inline')
        );
        
        // Link Colors
        $theme->flexipanel_option('Colors', array('Link Colors', 200), 
            'Main Links', 'main_links_info', 
            'content', '', 
            array('priority'=>100)
        );
        
        $theme->flexipanel_option('Colors', 'Link Colors', 
            'Main Links Color', 'main_links_color', 
            'colorpicker', '', 
            array('priority'=>200, 'display' => 'inline')
        );
        
         $theme->flexipanel_option('Colors', 'Link Colors', 
            'Main Links Hover Color', 'main_links_hover_color', 
            'colorpicker', '', 
            array('priority'=>300, 'display' => 'inline')
        );
        
        $theme->flexipanel_option('Colors', 'Link Colors', 
            'Site Title', 'site_title_color_info', 
            'content', '', 
            array('priority'=>400, 'help'=>'If no logo image is used', 'display'=>'extended-top')
        );
        
        $theme->flexipanel_option('Colors', 'Link Colors', 
            'Site Title Color', 'site_title_color', 
            'colorpicker', '', 
            array('priority'=>500, 'display' => 'inline')
        );
        
         $theme->flexipanel_option('Colors', 'Link Colors', 
            'Site Title Hover Color', 'site_title_hover_color', 
            'colorpicker', '', 
            array('priority'=>600, 'display' => 'inline')
        );
        
        $theme->flexipanel_option('Colors', 'Link Colors', 
            'Post Title', 'post_title_color_info', 
            'content', '', 
            array('priority'=>700)
        );
        
        $theme->flexipanel_option('Colors', 'Link Colors', 
            'Post Title Color', 'post_title_color', 
            'colorpicker', '', 
            array('priority'=>800, 'display' => 'inline')
        );
        
         $theme->flexipanel_option('Colors', 'Link Colors', 
            'Post Title Hover Color', 'post_title_hover_color', 
            'colorpicker', '', 
            array('priority'=>900, 'display' => 'inline')
        );
        
        $theme->flexipanel_option('Colors', 'Link Colors', 
            'Sidebar/Widget', 'sidebar_widget_color_info', 
            'content', '', 
            array('priority'=>1000)
        );
        
        $theme->flexipanel_option('Colors', 'Link Colors', 
            'Sidebar/Widget Color', 'sidebar_widget_color', 
            'colorpicker', '', 
            array('priority'=>1100, 'display' => 'inline')
        );
        
         $theme->flexipanel_option('Colors', 'Link Colors', 
            'Sidebar/Widget Hover Color', 'sidebar_widget_hover_color', 
            'colorpicker', '', 
            array('priority'=>1200, 'display' => 'inline')
        );
        
        $theme->flexipanel_option('Colors', 'Link Colors', 
            'Footer', 'footer_color_info', 
            'content', '', 
            array('priority'=>1300)
        );
        
        $theme->flexipanel_option('Colors', 'Link Colors', 
            'Footer Copyrights Color', 'footer_color', 
            'colorpicker', '', 
            array('priority'=>1400, 'display' => 'inline')
        );
        
         $theme->flexipanel_option('Colors', 'Link Colors', 
            'Footer Copyrights Hover Color', 'footer_hover_color', 
            'colorpicker', '', 
            array('priority'=>1500, 'display' => 'inline')
        );
        
        
        // Layout Colors
        $theme->flexipanel_option('Colors', array('Layout Colors', 300), 
            'Layout Colors', 'layout_colors_info', 
            'content', '', 
            array('priority'=>100)
        );
        
        $theme->flexipanel_option('Colors', 'Layout Colors', 
            'Body Background', 'body_background_color', 
            'colorpicker', '', 
            array('priority'=>200, 'display' => 'inline')
        );
        
        $theme->flexipanel_option('Colors', 'Layout Colors', 
            'Container Background', 'container_background_color', 
            'colorpicker', '', 
            array('priority'=>300, 'display' => 'inline')
        );
        
        $theme->flexipanel_option('Colors', 'Layout Colors', 
            'Header Background', 'header_background_color', 
            'colorpicker', '', 
            array('priority'=>400, 'display' => 'inline')
        );
        
        $theme->flexipanel_option('Colors', 'Layout Colors', 
            'Sidebar Background', 'sidebar_background_color', 
            'colorpicker', '', 
            array('priority'=>500, 'display' => 'inline')
        );
        
        $theme->flexipanel_option('Colors', 'Layout Colors', 
            'Footer Background', 'footer_background_color', 
            'colorpicker', '', 
            array('priority'=>600, 'display' => 'inline')
        );
        
        $theme->flexipanel_option('Colors', 'Layout Colors', 
            'Main/Content Area Background', 'main_content_background_color', 
            'colorpicker', '', 
            array('priority'=>700, 'display' => 'inline')
        );
        
        $theme->flexipanel_option('Colors', 'Layout Colors', 
            'Posts Background', 'posts_background_color', 
            'colorpicker', '', 
            array('priority'=>800, 'display' => 'inline')
        );
        
        $theme->flexipanel_option('Colors', 'Layout Colors', 
            'Thumbnails Background', 'thumbnails_background_color', 
            'colorpicker', '', 
            array('priority'=>900, 'display' => 'inline')
        );
        
        $theme->flexipanel_option('Colors', 'Layout Colors', 
            'Thumbnails Border', 'thumbnails_border_color', 
            'colorpicker', '', 
            array('priority'=>1000, 'display' => 'inline')
        );
    
   /*********************************************
     * Ads
     *********************************************
    */

    // 125x125 Banners
    $theme->flexipanel_option(array('Ads', 50, FLEXIPANEL_URL . '/images/icon-a.png'), array('General Ads', 100), 
        'Header Banner', 'header_banner', 
        'textarea', '<a href="http://flexithemes.com" target="_blank"><img src="http://flexithemes.com/wp-content/examples/flexi468.gif" alt="Premium Themes" title="Premium Themes" /></a>', 
        array('priority'=>100, 'help' => 'Enter your 468x60 px. ad code. You may use any html code here, including your 468x60 px Adsense code.', 'style'=>'height: 120px;')
    ); 
    
    /*********************************************
     * Manage Options
     *********************************************
    */

    // Reset Options
    $theme->flexipanel_option(array('Manage Options', 60, FLEXIPANEL_URL . '/images/icon-options.png'), array('Export Options', 100), 
        'Export FlexiPanel Options', 'export_options', 
        'content', '
        <div style="margin:20px 0;"><a class="button" onclick="flexipanel_ajax(\'act=flexipanel_options&do=export\', \'flexipanel_options_export\',\'true\');" >Generate Export Code Now</a></div>
        <div id="flexipanel_options_export"></div>', 
        array('priority'=>100, 'help' => "You can easily transfer current theme's options to another. <br />1. Generate an export code by clicking the button below.<br /> 2. Copy the generated code and paste it to \"Import Options\" textarea of your other theme.", 'display'=>'extended-top')
    );
    
    $theme->flexipanel_option('Manage Options', array('Import Options', 200), 
        'Import FlexiPanel Options', 'import_options', 
        'content', '
        <div style="margin-bottom:40px;"><textarea class="fp-textarea" style="height:300px" name="import_flexipanel_options"></textarea></div>
        <div id="fp_import_options" style="margin-bottom:40px; display:none;"></div>
        <div style="margin-bottom:40px;"><a class="button-primary fp-button-red" onclick="flexipanel_form(\'flexipanel_options&do=import\', \'fpForm\',\'fp_import_options\',\'true\');" >Import Options Now</a></div>', 
        array('priority'=>100, 'help' => 'Transfer options from anoher theme. Paste here the code you copied from the "Export Options" textarea.<br/><span style="color:red;"><strong>Note:</strong> All the previous saved settings will be lost!</span>', 'display'=>'extended-top')
    );
    
    $theme->flexipanel_option('Manage Options', array('Reset Options', 300), 
        'Reset FlexiPanel Options', 'reset_options', 
        'content', '
        <div id="fp_reset_options" style="margin-bottom:40px; display:none;"></div>
        <div style="margin-bottom:40px;"><a class="button-primary fp-button-red" onclick="if (confirm(\'All the saved settings will be lost! Do you really want to continue?\')) { flexipanel_form(\'flexipanel_options&do=reset\', \'fpForm\',\'fp_reset_options\',\'true\'); } return false;">Reset Options Now</a></div>', 
        array('priority'=>100, 'help' => 'Reset the theme options to default values. <span style="color:red;"><strong>Note:</strong> All the previous saved settings will be lost!</span>', 'display'=>'extended-top')
    );
    
    
    /*********************************************
     * Support
     *********************************************
    */

    // FAQ
    $theme->flexipanel_option(array('Support', 70, FLEXIPANEL_URL . '/images/icon-support.png'), array('FAQ', 100, 'link'), 
        'http://flexithemes.com/support/faq/'
    );
    
    // Documentation
    $theme->flexipanel_option('Support', array('Documentation', 200, 'link'), 
        'http://flexithemes.com/support/documentation/'
    );
    
    // Support Forums
    $theme->flexipanel_option('Support', array('Support Forums', 300, 'link'), 
        'http://flexithemes.com/forums/'
    );
    
    // ChangeLog
    $theme->flexipanel_option('Support', array('ChangeLog', 400, 'link'), 
        'http://flexithemes.com/support/changelog/?theme=' . str_replace(' ', '-', strtolower(trim(FLEXIPANEL_THEME_NAME) ))
    );
?>