<?php
/**
 * Extension: Featured Posts - Smooth Gallery
 * Version: 1.0
 * Updated: Jun 30, 2010
*/

    new FlexiThemes_SmoothGallery();
    
    class FlexiThemes_SmoothGallery
    {
        var $theme;
        var $defaults;
        var $status = false;
        var $url;
        var $moreoptions =  array(
            'timed'=>'Timed',
            'showArrows'=> 'Show left & right arrows',
            'preloader'=>'Preloader',
            'preloaderImage'=>'Preloader Image',
            'showInfopane'=>'Show Infopane',
            'slideInfoZoneSlide'=>'Slide the Infopane',
            'showCarousel'=>'Show Carousel',
            'useThumbGenerator'=>'Use Thumb Generator for Carousel Thumbnails'
        );
        
        function FlexiThemes_SmoothGallery()
        {
            global $theme;
            $this->theme = $theme;
            $this->url = get_bloginfo('template_url') . '/includes/smoothgallery';
            $this->theme->add_hook('meta', array(&$this, 'smoothgallery_header') );
            $this->theme->add_hook('content_before', array(&$this, 'display_smoothgallery'), 1);
            
            $this->theme->head_css('#myGallery, #myGallerySet, #flickrGallery { width: ' . $this->theme->get_option('smoothgallery_width') .'px; height: ' . $this->theme->get_option('smoothgallery_height') .'px; }');
            $this->theme->head_css('.jdGallery .slideInfoZone { background: #' . $this->theme->get_option('smoothgallery_info_background') .'; color: #' . $this->theme->get_option('smoothgallery_info_textcolor') .'; } ');
            $this->theme->head_css('.jdGallery a.carouselBtn, .jdGallery .carousel { background: #' . $this->theme->get_option('smoothgallery_carousel_background') .'; } ');
            
            if(is_admin()) {
                $this->defaults = $this->theme->widgets_options['smoothgallery'];
                $this->flexipanel_options();
            }
        }
        
        function smoothgallery_header()
        {
            if($this->enabled()) {
                echo  "\n<!-- SmoothGallery -->\n";
                echo '<link rel="stylesheet" href="' . $this->url . '/css/jd.gallery.css" type="text/css" media="screen" />' . "\n";
                echo '<script src="' . $this->url . '/scripts/mootools-1.2.1-core-yc.js" type="text/javascript"></script>' . "\n";
                echo '<script src="' . $this->url . '/scripts/mootools-1.2-more.js" type="text/javascript"></script>' . "\n";
                echo '<script src="' . $this->url . '/scripts/jd.gallery.js" type="text/javascript"></script>' . "\n";
                echo '<script src="' . $this->url . '/scripts/jd.gallery.transitions.js" type="text/javascript"></script>' . "\n";
                echo  "<!-- /SmoothGallery -->\n\n";
            }
        }
        
        function display_smoothgallery()
        {
           
           if($this->enabled()) {
                $flexipanel_smoothgallery_moreoptions = $this->moreoptions;
                $smoothgallery_moreoptions = $this->theme->get_option('smoothgallery_moreoptions');
            
           ?>
                <script type="text/javascript">
                	function startGallery() {
                	   var myGallery = new gallery($('myGallery'), {
                			delay: <?php $this->theme->option('smoothgallery_delay'); ?>,
                            fadeDuration: <?php $this->theme->option('smoothgallery_duration'); ?>,
                            slideInfoZoneOpacity: "<?php $this->theme->option('smoothgallery_opacity'); ?>",
                            textShowCarousel: "<?php $this->theme->option('smoothgallery_carousel_title'); ?>",
                            defaultTransition: "<?php $this->theme->option('smoothgallery_effect'); ?>",
                            <?php
                                if(is_array($flexipanel_smoothgallery_moreoptions) && is_array($smoothgallery_moreoptions)) {
                                    foreach($flexipanel_smoothgallery_moreoptions as $key=>$val) {
                                        if(in_array($key, $smoothgallery_moreoptions)) {
                                            echo $key . ': true, ' . "\n";
                                        } else {
                                            echo $key . ': false, ' . "\n";
                                        }
                                    }
                                }
                            ?>
                            thumbGenerator: "<?php echo $this->url; ?>/resizer.php"
                		});
                	}
                	window.addEvent('domready',startGallery);
                </script>
                <div class="clearfix">
                	<div id="myGallery">
                    <?php
                    $smoothgallery_source = $this->theme->get_option('smoothgallery_source');
                    
                    $smoothgallery_query = false;
                    
                    if($smoothgallery_source == 'category') {
                        if($this->theme->display('smoothgallery_source_category')) {
                            $smoothgallery_query = 'posts_per_page=' . $this->theme->get_option('smoothgallery_source_category_num') . '&cat=' . $this->theme->get_option('smoothgallery_source_category');
                        } 
                    } elseif($smoothgallery_source == 'posts') {
                        if($this->theme->display('smoothgallery_source_posts')) {
                            $smoothgallery_query = array('post__in'=> explode(',', trim($this->theme->get_option('smoothgallery_source_posts'))), 'post_type'=>'post');
                        } 
                    } elseif($smoothgallery_source == 'pages') {
                        if($this->theme->display('smoothgallery_source_pages')) {
                            $smoothgallery_query = array('post__in'=> explode(',', trim($this->theme->get_option('smoothgallery_source_pages'))), 'post_type'=>'page');
                        } 
                    }
                    
                    if($smoothgallery_query) {
                        query_posts($smoothgallery_query);
                        if (have_posts()) : while (have_posts()) : the_post(); 
                        ?>
                		  <div class="imageElement">
                				<h3><?php the_title(); ?></h3>
                				<?php the_excerpt(); ?>
                				<a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>" class="open"></a> 
                                
                				<?php 
                                    the_post_thumbnail('large', array('class' => 'full'));
                                    the_post_thumbnail('thumbnail', array('class' => 'thumbnail'));
                                ?>
                		  </div>
                		<?php
                        endwhile;
                        else : 
                        $smoothgallery_query = false;
                        endif;
                        wp_reset_query();
                    } 
                    
                    if(!$smoothgallery_query) {
                        for($i = 1; $i <=5; $i++) { ?>
                    			<div class="imageElement">
                    				<h3>This is default featured post <?php echo $i; ?> title</h3>
                    				<p>To set your featured posts, please go to your theme options page in wp-admin. You can also disable featured posts slideshow if you don't wish to display them.</p>
                    				<a href="#" title="This is featured post <?php echo $i; ?>" class="open"></a> 
                    				<img src="<?php echo $this->url; ?>/default-slides/<?php echo $i; ?>.jpg" class="full" alt="" /> 
                    				<img src="<?php echo $this->url; ?>/default-slides/<?php echo $i; ?>.jpg" class="thumbnail" alt="" /> 
                    			</div>
                    	<?php }
                    }
                    ?>
                      
                    </div>
                </div>
        
            <?php
            } 
        }
        
        function enabled()
        {
            if($this->status) {
                $is_enabled = $this->status == 'enabled' ? true : false;
                return $is_enabled;
            } else {
                $smoothgallery_enabled = $this->theme->get_option('smoothgallery_enabled');
                if(is_array($smoothgallery_enabled)) {
                    if(
                        (is_front_page() && in_array('homepage', $smoothgallery_enabled) ) 
                        || (is_category() && in_array('categories', $smoothgallery_enabled) ) 
                        || (is_tag() && in_array('tags', $smoothgallery_enabled) ) 
                        || ((is_day() || is_month() || is_year()) && in_array('archives', $smoothgallery_enabled) ) 
                        || (is_search() && in_array('searches', $smoothgallery_enabled) ) 
                    ){
                        $this->status = 'enabled';
                        return true;
                    }
                } 
                $this->status = 'disabled';
                return false;
            }
        }

        function smoothgallery_source()
        {
            $get_smoothgallery_source = $this->theme->get_option('smoothgallery_source');
            $smoothgallery_sources = array('category'=> 'Category', 'posts' => 'Selected Posts', 'pages' => 'Selected Pages');
            
            foreach($smoothgallery_sources as $key=>$val) {
                $smoothgallery_sources_selected = $get_smoothgallery_source == $key ? 'checked="checked"' : '';
                ?>
                <input type="radio" name="smoothgallery_source" onclick="javascript:flexipanel_smoothgallery_source('<?php echo $key; ?>');" value="<?php echo $key; ?>" <?php echo $smoothgallery_sources_selected; ?> /> <?php echo $val; ?> &nbsp;
                <?php
            }
            ?>
                <script type="text/javascript">
                    function flexipanel_smoothgallery_source(source)
                    {
                        $flexipaneljQ("#flexithemes_smoothgallery_category").hide();
                        $flexipaneljQ("#flexithemes_smoothgallery_posts").hide();
                        $flexipaneljQ("#flexithemes_smoothgallery_pages").hide();
                        
                        $flexipaneljQ("#flexithemes_smoothgallery_"+source+"").fadeIn();
                    }
                    jQuery(document).ready(function(){
                        flexipanel_smoothgallery_source('<?php echo $get_smoothgallery_source; ?>');
                    });
                    
                </script>
            <?php
        }
        
        
        function flexipanel_options()
        {
            $this->theme->flexipanel_option('General Options', array('Featured Posts', 199), 
                'Featured Posts', 'smoothgallery_enabled', 
                'checkboxes', $this->defaults['enabled_in'], 
                array('priority'=>100, 'options' =>array('homepage'=>'Homepage', 'categories' => 'Category Pages', 'tags' => 'Tag Pages', 'archives' => 'Archive Pages', 'searches'=>'Search Results Pages'), 'help'=> 'Enable featured posts slideshow in:', 'display'=>'extended-top')
            );
            
            $this->theme->flexipanel_option('General Options', 'Featured Posts', 
                'Featured Posts Source', 'smoothgallery_source', 
                'callback', $this->defaults['source'], 
                array('priority'=>200, 'callback' => array(&$this, 'smoothgallery_source'))
            );
            
            $this->theme->flexipanel_option('General Options', 'Featured Posts', 
                'Featured Posts Category Wrap', 'smoothgallery_source_category_wrap', 
                'raw', '<div id="flexithemes_smoothgallery_category">', 
                array('priority'=>300, 'display'=>'clean')
            );
            
            $this->theme->flexipanel_option('General Options', 'Featured Posts', 
                'Number of Feautured Posts', 'smoothgallery_source_category_num', 
                'text', $this->defaults['category_num'], 
                array('priority'=>400, 'help'=>'The number of posts you want to show on featured slideshow.', 'display'=>'inline', 'style'=>'width: 60px;')
            );
            
            $this->theme->flexipanel_option('General Options', 'Featured Posts', 
                'Featured Posts Category', 'smoothgallery_source_category', 
                'select', '', 
                array('priority'=>500, 'options'=>$this->theme->get_categories_array(true, array(''=>'Select Category')), 'help'=>'The selected number of posts form the selected category will be listed in the featured slideshow. The selected category should contain at last 2 posts with featured image set.', 'display'=>'inline')
            );
            
            $this->theme->flexipanel_option('General Options', 'Featured Posts', 
                'Featured Posts Category Wrap End', 'smoothgallery_source_category_end_wrap', 
                'raw', '</div>', 
                array('priority'=>600, 'display'=>'clean')
            );
            
            $this->theme->flexipanel_option('General Options', 'Featured Posts', 
                'Featured Selected Posts Wrap', 'smoothgallery_source_posts_wrap', 
                'raw', '<div id="flexithemes_smoothgallery_posts">', 
                array('priority'=>700, 'display'=>'clean')
            );
            
            $this->theme->flexipanel_option('General Options', 'Featured Posts', 
                'Post IDs', 'smoothgallery_source_posts', 
                'text', '', 
                array('priority'=>800, 'help'=>'Enter individual post IDs to display in the slideshow. Separate IDs with commas. <br />You should add at last 2 post ID\'s with featured image set.', 'display'=>'inline')
            );
            
            $this->theme->flexipanel_option('General Options', 'Featured Posts', 
                'Featured Selected Posts Wrap End', 'smoothgallery_source_posts_wrap_end', 
                'raw', '</div>', 
                array('priority'=>900, 'display'=>'clean')
            );
            
            
            $this->theme->flexipanel_option('General Options', 'Featured Posts', 
                'Featured Selected Pages Wrap', 'smoothgallery_source_pages_wrap', 
                'raw', '<div id="flexithemes_smoothgallery_pages">', 
                array('priority'=>1000, 'display'=>'clean')
            );
            
            $this->theme->flexipanel_option('General Options', 'Featured Posts', 
                'Page IDs', 'smoothgallery_source_pages', 
                'text', '', 
                array('priority'=>1100, 'help'=>'Enter individual page IDs to display in the slideshow. Separate IDs with commas. <br />You should add at last 2 page ID\'s with featured image set.', 'display'=>'inline')
            );
            
            $this->theme->flexipanel_option('General Options', 'Featured Posts', 
                'Featured Selected Pages Wrap End', 'smoothgallery_source_pages_wrap_end', 
                'raw', '</div>', 
                array('priority'=>1200, 'display'=>'clean')
            );
            
             $this->theme->flexipanel_option('General Options', 'Featured Posts', 
                'Slideshow Effect', 'smoothgallery_effect', 
                'radio', $this->defaults['effect'], 
                array('priority'=>1300, 'suffix' => ' &nbsp; ', 'options'=>array('fade'=> 'Fade', 'continuoushorizontal'=> 'Slide Left', 'continuousvertical'=> 'Slide Vertical', 'fadeslideleft'=> 'Fade & Slide Left'))
            );
            
             $this->theme->flexipanel_option('General Options', 'Featured Posts', 
                'Misc Options', 'smoothgallery_misc_options_info', 
                'content', '', 
                array('priority'=>1400)
            );
            
            $this->theme->flexipanel_option('General Options', 'Featured Posts', 
                'Slideshow Width', 'smoothgallery_width', 
                'text', $this->defaults['width'], 
                array('priority'=>1500, 'suffix'=> ' px.', 'style'=>'width: 80px;', 'display'=>'inline')
            );
            
            $this->theme->flexipanel_option('General Options', 'Featured Posts', 
                'Slideshow Height', 'smoothgallery_height', 
                'text', $this->defaults['height'], 
                array('priority'=>1600, 'suffix'=> ' px.', 'style'=>'width: 80px;', 'display'=>'inline')
            );
            
            $this->theme->flexipanel_option('General Options', 'Featured Posts', 
                'Slides Delay', 'smoothgallery_delay', 
                'text', $this->defaults['delay'], 
                array('priority'=>1700, 'suffix'=> ' ms.', 'style'=>'width: 80px;', 'display'=>'inline')
            );
            
            $this->theme->flexipanel_option('General Options', 'Featured Posts', 
                'Fade Duration', 'smoothgallery_duration', 
                'text', $this->defaults['duration'], 
                array('priority'=>1800, 'suffix'=> ' ms.', 'style'=>'width: 80px;', 'display'=>'inline')
            );
        
            $this->theme->flexipanel_option('General Options', 'Featured Posts', 
                'Infopane Background', 'smoothgallery_info_background', 
                'colorpicker', $this->defaults['background'], 
                array('priority'=>1900, 'display'=>'inline')
            );
            
            $this->theme->flexipanel_option('General Options', 'Featured Posts', 
                'Carousel Background', 'smoothgallery_carousel_background', 
                'colorpicker', $this->defaults['carousel_background'], 
                array('priority'=>2000, 'display'=>'inline')
            );
            
            $this->theme->flexipanel_option('General Options', 'Featured Posts', 
                'Infopane Opacity', 'smoothgallery_opacity', 
                'text', $this->defaults['opacity'], 
                array('priority'=>2100, 'style'=>'width: 80px;', 'display'=>'inline')
            );
            
            $this->theme->flexipanel_option('General Options', 'Featured Posts', 
                'Infopane Text Color', 'smoothgallery_info_textcolor', 
                'colorpicker', $this->defaults['textcolor'], 
                array('priority'=>2200, 'display'=>'inline')
            );
            
            $this->theme->flexipanel_option('General Options', 'Featured Posts', 
                'Carousel Title', 'smoothgallery_carousel_title', 
                'text', $this->defaults['carousel_title'],
                array('priority'=>2300, 'display'=>'inline', 'help'=>'Displayed if the "Show Carousel" option below is checked.')
            );
            
            $this->theme->flexipanel_option('General Options', 'Featured Posts', 
                'More Slideshow Options', 'smoothgallery_moreoptions', 
                'checkboxes', $this->defaults['default_moreoptions'], 
                array('priority'=>2400, 'display'=>'clean', 'options'=> $this->moreoptions)
            );
        }
        
    }
?>