<?php

add_action('init','of_options');

if (!function_exists('of_options')) {
function of_options(){
	
// Variables
$themename = get_theme_data(STYLESHEETPATH . '/style.css');
$themename = $themename['Name'];
$shortname = "of";

// Populate OptionsFramework option in array for use in theme
global $of_options;
$of_options = get_option('of_options');

$GLOBALS['template_path'] = OF_DIRECTORY;

// Access the WordPress Categories via an Array
$of_categories = array();  
$of_categories_obj = get_categories('hide_empty=0');
foreach ($of_categories_obj as $of_cat) {
    $of_categories[$of_cat->cat_ID] = $of_cat->cat_name;}
$categories_tmp = array_unshift($of_categories, "Select a category:");    
       
// Access the WordPress Pages via an Array
$of_pages = array();
$of_pages_obj = get_pages('sort_column=post_parent,menu_order');    
foreach ($of_pages_obj as $of_page) {
    $of_pages[$of_page->ID] = $of_page->post_name; }
$of_pages_tmp = array_unshift($of_pages, "Select a page:");       

// Image Alignment
$options_thumb_align = array("alignleft" => "Left","alignright" => "Right","aligncenter" => "Center"); 

// Options Select
$commerce_select = array("Cart66 for WordPress","PulleyApp.com","Quixly.com");

// Image Links to Options
$options_image_link_to = array("image" => "The Image","post" => "The Post"); 

// Stylesheets Reader
$alt_stylesheet_path = OF_FILEPATH . '/styles/';
$alt_stylesheets = array();

if ( is_dir($alt_stylesheet_path) ) {
    if ($alt_stylesheet_dir = opendir($alt_stylesheet_path) ) { 
        while ( ($alt_stylesheet_file = readdir($alt_stylesheet_dir)) !== false ) {
            if(stristr($alt_stylesheet_file, ".css") !== false) {
                $alt_stylesheets[] = $alt_stylesheet_file;
            }
        }    
    }
}

// More Options
$uploads_arr = wp_upload_dir();
$all_uploads_path = $uploads_arr['path'];
$all_uploads = get_option('of_uploads');
$other_entries = array("Select a number:","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19");
$body_repeat = array("no-repeat","repeat-x","repeat-y","repeat");
$body_pos = array("top left","top center","top right","center left","center center","center right","bottom left","bottom center","bottom right");

// Set the Options Array
$options = array();




/*-----------------------------------------------------------------------------------*/
/* Logo Options
/*-----------------------------------------------------------------------------------*/

$options[] = array( "name" => "Custom logo",
                    "type" => "heading");
					
$options[] = array( "name" => "Image Based Logo",
					"desc" => "Upload or paste the URL to your existing custom logo. It is recommended that you use a transparent PNG based logo no larger than 190px wide by 70px high. If the upload does not work the first time around, just give it another shot.",
					"id" => $shortname."_logo",
					"std" => "",
					"type" => "upload");
					
$options[] = array( "name" => "Text Based Logo",
					"desc" => "If you would like to use plain text for your logo, just enter a short amount of text here.",
					"id" => $shortname."_text_logo",
					"std" => "",
					"type" => "text");
					
$options[] = array( "name" => "Logo Background Color",
					"desc" => "Select a custom background color for your logo.",
					"id" => $shortname."_logo_background",
					"std" => "",
					"type" => "color");                    					

$options[] = array( "name" => "Logo Background Hover Color",
					"desc" => "Select a custom background hover color for your logo.",
					"id" => $shortname."_logo_background_hover",
					"std" => "",
					"type" => "color");					
					
$options[] = array( "name" => "Custom Favicon",
					"desc" => "Upload a 16px x 16px Png/Gif image that will represent your website's favicon.",
					"id" => $shortname."_custom_favicon",
					"std" => "",
					"type" => "upload");
					
					
					
					                                              
/*-----------------------------------------------------------------------------------*/
/* Header Options
/*-----------------------------------------------------------------------------------*/
					 
$options[] = array( "name" => "Header Text",
					"type" => "heading");
					
$options[] = array( "name" => "Site Tagline Text",
					"desc" => "Enter some text that you wish to display in the theme header directly below the logo and above the breadcrumbs.",
					"id" => $shortname."_header_text",
					"std" => "",
					"type" => "text");
					
					
					
					
/*-----------------------------------------------------------------------------------*/
/* Product Carousel
/*-----------------------------------------------------------------------------------*/
					 
$options[] = array( "name" => "Product Carousel",
					"type" => "heading");

$options[] = array( "name" => "Product Carousel",
					"desc" => "Choose a category for which you want to display posts within the featured product carousel on the home page.",
					"id" => $shortname."_featured_content",
					"std" => "Select a Category:",
					"type" => "select",
					"options" => $of_categories);
															
$options[] = array( "name" => "Product Carousel Count",
					"desc" => "Enter the number of products you wish to display within the featured product carousel on the home page.",
					"id" => $shortname."_carousel_count",
					"std" => "",
					"type" => "text");
					
$options[] = array( "name" => "Disable the Product Carousel",
					"desc" => "Check to disable the product carousel entirely.",
					"id" => $shortname."_disable_product_carousel",
					"std" => "false",
					"type" => "checkbox"); 					
					
					
					
/*-----------------------------------------------------------------------------------*/
/* Commerce Options
/*-----------------------------------------------------------------------------------*/
					 
$options[] = array( "name" => "Commerce Options",
					"type" => "heading");	
					
$options[] = array( "name" => "Select Your Commerce Soltuon",
					"desc" => "Choose the commerce solution you wish to use with the Acquisto theme.",
					"id" => $shortname."_commerce_select",
					"std" => "Cart66 for WordPress",
					"type" => "select2",
					"options" => $commerce_select);
					
$options[] = array( "name" => "Currency Symbol",
					"desc" => "Enter the currency symbol you would like to use for your products (e.g. '$')",
					"id" => $shortname."_currency_symbol",
					"std" => "$",
					"type" => "text");					 					




/*-----------------------------------------------------------------------------------*/
/* Product Pages
/*-----------------------------------------------------------------------------------*/
					 
$options[] = array( "name" => "Product Pages",
					"type" => "heading");	
					
$options[] = array( "name" => "Disable 'Item Tags' Sidebar Widget",
					"desc" => "Check to disable the 'Item Tags' widget found on single product pages.",
					"id" => $shortname."_disable_tags_widget",
					"std" => "false",
					"type" => "checkbox"); 

$options[] = array( "name" => "Disable 'Share This Item' Social Widget",
					"desc" => "Check to disable the 'Share This Item' widget found on single product pages.",
					"id" => $shortname."_disable_social_widget",
					"std" => "false",
					"type" => "checkbox"); 		
					
					
					
					
/*-----------------------------------------------------------------------------------*/
/* Blog Page Options
/*-----------------------------------------------------------------------------------*/
					 
$options[] = array( "name" => "Blog Page",
					"type" => "heading");

$options[] = array( "name" => "Blog Page Category",
					"desc" => "Choose a category for which you want to display posts within the blog page (non-product page) template.",
					"id" => $shortname."_blog_category",
					"std" => "Select a Category:",
					"type" => "select",
					"options" => $of_categories);															
					
					
					

/*-----------------------------------------------------------------------------------*/
/* Social Options
/*-----------------------------------------------------------------------------------*/
				
$options[] = array( "name" => "Social Links",
					"type" => "heading");  

$options[] = array( "name" => "Twitter Links",
					"desc" => "Enter your Twitter.com User ID to enable Twitter.com follow links within the header menu and footer menu.",
					"id" => $shortname."_twitter_name",
					"std" => "",
					"type" => "text");
					
$options[] = array( "name" => "Facebooks Links",
					"desc" => "Enter your Facebook.com User ID to enable Facebook.com follow links within the header menu and footer menu.",
					"id" => $shortname."_facebook_name",
					"std" => "",
					"type" => "text");					




/*-----------------------------------------------------------------------------------*/
/* Footer Options
/*-----------------------------------------------------------------------------------*/
				
$options[] = array( "name" => "Footer Text",
					"type" => "heading");   

$options[] = array( "name" => "Custom Text (Left)",
					"desc" => "Custom HTML and Text that will appear in the footer of your theme.",
					"id" => $shortname."_footer_left_text",
					"std" => "",
					"type" => "textarea");
					
					
					
					
/*-----------------------------------------------------------------------------------*/
/* Google Analytics
/*-----------------------------------------------------------------------------------*/

$options[] = array( "name" => "Google Analytics",
					"type" => "heading");

$options[] = array( "name" => "Tracking Code",
					"desc" => "Paste your Google Analytics (or other) tracking code here. This will be added into the footer template of your theme.",
					"id" => $shortname."_google_analytics",
					"std" => "",
					"type" => "textarea");  					




/*-----------------------------------------------------------------------------------*/
/* Custom Style Options
/*-----------------------------------------------------------------------------------*/

$options[] = array( "name" => "Custom CSS",
					"type" => "heading");
					
$options[] = array( "name" => "Custom CSS",
                    "desc" => "Quickly add some CSS to your theme by adding it to this block.",
                    "id" => $shortname."_custom_css",
                    "std" => "",
                    "type" => "textarea");
							
					


/*-----------------------------------------------------------------------------------*/
/* Update Options
/*-----------------------------------------------------------------------------------*/

update_option('of_template',$options); 					  
update_option('of_themename',$themename);   
update_option('of_shortname',$shortname);

}
}
?>