<?php
// Press75.com WordPress Themes
?>
<!DOCTYPE html>

<!--[if lt IE 7 ]><html lang="en" class="no-js ie6"><![endif]-->
<!--[if IE 7 ]><html lang="en" class="no-js ie7"><![endif]-->
<!--[if IE 8 ]><html lang="en" class="no-js ie8"><![endif]-->
<!--[if IE 9 ]><html lang="en" class="no-js ie9"><![endif]-->
<!--[if (gt IE 9)|!(IE)]><!--><html lang="en" class="no-js"><!--<![endif]-->

<!--
**********************************************************************************************

Designed and Built by Jason Schuller - theSevenFive.com, Press75.com

CSS, XHTML and Design Files are all Copyright <?php echo date("Y"); ?> Circa75 Media, LLC

Be inspired, but please don't steal...

**********************************************************************************************
-->

<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" /> 
	
	<!--[if IE]>
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
	<![endif]-->
	
	<!-- Page Titles and Site Meta -->
	<title><?php if ( is_home() ) { ?><?php bloginfo('name'); ?>&nbsp;|&nbsp;<?php bloginfo('description'); ?><?php } ?><?php if ( is_search() ) { ?><?php bloginfo('name'); ?>&nbsp;|&nbsp;Search Results<?php } ?><?php if ( is_author() ) { ?><?php bloginfo('name'); ?>&nbsp;|&nbsp;Author Archives<?php } ?><?php if ( is_single() ) { ?><?php wp_title(''); ?>&nbsp;|&nbsp;<?php bloginfo('name'); ?><?php } ?><?php if ( is_page() ) { ?><?php bloginfo('name'); ?>&nbsp;|&nbsp;<?php wp_title(''); ?><?php } ?><?php if ( is_category() ) { ?><?php bloginfo('name'); ?>&nbsp;|&nbsp;Archive&nbsp;|&nbsp;<?php single_cat_title(); ?><?php } ?><?php if ( is_month() ) { ?><?php bloginfo('name'); ?>&nbsp;|&nbsp;Archive&nbsp;|&nbsp;<?php the_time('F'); ?><?php } ?><?php if (function_exists('is_tag')) { if ( is_tag() ) { ?><?php bloginfo('name'); ?>&nbsp;|&nbsp;Tag Archive&nbsp;|&nbsp;<?php  single_tag_title("", true); } } ?></title>
	<meta name="description" content="<?php bloginfo('description'); ?>">
	
	<!-- Required Styles (CSS) -->
	<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
	<link href='http://fonts.googleapis.com/css?family=Raleway:100' rel='stylesheet' type='text/css'>
	<?php if (is_page()) { ?>
	<link rel="stylesheet" type="text/css" href="<?php bloginfo('template_url'); ?>/css/cart66.css" media="screen" />
	<?php } ?>
	
	<!--[if IE]>
		<link rel="stylesheet" href="<?php bloginfo('template_url'); ?>/css/ie.css" type="text/css" media="screen" />
	<![endif]-->
	
	<?php if (get_option('of_custom_favicon')) : ?>
		<!-- get custom favicon -->
	<?php else : ?>
		<link rel="shortcut icon" href="<?php bloginfo('template_url'); ?>/images/favicon.ico">
		<link rel="apple-touch-icon" href="<?php bloginfo('template_url'); ?>/images/touch-icon.png">
	<?php endif; ?>
	
	<!-- Enable HTML5 Elements & Feature Detects -->
	<script src="<?php bloginfo('template_url'); ?>/js/modernizr.js"></script>
	
	<!-- Comment Reply Script -->
	<?php if ( is_singular() ) wp_enqueue_script( 'comment-reply' ); ?>
	
	<!-- Custom Styles -->
	<?php if (get_option('of_logo_background')) { include (TEMPLATEPATH . '/style.php'); } ?>
	
	<!-- Loaded by WordPress -->
	<?php wp_head(); ?>
</head>

<body>
	<div id="container">
		<header>
			<div id="logo">
			<?php if (get_option('of_text_logo')) : ?>
				<h1><a class="logo" href="<?php echo get_option('home'); ?>/" title="Home" ><?php echo get_option('of_text_logo'); ?></a></h1>
			<?php else : ?>
				<a class="logo logo-image" href="<?php echo get_option('home'); ?>/" title="Home" ><img src="<?php echo ($logo = get_option('of_logo')) ? $logo : get_bloginfo("template_url") . "/images/logo.png"; ?>" alt="<?php bloginfo('name'); ?>" /></a>
			<?php endif; ?>
			</div> <!-- logo -->
			
			<div id="header-nav">
				<?php wp_nav_menu(array('theme_location' => 'header_menu', 'menu_class' => 'header-nav')); ?>
				
				<?php if (get_option('of_twitter_name')) { ?>
				<ul>
					<li><a href="http://www.twitter.com/<?php echo get_option('of_twitter_name'); ?>/" title="Follow on Twitter">Twitter</a></li>
				</ul>
				<?php } ?>
				
				<?php if (get_option('of_facebook_name')) { ?>
				<ul>
					<li><a href="http://www.facebook.com/<?php echo get_option('of_facebook_name'); ?>/" title="Follow on Facebook">Facebook</a></li>
				</ul>
				<?php } ?>
			</div> <!-- header-nav -->
			
			<div id="search-box">
				<script type="text/javascript">
					function doClear(theText) {
						if (theText.value == theText.defaultValue) {
							theText.value = ""
						}
					}
				</script>
				
				<div id="search">
					<form method="get" id="search-form" action="<?php bloginfo('home'); ?>/">
						<input type="text" name="s" id="s" value="Search" onfocus="doClear(this)" />
						<input type="submit" id="search-submit" value="" />
					</form>
				</div> <!-- search -->
			</div> <!-- search-box -->
			
			<div id="header-text-top">
				<p class="featured-text"><?php echo get_option('of_header_text'); ?></p>
				
				<?php if (get_option('of_commerce_select') == "0") : ?>
					<p class="cart-title">Your Shopping Cart:</p>
				<?php else : ?>
					<!-- No Shopping Cart -->
				<?php endif; ?>
			</div> <!-- header-text-top -->
			
			<div id="header-text-bottom">
				<p class="breadcrumbs"><?php if (is_home()){echo 'Home';}?><?php sf_breadcrumbs(); ?></p>
				
				<?php if (get_option('of_commerce_select') == "0") : ?>
					<p class="cart-count"><?php echo do_shortcode('[shopping_cart]'); ?></p>
				<?php else : ?>
					<!-- No Shopping Cart -->
				<?php endif; ?>
			</div> <!-- header-text-bottom -->
		</header>