<?php
/*
Template Name: Full Width Page
*/
?>

<?php get_header(); ?>

<div id="content">
	<div id="content-inside">
		<div id="posts-full">
			<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
			
			<div id="post-<?php the_ID(); ?>" class="post-item single-post-item">
				<h2><a href="<?php the_permalink() ?>" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
				
				<div class="post-content post-content-full">
					<?php the_content(''); ?>
				</div> <!-- post-content -->
			</div> <!-- post-item -->
			
			<?php endwhile; else : ?>
		
			<div id="nothing-here" class="post-item single-post-item">			
				<h2>Whoops!!! Nothing Here by That Name</h2>
				
				<div class="post-content post-content-full">
					<p>Very sorry, but what you are looking for isn't here. Maybe you should try one of the links below.</p>
					
					<h4 class="not-here">Find Posts by Title:</h4>
					<ul>
						<?php query_posts('&showposts=1000&orderby=title&order=asc'); if (have_posts()) : while (have_posts()) : the_post(); ?>
						<li><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></li>									
						<?php endwhile; endif; ?>
					</ul>
					
					<h4 class="not-here">Find Posts by Month:</h4>
					<ul>
						<?php wp_get_archives('type=monthly'); ?>
					</ul>
					
					<h4 class="not-here">Find Posts by Category:</h4>
					<ul>
						<?php wp_list_categories('title_li='); ?>
					</ul>
					
					<h4 class="not-here">Maybe a Page:</h4>
					<ul>
						<?php wp_list_pages('title_li='); ?>
					</ul>
				</div> <!-- post-content -->
			</div> <!-- post-item -->
			
			<?php endif; ?>
		</div> <!-- posts-full -->
	</div> <!-- content-inside -->
</div> <!-- content -->

<?php get_footer(); ?>