<?php

add_action('init','of_options');

if (!function_exists('of_options')) {
function of_options(){
	
// VARIABLES
$themename = get_theme_data(STYLESHEETPATH . '/style.css');
$themename = $themename['Name'];
$shortname = "of";

// Populate OptionsFramework option in array for use in theme
global $of_options;
$of_options = get_option('of_options');

$GLOBALS['template_path'] = OF_DIRECTORY;

//Access the WordPress Categories via an Array
$of_categories = array();  
$of_categories_obj = get_categories('hide_empty=0');
foreach ($of_categories_obj as $of_cat) {
    $of_categories[$of_cat->cat_ID] = $of_cat->cat_name;}
$categories_tmp = array_unshift($of_categories, "Select a category:");    
       
//Access the WordPress Pages via an Array
$of_pages = array();
$of_pages_obj = get_pages('sort_column=post_parent,menu_order');    
foreach ($of_pages_obj as $of_page) {
    $of_pages[$of_page->ID] = $of_page->post_name; }
$of_pages_tmp = array_unshift($of_pages, "Select a page:");       

// Image Alignment radio box
$options_thumb_align = array("alignleft" => "Left","alignright" => "Right","aligncenter" => "Center"); 

// Image Links to Options
$options_image_link_to = array("image" => "The Image","post" => "The Post"); 

//Testing 
$options_select = array("one","two","three","four","five"); 
$options_radio = array("one" => "One","two" => "Two","three" => "Three","four" => "Four","five" => "Five"); 

//Stylesheets Reader
$alt_stylesheet_path = OF_FILEPATH . '/styles/';
$alt_stylesheets = array();

if ( is_dir($alt_stylesheet_path) ) {
    if ($alt_stylesheet_dir = opendir($alt_stylesheet_path) ) { 
        while ( ($alt_stylesheet_file = readdir($alt_stylesheet_dir)) !== false ) {
            if(stristr($alt_stylesheet_file, ".css") !== false) {
                $alt_stylesheets[] = $alt_stylesheet_file;
            }
        }    
    }
}

//More Options
$uploads_arr = wp_upload_dir();
$all_uploads_path = $uploads_arr['path'];
$all_uploads = get_option('of_uploads');
$other_entries = array("Select a number:","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19");
$body_repeat = array("no-repeat","repeat-x","repeat-y","repeat");
$body_pos = array("top left","top center","top right","center left","center center","center right","bottom left","bottom center","bottom right");

// Set the Options Array
$options = array();




/*-----------------------------------------------------------------------------------*/
/* Logo & Styles
/*-----------------------------------------------------------------------------------*/

$options[] = array( "name" => "Style Options",
                    "type" => "heading");
                    
$options[] = array( "name" => "Theme Style Selection",
					"desc" => "Choose between a dark or light theme style from this list.",
					"id" => $shortname."_alt_stylesheet",
					"std" => "dark.css",
					"type" => "select",
					"options" => $alt_stylesheets);                    
                    
$options[] = array( "name" => "Custom Logo Image",
					"desc" => "Upload a logo for your theme, or specify the image address of your online logo. (e.g. 'http://yoursite.com/logo.png'). If the upload does not work the first time around, just give it another shot.",
					"id" => $shortname."_logo",
					"std" => "",
					"type" => "upload");                    
					
$options[] = array( "name" => "Custom Favicon",
					"desc" => "Upload a 16px x 16px Png/Gif image that will represent your website's favicon.",
					"id" => $shortname."_custom_favicon",
					"std" => "",
					"type" => "upload"); 
					
					
					
					                                              
/*-----------------------------------------------------------------------------------*/
/* Header Options
/*-----------------------------------------------------------------------------------*/
					 
$options[] = array( "name" => "Header Options",
					"type" => "heading");
					
$options[] = array( "name" => "Site Tagline Text",
					"desc" => "Enter some text that you wish to display in the theme header directly above the logo (top-left).",
					"id" => $shortname."_header_text",
					"std" => "",
					"type" => "text");
					
$options[] = array( "name" => "Categories Menu Text",
					"desc" => "Enter the text you wish to use for your categories menu. By default 'Portfolio' will be used.",
					"id" => $shortname."_categories_text",
					"std" => "Portfolio",
					"type" => "text");					


$options[] = array( "name" => "Twitter Integration",
					"desc" => "Enter your Twitter.com User ID to enable a Twitter link within the header.",
					"id" => $shortname."_twitter_name",
					"std" => "",
					"type" => "text");
					
$options[] = array( "name" => "Facebook Integration",
					"desc" => "Enter your Facebook.com User ID to enable a Facebook link within the header.",
					"id" => $shortname."_facebook_name",
					"std" => "",
					"type" => "text");														
															



/*-----------------------------------------------------------------------------------*/
/* Info Box Options
/*-----------------------------------------------------------------------------------*/
					 
$options[] = array( "name" => "Info Box Options",
					"type" => "heading");
					
$options[] = array( "name" => "Enable Header Information Boxes",
					"desc" => "The Folio Elements theme does not use standard WordPress pages, but you can configure up to 3 info boxes as shown on the Folio Elements demo.",
					"id" => $shortname."_enable_info_boxes",
					"std" => "false",
					"type" => "checkbox"); 								

$options[] = array( "name" => "#1 Info Box Title",
					"desc" => "Enter the title for your info box.",
					"id" => $shortname."_box_title_1",
					"std" => "",
					"type" => "text");

$options[] = array( "name" => "#1 Info Box Text",
					"desc" => "Enter the text you wish to display within this info box.",
					"id" => $shortname."_box_text_1",
					"std" => "",
					"type" => "textarea");
					
$options[] = array( "name" => "#2 Info Box Title",
					"desc" => "Enter the title for your info box.",
					"id" => $shortname."_box_title_2",
					"std" => "",
					"type" => "text");

$options[] = array( "name" => "#2 Info Box Text",
					"desc" => "Enter the text you wish to display within this info box.",
					"id" => $shortname."_box_text_2",
					"std" => "",
					"type" => "textarea"); 

$options[] = array( "name" => "#3 Info Box Title",
					"desc" => "Enter the title for your info box.",
					"id" => $shortname."_box_title_3",
					"std" => "",
					"type" => "text");

$options[] = array( "name" => "#3 Info Box Text",
					"desc" => "Enter the text you wish to display within this info box.",
					"id" => $shortname."_box_text_3",
					"std" => "",
					"type" => "textarea"); 						




/*-----------------------------------------------------------------------------------*/
/* Footer Options
/*-----------------------------------------------------------------------------------*/
				
$options[] = array( "name" => "Footer Options",
					"type" => "heading");   

$options[] = array( "name" => "Custom Footer Text",
					"desc" => "Custom HTML and Text that will appear in the footer of your theme.",
					"id" => $shortname."_footer_left_text",
					"std" => "",
					"type" => "textarea"); 
					
					
					

/*-----------------------------------------------------------------------------------*/
/* Analytics Options
/*-----------------------------------------------------------------------------------*/
				
$options[] = array( "name" => "Analytics Optins",
					"type" => "heading");   

$options[] = array( "name" => "Google Analytics",
					"desc" => "Paste your Google Analytics (or other) tracking code here. This will be added into the footer template of your theme.",
					"id" => $shortname."_google_analytics",
					"std" => "",
					"type" => "textarea");  					  
		
					


/*-----------------------------------------------------------------------------------*/
/* Update Options
/*-----------------------------------------------------------------------------------*/

update_option('of_template',$options); 					  
update_option('of_themename',$themename);   
update_option('of_shortname',$shortname);

}
}
?>