<?php
// Press75.com WordPress Themes
?>
<!DOCTYPE html>

<!--[if lt IE 7 ]><html lang="en" class="no-js ie6"><![endif]-->
<!--[if IE 7 ]><html lang="en" class="no-js ie7"><![endif]-->
<!--[if IE 8 ]><html lang="en" class="no-js ie8"><![endif]-->
<!--[if IE 9 ]><html lang="en" class="no-js ie9"><![endif]-->
<!--[if (gt IE 9)|!(IE)]><!--><html lang="en" class="no-js"><!--<![endif]-->

<!--
**********************************************************************************************

Designed and Built by Jason Schuller - theSevenFive.com, Press75.com

CSS, XHTML and Design Files are all Copyright <?php echo date("Y"); ?> Circa75 Media, LLC

Be inspired, but please don't steal...

**********************************************************************************************
-->

<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" /> 
	
	<!--[if IE]>
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
	<![endif]-->
	
	<!-- Page Titles and Site Meta -->
	<title><?php if ( is_home() ) { ?><?php bloginfo('name'); ?>&nbsp;|&nbsp;<?php bloginfo('description'); ?><?php } ?><?php if ( is_search() ) { ?><?php bloginfo('name'); ?>&nbsp;|&nbsp;Search Results<?php } ?><?php if ( is_author() ) { ?><?php bloginfo('name'); ?>&nbsp;|&nbsp;Author Archives<?php } ?><?php if ( is_single() ) { ?><?php wp_title(''); ?>&nbsp;|&nbsp;<?php bloginfo('name'); ?><?php } ?><?php if ( is_page() ) { ?><?php bloginfo('name'); ?>&nbsp;|&nbsp;<?php wp_title(''); ?><?php } ?><?php if ( is_category() ) { ?><?php bloginfo('name'); ?>&nbsp;|&nbsp;Archive&nbsp;|&nbsp;<?php single_cat_title(); ?><?php } ?><?php if ( is_month() ) { ?><?php bloginfo('name'); ?>&nbsp;|&nbsp;Archive&nbsp;|&nbsp;<?php the_time('F'); ?><?php } ?><?php if (function_exists('is_tag')) { if ( is_tag() ) { ?><?php bloginfo('name'); ?>&nbsp;|&nbsp;Tag Archive&nbsp;|&nbsp;<?php  single_tag_title("", true); } } ?></title>
	<meta name="description" content="<?php bloginfo('description'); ?>">
	
	<!-- Favicon Image -->
	<?php if (get_option('of_custom_favicon')) : ?>
		<!-- get custom favicon -->
	<?php else : ?>
		<link rel="shortcut icon" href="<?php bloginfo('template_url'); ?>/images/favicon.ico">
		<link rel="apple-touch-icon" href="<?php bloginfo('template_url'); ?>/images/touch-icon.png">
	<?php endif; ?>
	
	<!-- Required Styles (CSS) -->
	<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
	
	<!--[if IE]>
	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/style-ie.css" type="text/css" media="screen" />
	<![endif]-->
	
	<!-- Loaded by WordPress -->
	<?php wp_head(); ?>
</head>

<body>
	<div id="header" class="row">
		<div class="section">
			<header class="row">
				<div id="header-top" class="row">
					<div id="header-text" class="one-of-two">
						<p><?php echo get_option('of_header_text'); ?></p>
					</div> <!-- #subscribe .one-of-two -->
					
					<div id="navigation" class="two-of-two">
						<ul class="menu">
							<li class="first"><a href="<?php echo get_option('home'); ?>/" title="Home">Home</a></li>
							
							<li><a href="javascript:void(0)" title="Browse the <?php echo get_option('of_categories_text'); ?>"><?php echo get_option('of_categories_text'); ?></a>
								<ul>
									<?php wp_list_categories('title_li='); ?>
								</ul>
							</li>
							
							<?php if (get_option('of_box_title_1')) { ?>
							<li><a class="page-text" href="javascript:void(0)" title="<?php echo get_option('of_box_text_1'); ?>"><?php echo get_option('of_box_title_1'); ?></a></li>
							<?php } ?>
							
							<?php if (get_option('of_box_title_2')) { ?>
							<li><a class="page-text" href="javascript:void(0)" title="<?php echo get_option('of_box_text_2'); ?>"><?php echo get_option('of_box_title_2'); ?></a></li>
							<?php } ?>
							
							<?php if (get_option('of_box_title_3')) { ?>
							<li><a class="page-text" href="javascript:void(0)" title="<?php echo get_option('of_box_text_3'); ?>"><?php echo get_option('of_box_title_3'); ?></a></li>
							<?php } ?>
							
							<?php if (get_option('of_twitter_name')) { ?>
							<li><a class="twitter" href="http://www.twitter.com/<?php echo get_option('of_twitter_name'); ?>/" target="_blank" title="Follow on Twitter">Twitter</a></li>
							<?php } ?>
							
							<?php if (get_option('of_facebook_name')) { ?>
							<li><a class="facebook" href="http://www.facebook.com/<?php echo get_option('of_facebook_name'); ?>/" target="_blank" title="Follow on Facebook">Facebook</a></li>
							<?php } ?>
						</ul> <!-- .menu -->
					</div> <!-- #navigation .two-of-two -->
				</div> <!-- #header-top .row -->
				
				<div class="row">
					<div id="logo" class="full-width">
						<a href="<?php echo get_option('home'); ?>/" title="Home"><img src="<?php echo ($logo = get_option('of_logo')) ? $logo : get_bloginfo("template_url") . "/images/logo.png"; ?>" alt="<?php bloginfo('name'); ?>" /></a>
					</div> <!-- #logo .one-of-two -->
				</div> <!-- .row -->
			</header> <!-- header .row -->
		</div> <!-- .section -->
	</div> <!-- #header .row -->