<?php

$prefix = 'sf_';




/*-----------------------------------------------------------------------------------*/
/*	Image Fields
/*-----------------------------------------------------------------------------------*/
 
$meta_box = array(
	'id' => 'sf-meta-box',
	'title' => 'Post Image Options',
	'page' => 'post',
	'context' => 'normal',
	'priority' => 'high',
	'fields' => array(
	
		array(
				'name' => 'Image 1',
				'desc' => 'Any Size',
				'id' => 'upload_image_1',
				'type' => 'text',
				'std' => ''
			),
			
		array(
				'name' => '',
				'desc' => '',
				'id' => 'upload_image_button',
				'type' => 'button',
				'std' => 'Browse'
			),
			
		array(
				'name' => 'Image 2',
				'desc' => 'Any Size',
				'id' => 'upload_image_2',
				'type' => 'text',
				'std' => ''
			),
			
		array(
				'name' => '',
				'desc' => '',
				'id' => 'upload_image_button2',
				'type' => 'button',
				'std' => 'Browse'
			),
			
		array(
				'name' => 'Image 3',
				'desc' => 'Any Size',
				'id' => 'upload_image_3',
				'type' => 'text',
				'std' => ''
			),
			
		array(
				'name' => '',
				'desc' => '',
				'id' => 'upload_image_button3',
				'type' => 'button',
				'std' => 'Browse'
			),
			
		array(
				'name' => 'Image 4',
				'desc' => 'Any Size',
				'id' => 'upload_image_4',
				'type' => 'text',
				'std' => ''
			),
			
		array(
				'name' => '',
				'desc' => '',
				'id' => 'upload_image_button4',
				'type' => 'button',
				'std' => 'Browse'
			),
			
		array(
				'name' => 'Image 5',
				'desc' => 'Any Size',
				'id' => 'upload_image_5',
				'type' => 'text',
				'std' => ''
			),
			
		array(
				'name' => '',
				'desc' => '',
				'id' => 'upload_image_button5',
				'type' => 'button',
				'std' => 'Browse'
			),
			
		array(
				'name' => 'Image 6',
				'desc' => 'Any Size',
				'id' => 'upload_image_6',
				'type' => 'text',
				'std' => ''
			),
			
		array(
				'name' => '',
				'desc' => '',
				'id' => 'upload_image_button6',
				'type' => 'button',
				'std' => 'Browse'
			),	
	),
	
);




/*-----------------------------------------------------------------------------------*/
/*	Video Fields
/*-----------------------------------------------------------------------------------*/

$meta_box_video = array(
	'id' => 'sf-meta-box-video',
	'title' => 'Post Video Options',
	'page' => 'post',
	'context' => 'normal',
	'priority' => 'high',
	'fields' => array(
	
		array(
				'name' => 'Youtube or Vimeo URL',
				'desc' => __('If you are using YouTube or Vimeo, please enter in the page URL here.', 'framework'),
				'id' => 'sf_video_url',
				'type' => 'text',
				'std' => ''
			),
			
		array(
				'name' => 'Embedded Code',
				'desc' => __('If you are using something other than YouTube or Vimeo, paste the embed code here. This field will override the above.', 'framework'),
				'id' => 'sf_embed_code',
				'type' => 'textarea',
				'std' => ''
			),
			
		array(
				'name' => 'Video Width',
				'desc' => __('Please enter the video width. For instance, 600 = (600px).', 'framework'),
				'id' => 'sf_video_width',
				'type' => 'text',
				'std' => ''
			),	
			
		array(
				'name' => 'Video Height',
				'desc' => __('Please enter the video height. For instance, 400 = (400px).', 'framework'),
				'id' => 'sf_video_height',
				'type' => 'text',
				'std' => ''
			)
	),
	
);

add_action('admin_menu', 'sf_add_box');




/*-----------------------------------------------------------------------------------*/
/*	Add These Fields to the Post Editor
/*-----------------------------------------------------------------------------------*/
 
function sf_add_box() {
	global $meta_box, $meta_box_video;
	add_meta_box($meta_box['id'], $meta_box['title'], 'sf_show_box', $meta_box['page'], $meta_box['context'], $meta_box['priority']);
	add_meta_box($meta_box_video['id'], $meta_box_video['title'], 'sf_show_box_video', $meta_box_video['page'], $meta_box_video['context'], $meta_box_video['priority']);
}




/*-----------------------------------------------------------------------------------*/
/*	Show the Photos Box
/*-----------------------------------------------------------------------------------*/

function sf_show_box() {
	global $meta_box, $post;
 	
	echo '<p style="padding:10px 0 0 0;">'.__('Use the options below to add up to 6 images to this post. Upload an image then copy and paste the image URL within the field provided.', 'framework').'</p>';

	echo '<input type="hidden" name="sf_meta_box_nonce" value="', wp_create_nonce(basename(__FILE__)), '" />';
 
	echo '<table class="form-table">';
 
	foreach ($meta_box['fields'] as $field) {
		$meta = get_post_meta($post->ID, $field['id'], true);
		switch ($field['type']) {	
			case 'text':
			
			echo '<tr style="border-top:1px solid #eeeeee;">',
				'<th style="width:25%"><label for="', $field['id'], '"><strong>', $field['name'], '</strong><span style=" display:block; color:#999; margin:5px 0 0 0;">'. $field['desc'].'</span></label></th>',
				'<td>';
			echo '<input type="text" name="', $field['id'], '" id="', $field['id'], '" value="', $meta ? $meta : stripslashes(htmlspecialchars(( $field['std']), ENT_QUOTES)), '" size="30" style="width:75%; margin-right: 20px; float:left;" />';
			
			break;
 
			case 'button':
				echo '<input style="float: left;" type="button" class="button" name="', $field['id'], '" id="', $field['id'], '"value="', $meta ? $meta : $field['std'], '" />';
				echo 	'</td>',
			'</tr>';
			
			break;
		}

	}
 
	echo '</table>';
}




/*-----------------------------------------------------------------------------------*/
/*	Show the Video Box
/*-----------------------------------------------------------------------------------*/

function sf_show_box_video() {
	global $meta_box_video, $post;
 	
	echo '<p style="padding:10px 0 0 0;">'.__('Use the options below to add a video to this post.', 'framework').'</p>';

	echo '<input type="hidden" name="sf_meta_box_nonce" value="', wp_create_nonce(basename(__FILE__)), '" />';
 
	echo '<table class="form-table">';
 
	foreach ($meta_box_video['fields'] as $field) {
		$meta = get_post_meta($post->ID, $field['id'], true);
		switch ($field['type']) {
			case 'text':
			
			echo '<tr style="border-top:1px solid #eeeeee;">',
				'<th style="width:25%"><label for="', $field['id'], '"><strong>', $field['name'], '</strong><span style="line-height:20px; display:block; color:#999; margin:5px 0 0 0;">'. $field['desc'].'</span></label></th>',
				'<td>';
			echo '<input type="text" name="', $field['id'], '" id="', $field['id'], '" value="', $meta ? $meta : $field['std'],'" size="30" style="width:75%; margin-right: 20px; float:left;" />';
			
			break;
			
			case 'textarea':
			
			echo '<tr style="border-top:1px solid #eeeeee;">',
				'<th style="width:25%"><label for="', $field['id'], '"><strong>', $field['name'], '</strong><span style="line-height:18px; display:block; color:#999; margin:5px 0 0 0;">'. $field['desc'].'</span></label></th>',
				'<td>';
			echo '<textarea name="', $field['id'], '" id="', $field['id'], '" value="', $meta ? $meta : $field['std'], '" rows="8" cols="5" style="width:100%; margin-right: 20px; float:left;">', $meta ? $meta : $field['std'], '</textarea>';
			
			break;
 
			case 'button':
				echo '<input style="float: left;" type="button" class="button" name="', $field['id'], '" id="', $field['id'], '"value="', $meta ? $meta : $field['std'], '" />';
				echo 	'</td>',
			'</tr>';
			
			break;
		}

	}
 
	echo '</table>';
}
 
add_action('save_post', 'sf_save_data');




/*-----------------------------------------------------------------------------------*/
/*	Save Everything
/*-----------------------------------------------------------------------------------*/
 
function sf_save_data($post_id) {
	global $meta_box, $meta_box_video;
 
	if (!wp_verify_nonce($_POST['sf_meta_box_nonce'], basename(__FILE__))) {
		return $post_id;
	}
 
	if (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE) {
		return $post_id;
	}
 
	if ('page' == $_POST['post_type']) {
		if (!current_user_can('edit_page', $post_id)) {
			return $post_id;
		}
	} elseif (!current_user_can('edit_post', $post_id)) {
		return $post_id;
	}
 
	foreach ($meta_box['fields'] as $field) {
		$old = get_post_meta($post_id, $field['id'], true);
		$new = $_POST[$field['id']];
 
		if ($new && $new != $old) {
			update_post_meta($post_id, $field['id'], $new);
		} elseif ('' == $new && $old) {
			delete_post_meta($post_id, $field['id'], $old);
		}
	}
	
	foreach ($meta_box_video['fields'] as $field) {
		$old = get_post_meta($post_id, $field['id'], true);
		$new = $_POST[$field['id']];
 
		if ($new && $new != $old) {
			update_post_meta($post_id, $field['id'], stripslashes(htmlspecialchars($new)));
		} elseif ('' == $new && $old) {
			delete_post_meta($post_id, $field['id'], $old);
		}
	}
}




/*-----------------------------------------------------------------------------------*/
/*	Queue Scripts
/*-----------------------------------------------------------------------------------*/
 
function sf_admin_scripts() {
	wp_enqueue_script('media-upload');
	wp_enqueue_script('thickbox');
	wp_register_script('sf-upload', get_template_directory_uri() . '/js/upload-button.js', array('jquery','media-upload','thickbox'));
	wp_enqueue_script('sf-upload');
}

function sf_admin_styles() {
	wp_enqueue_style('thickbox');
}

add_action('admin_print_scripts', 'sf_admin_scripts');
add_action('admin_print_styles', 'sf_admin_styles');



