<?php global $theme; ?>

    <?php if ( post_password_required() ) { ?>
        <p><?php _e( 'This post is password protected. Enter the password to view any comments.', 'flexithemes' ); ?></p>
    <?php return; } ?>
    
    <?php if ( have_comments() ) { ?>
        <div id="comments">
            <?php $theme->hook('comments_before'); ?>
            
            <h3 id="comments-title"><?php
        	printf( _n( 'One Response to %2$s', '%1$s Responses to %2$s', get_comments_number(), 'flexithemes' ),
        	number_format_i18n( get_comments_number() ), '<em>' . get_the_title() . '</em>' );
        	?></h3>
            
            <ol class="commentlist">
    		  <?php wp_list_comments('callback=flexi_comment_template'); ?>
            </ol>
            
            <?php if ( get_comment_pages_count() > 1 ) { ?>
    			<div class="navigation clearfix">
    				<div class="alignleft"><?php previous_comments_link( __( '<span class="meta-nav">&larr;</span> Older Comments', 'flexithemes' ) ); ?></div>
    				<div class="alignright"><?php next_comments_link( __( 'Newer Comments <span class="meta-nav">&rarr;</span>', 'flexithemes' ) ); ?></div>
    			</div><!-- .navigation .clearfix -->
            <?php } ?>
            
            <?php $theme->hook('comments_after'); ?>
        </div><!-- #comments -->
    <?php } ?>

<?php $theme->hook('comment_form_before'); ?>
<?php comment_form(); ?>
<?php $theme->hook('comment_form_after'); ?>

<?php
    function flexi_comment_template($comment, $args, $depth) {
       $GLOBALS['comment'] = $comment; ?>
       <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
         <div id="comment-<?php comment_ID(); ?>">
          <div class="comment-author vcard">
             <?php echo get_avatar($comment); ?>
    
             <?php printf(__('<cite class="fn">%s</cite> <span class="says">says:</span>'), get_comment_author_link()) ?>
          </div>
    
          <div class="comment-meta commentmetadata"><a href="<?php echo htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ?>"><?php printf(__('%1$s at %2$s'), get_comment_date(),  get_comment_time()) ?></a><?php edit_comment_link(__('(Edit)'),'  ','') ?></div>
    
            <?php if ($comment->comment_approved == '0') : ?>
             <em><?php _e('Your comment is awaiting moderation.') ?></em>
             <br />
          <?php endif; ?>
          
          <?php comment_text() ?>
    
          <div class="reply">
             <?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
          </div>
         </div>
    <?php
    }
?>