<?php get_header(); ?>

	<div id="content">
		<div id="content-inside">
			<?php include (TEMPLATEPATH . '/navigation.php'); ?>

			<div id="container">
				<div id="main">
					<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
					
					<div class="main-container">
						<ul class="meta-top">
							<li>Posted on <?php the_time('F d, Y'); ?></li>
						</ul>
						
						<div class="post-image">
							<?php the_post_thumbnail('featured'); ?>
						</div>
						
						<div id="post-<?php the_ID(); ?>" <?php post_class('post') ?>>			
							<h2><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
							
							<div class="post-content">
								<?php if ( get_option(THEME_PREFIX . "post_excerpt") ) : ?>
									<?php the_excerpt(''); ?>
								<?php else : ?>
									<?php the_content('Read More'); ?>
								<?php endif; ?>
							</div>
							
							<ul class="meta-bottom">
								<li class="discuss"><a href="<?php the_permalink() ?>#comments" title="Comment on This Post"><?php comments_number('No Comments','One Comment','% Comments'); ?></a></li>
							</ul>
						</div> <!-- post -->
						<div class="main-shadow">
							<!-- nothing to see here -->
						</div>
					</div> <!-- main-container -->
					
					<?php endwhile; else: ?>
					
					<div class="main-container">
						<ul class="meta-top">
							<li>Whoops!!!</li>
						</ul>
						
						<div id="nothing-here" class="post">			
							<h2>Nothing Here by That Name</h2>
							
							<div class="post-content">
								<p>Very sorry, but what you are looking for isn't here. Maybe you should try one of the links below.</p>
								
								<h4>Find Posts by Title</h4>
								<ul>
									<?php query_posts('&showposts=1000'); ?>
									<?php if (have_posts()) : ?>
									<?php while (have_posts()) : the_post(); ?>
									
									<li><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></li>									
									
									<?php endwhile; ?>
									<?php else : ?>
									<?php endif; ?> 
								</ul>
								
								<h4>Find Posts by Month</h4>
								<ul>
									<?php wp_get_archives('type=monthly'); ?>
								</ul>
								
								<h4>Find Posts by Category</h4>
								<ul>
									<?php wp_list_categories('title_li='); ?>
								</ul>
								
								<h4>Possibly a Page?</h4>
								<ul>
									<?php wp_list_pages('title_li='); ?>
								</ul>
							</div>
						</div> <!-- post -->
						<div class="main-shadow">
							<!-- nothing to see here -->
						</div>
					</div> <!-- main-container -->
					
					<?php endif; ?>
				</div> <!-- main -->
				
				<?php get_sidebar(); ?>
			</div> <!-- container -->
		</div> <!-- content-inside -->
	</div> <!-- content -->

<?php get_footer(); ?>