<?php get_header(); ?>

<?php
	if ( is_home() && "disable"!=get_option("massivenews_featured_conf_lvl") ) :
	
		echo '<div class="container_16 main_wrap">';
	
		switch ( get_option("massivenews_featured_conf_lvl") ) :
			case 'simple':
				$post_count = 0;
				$p = new WP_Query("cat=" . get_option("massivenews_featured_cat") . "&showposts=4");
			
				while ( $p->have_posts() ) : $p->the_post();
				?>	
					<div class="grid_4 boxgrid caption">
						<div class="box <?php if ($post_count==0) echo 'first_box featured_box'; elseif ($post_count==3) echo 'last_box '; else echo 'featured_box'; ?>" style="background: url(<?php $src = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), array( 350,350 ), false, '' ); echo $src[0]; ?>) center no-repeat;"></div>
						<div style="top: 186px;" class="cover boxcaption">
							<h4><a href="<?php the_permalink() ?>" title="<?php the_title(); ?>"><?php echo the_title(); ?></a></h4>
							<?php echo the_excerpt(); ?>
						</div> 
					</div>
				<?php
				$post_count++;
				endwhile;
			break;
		
			case 'advanced':
				$post_count = 0;
				$featured = get_option("massivenews_slots");
				foreach ( $featured as $slot ) :
					switch ( $slot['display'] ) {
						case 'category':
							$p = new WP_Query("cat=" . $slot['category'] . "&showposts=1");
							break;
						case 'page':
							$p = new WP_Query("page_id=" . $slot['page'] . "&showposts=1");
							break;
						case 'post':
							$p = new WP_Query("p=" . $slot['post'] . "&showposts=1");
							break;
					}

					if ( $p->have_posts() ) : $p->the_post();
					?>
						<div class="grid_4 boxgrid caption">
							<div class="box <?php if ($post_count==0) echo 'first_box featured_box'; elseif ($post_count==3) echo 'last_box '; else echo 'featured_box'; ?>" style="background: url(<?php $src = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), array( 350,350 ), false, '' ); echo $src[0]; ?>) center no-repeat;"></div>
							<div style="top: 186px;" class="cover boxcaption">
								<h4><a href="<?php the_permalink() ?>" title="<?php the_title(); ?>"><?php echo the_title(); ?></a></h4>
								<?php echo the_excerpt(); ?>
							</div> 
						</div>
					<?php
					endif;
					$post_count++;
				endforeach;
				break;
		endswitch;
	
		echo '<div class="clear"></div></div>';
	endif;
?>

<div class="container_16 main_wrap">
	<div id="content_left_wrapper">
		<div class="content_left">
			
			<div class="box">
				<?php if ( is_home() ) : ?>
				<h2>Recent Articles:</h2>
				<?php endif; ?>
				
				<?php if ( is_category() ) : ?>
				<h2><a href="<?php echo get_option('home'); ?>/">Home</a> &raquo;  <?php single_cat_title(''); ?>  &raquo;  Recent Articles:</h2>
				<?php endif; ?>
				
				<?php if ( is_tag() ) : ?>
				<h2><a href="<?php echo get_option('home'); ?>/">Home</a> &raquo;  <?php single_tag_title(''); ?>  &raquo;  Recent Articles:</h2>
				<?php endif; ?>
				
				<?php if ( is_search() ) : ?>
				<h2><a href="<?php echo get_option('home'); ?>/">Home</a> &raquo;  Search Results for "<?php the_search_query(); ?>":</h2>
				<?php endif; ?>
				
				<?php if (have_posts()) : ?>
				<?php while (have_posts()) : the_post(); ?>
				
				<div class="block">
					<div class="article first_main_article">
						<h1><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h1>
						<div class="meta">
							<span class="time"><?php the_time('F j, Y'); ?></span>
							<span class="categories"><?php the_category(', ') ?></span>
							<span class="discuss"><?php comments_popup_link('No Comments', '1 Comment', '% Comments'); ?></span>
							
							<?php if (is_user_logged_in()) : ?>  
							<span class="editlink"><?php edit_post_link('Edit This Post', '', ''); ?></span>
							<?php endif; ?>
						</div>
						
						<?php if (get_option(THEME_PREFIX . "post_thumbnails_multiple")) { ?>
							<a href="<?php the_permalink() ?>" class="image"><?php the_post_thumbnail(); ?></a>
						<?php } ?>
						
						<?php the_content('... Continue Reading'); ?>
					</div> <!-- article -->
				</div> <!-- block -->
				<div class="clear"></div>
			
				<?php endwhile; ?>
				<?php else : ?>
				
				<div class="block">
					<blockquote>
						<p>Sorry, but you are looking for something that isn't here. You might want to try another search term.</p>
						<p class="cite"><cite>Site Admin</cite></p>
					</blockquote>
				</div>
				
				<?php endif; ?>
			</div> <!-- box -->
			
			<?php if(function_exists('sf_pagenavi')) { sf_pagenavi('', '', '', '', 20, false);} ?>
		</div> <!-- content_left -->
	</div> <!-- content_left_wrapper -->
	
	<div id="content_right_wrapper">
	    <?php get_sidebar(); ?>
	</div>
    
    <div class="clear"></div>
</div> <!-- main_wrap -->

<?php get_footer(); ?>
