<?php
	$option_fields[] = $slots = THEME_PREFIX . "slots";
	$option_fields[] = $slots = THEME_PREFIX . "featured_conf_lvl";
	$option_fields[] = $slots = THEME_PREFIX . "featured_cat";
?>

<div class="postbox">
    <h3>Featured Content (Home Page Header)</h3>
    
    <div class="inside">
    	<p>Select "Disabled", "Simple" or "Advanced" to configure the Featured Content Items shown at the top of the home page.</p>
    	
    	<div class="table">
			<div class="row">
            	<div class="option">
                	<label class="config_level">
						<input name="massivenews_featured_conf_lvl" value="disable" type="radio"<?php checked("disable", get_option("massivenews_featured_conf_lvl")); ?> />
						<label for="massivenews_featured_conf_lvl">Disabled (hide this feature)</label>
					</label>
    			</div>
    		</div>
			
			<div class="row">
            	<div class="option">
                	<label class="config_level">
						<input name="massivenews_featured_conf_lvl" value="simple" type="radio"<?php checked("simple", get_option("massivenews_featured_conf_lvl")); ?> />
						<label for="massivenews_featured_conf_lvl">Simple (select a category)</label>
					</label>
				</div>
				
				<div class="option-select">	
					<?php wp_dropdown_categories( array( 'name' => 'massivenews_featured_cat', 'selected' => get_option('massivenews_featured_cat') ) ); ?>
				</div>
    		</div>
    		
			<div class="row last">
            	<div class="option">
                	<label class="config_level">
						<input name="massivenews_featured_conf_lvl" value="advanced" type="radio"<?php checked("advanced", get_option("massivenews_featured_conf_lvl")); ?> />
						<label for="massivenews_featured_conf_lvl">Advanced (configurable below)</label>
					</label>
    			</div>
    		</div>
    		
    		<div class="clearfix"></div>
    	</div>
    	
    	<p>Configure the options below if you selected "Advanced" above. Use these options to select the latest post from a category, a specified post or a specified page for each featured item.</p>    	
    	
    	<?php
    		$published_posts = p75_get_published_posts();
    		$published_pages = p75_get_published_pages();
    		$slot_opts = get_option("massivenews_slots");
    	?>
    	
    	<?php for ( $i=1; $i<5; $i++ ) : ?>
    	<p class="option-label">Featured Item #<?php echo $i; ?>:</p>
    	<div class="table">
    		<div class="row">
    	    	<div class="option">
    				<input id="massivenews_slots<?php echo $i; ?>_<?php echo $i; ?>_category" type="radio" name="massivenews_slots[<?php echo $i; ?>][display]" value="category"<?php checked("category", $slot_opts[$i]['display']); ?> />
    				<label for="massivenews_slots<?php echo $i; ?>_<?php echo $i; ?>_category">Latest post from a category.</label>
    			</div>
    			
    			<div class="option-select">	
    				<?php wp_dropdown_categories( array( 'name' => "massivenews_slots[$i][category]", 'id' => "massivenews_slot{$i}_category", 'class' => 'massivenews_slot_input','selected' => $slot_opts[$i]['category'] ) ); ?>
    			</div>
    		</div>
    		
    		<div class="row">
    	    	<div class="option">
    				<input id="massivenews_slots<?php echo $i; ?>_<?php echo $i; ?>_post" type="radio" name="massivenews_slots[<?php echo $i; ?>][display]" value="post"<?php checked("post", $slot_opts[$i]['display']); ?> />
    				<label for="massivenews_slots<?php echo $i; ?>_<?php echo $i; ?>_post">Display a specific post.</label>
    			</div>
    			
    			<div class="option-select">		
    				<select id="massivenews_slot<?php echo $i; ?>_post" class="massivenews_slot_input" name="massivenews_slots[<?php echo $i; ?>][post]">
    				<?php
    					foreach ( $published_posts as $p ) {
    						echo "<option value='" . $p->ID . "'" . selected($p->ID, $slot_opts[$i]['post'], false) . ">" . $p->post_title . "</option>\n";
    					}
    				?>
    				</select>
    			</div>
    		</div>
    		
    		<div class="row last">
    	    	<div class="option">
    				<input id="massivenews_slots_<?php echo $i; ?>_page" type="radio" name="massivenews_slots[<?php echo $i; ?>][display]" value="page"<?php checked("page", $slot_opts[$i]['display']); ?> />
    				<label for="massivenews_slots_<?php echo $i; ?>_page">Display a specific page.</label>
    			</div>
    			
    			<div class="option-select">		
    				<select id="massivenews_slot<?php echo $i; ?>_page" class="massivenews_slot_input" name="massivenews_slots[<?php echo $i; ?>][page]">
    					<?php
    						foreach ( $published_pages as $p ) {
    							echo "<option value='" . $p->ID . "'" . selected($p->ID, $slot_opts[$i]['page'], false) . ">" . $p->post_title . "</option>\n";
    						}
    					?>
    				</select>
    			</div>
    		</div>
    	
    		<div class="clearfix"></div>
    	</div>		
    	<?php endfor; ?>
    
    	<p class="submit">
			<input type="submit" class="button" value="Save Changes" />
		</p>
    </div> <!-- inside -->
</div> <!-- postbox -->	