<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
	<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
		<h2><a href="<?php the_permalink() ?>" title="<?php the_title_attribute(); ?>"><?php the_title() ?></a></h2>
		
		<?php if (is_single()) : ?>
			<?php if (get_option_tree('disable_tweet_button')) : ?>
			<!-- disable post tweet -->
			<?php else : ?>
			<div class="post-tweet">
				<a href="http://twitter.com/share" class="twitter-share-button" data-url="<?php the_permalink(); ?>" data-text="<?php bloginfo('name'); ?>: <?php the_title(); ?>," data-count="none">Tweet</a><script type="text/javascript" src="http://platform.twitter.com/widgets.js"></script>
			</div>
			<?php endif; ?>
		<?php endif; ?>
		
		<div class="post-meta">
			<?php if (get_option_tree('hide_post_date')) : ?>
			<!-- disable post date -->
			<?php else : ?>
			<span>Posted on</span> <?php the_time( get_option('date_format') ); ?>
			<?php endif; ?>
			
		<?php if (is_single() || is_category() || is_archive()) : ?>
			<?php if (get_option_tree('hide_post_categories')) : ?>
			<!-- disable post categories -->
			<?php else : ?>
			<span>in</span> <?php the_category(', ') ?>
			<?php endif; ?>
		<?php endif; ?>
		</div>
		
		<?php if ( (function_exists('has_post_thumbnail')) && (has_post_thumbnail()) ) : ?>
			<a class="post-image" href="<?php the_permalink() ?>" title="<?php the_title_attribute(); ?>">
				<?php the_post_thumbnail('featured'); ?>
			</a>
			
			<?php if (get_option_tree('hide_comment_circle')) : ?>
			<!-- disable comment circle -->
			<?php else : ?>
			<?php comments_popup_link('0','1','%', 'post-comment-circle'); ?>
			<?php endif; ?>
		<?php endif; ?>
		
		<div class="post-content">
			<?php the_content(''); ?>
		</div>
		
		<?php if (is_category() || is_archive()) : ?>
		<div class="button-container">
			<a class="continue-reading" href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>">Continue Reading</a>
		</div>
		<?php endif; ?>
		
	<?php if (is_single()) : ?>
		<?php if (get_option_tree('disable_post_comments')) : ?>
		<!-- disable post comments -->
		<?php else : ?>
		<div class="post-comments">
			<?php comments_template(); ?>
		</div>
		<?php endif; ?>
	<?php endif; ?>
	</div> <!-- id="post-<?php the_ID(); ?>" <?php post_class(); ?> -->
<?php endwhile; else : ?>
	<div id="post-nothing" class="post">
		<h2><a href="<?php echo get_option('home'); ?>/" title="Take Me Home">Sorry, But What You Are Looking For Isn't Here</a></h2>
		
		<div class="post-meta">
			<span>Not Found</span>
		</div>
		
		<div class="post-content"> 
			<p>Unfortunately, you are looking for something that does not exist on this site.</p>
		</div>
		
		<div class="button-container">
			<a class="continue-reading" href="<?php echo get_option('home'); ?>/" title="Take Me Home">Take Me Home</a>
		</div>
	</div> <!-- id="post-nothing" class="post" -->
<?php endif; ?>

<?php if(function_exists('sf_catnavi')) { sf_catnavi('', '', '', '', 20, false); } ?>