<?php

/*-----------------------------------------------------------------------------------*/
/* Register Custom Menus
/*-----------------------------------------------------------------------------------*/

add_action('init', 'register_custom_menu');
 
function register_custom_menu() {
	register_nav_menu('header_menu', __('Header Menu'));
	register_nav_menu('main_menu', __('Main Menu'));
	register_nav_menu('footer_menu', __('Footer Menu'));
}




/*-----------------------------------------------------------------------------------*/
/* Load Required Theme Scripts
/*-----------------------------------------------------------------------------------*/

define('THEME', get_bloginfo('template_url'), true);

function sf_theme_js() {
	if (is_admin()) return;
	wp_enqueue_script('jquery');
	wp_enqueue_script('superfish', THEME . '/js/superfish.js', 'jquery');
	wp_enqueue_script('slider', THEME . '/js/orbit.js', 'jquery');
	wp_enqueue_script('livetwitter', THEME . '/js/livetwitter.js', 'jquery');
}

add_action('init', sf_theme_js);




/*-----------------------------------------------------------------------------------*/
/* WordPress Post Thumbnails
/*-----------------------------------------------------------------------------------*/

if (function_exists('add_theme_support')) {
    add_theme_support('post-thumbnails');
    set_post_thumbnail_size(198, 125, true);
    add_image_size('featured', 438, 278, true);
}




/*-----------------------------------------------------------------------------------*/
/* Theme Options Check
/*-----------------------------------------------------------------------------------*/

opt_check();

function opt_check()
{
	if ( !function_exists('option_tree_category') )
	{
		add_thickbox(); // Required for the plugin install dialog.
		add_action('admin_notices', 'opt_check_notice');
	}
}

function opt_check_notice()
{
?>
	<div class='updated fade'>
		<p>The "Option Tree" plugin must be installed and activated for this theme to function properly. <a href="<?php echo admin_url('plugin-install.php?tab=plugin-information&plugin=option-tree&TB_iframe=true&width=640&height=517'); ?>" class="thickbox onclick">Install now</a></p>
	</div>
<?php
}

/*function sf_admin_menu()
{
	$page = add_theme_page( "On Demand Options", "Theme Options", 8, 'option_tree', 'option_tree');
}

add_action('admin_menu', 'sf_admin_menu');

add_action( 'admin_init', 'my_remove_menu_pages' );
function my_remove_menu_pages() {
	remove_menu_page('option_tree');
}*/




/*-----------------------------------------------------------------------------------*/
/* Custom Excerpt Length
/*-----------------------------------------------------------------------------------*/

function new_excerpt_length($length) {
	return 25;
}
add_filter('excerpt_length', 'new_excerpt_length');

function new_excerpt_more($more) {
	return ' ...';
}
add_filter('excerpt_more', 'new_excerpt_more');




/*-----------------------------------------------------------------------------------*/
/* Custom Category Pagination
/*-----------------------------------------------------------------------------------*/

function sf_catnavi($before = '', $after = '', $prelabel = '', $nxtlabel = '', $pages_to_show = 20, $always_show = false) {
	global $request, $posts_per_page, $wpdb, $paged;
	if(empty($prelabel)) {   $prelabel = 'Previous';
		} if(empty($nxtlabel)) {
		$nxtlabel = 'Next';
	} $half_pages_to_show = round($pages_to_show/2);
	if (!is_single()) {
		if(!is_category()) {
			preg_match('#FROM\s(.*)\sORDER BY#siU', $request, $matches);  
		} else {
			preg_match('#FROM\s(.*)\sGROUP BY#siU', $request, $matches);  }
			$fromwhere = $matches[1];
			$numposts = $wpdb->get_var("SELECT COUNT(DISTINCT ID) FROM $fromwhere");
			$max_page = ceil($numposts /$posts_per_page);
			if(empty($paged)) {
				$paged = 1;
		}
		if($max_page > 1 || $always_show) {
			echo "$before <div id='pagination' class='row'><h3>Select Any Page Below for More</h3>";
			previous_posts_link($prelabel);
			for($i = $paged - $half_pages_to_show; $i <= $paged + $half_pages_to_show; $i++) {   if ($i >= 1 && $i <= $max_page) {   if($i == $paged) {
					echo ' <a class="current-page" href="'.get_pagenum_link($i).'">'.$i.'</a> ';
						} else {
					echo ' <a href="'.get_pagenum_link($i).'">'.$i.'</a> ';   }
				}
			}
			next_posts_link($nxtlabel, $max_page);
			echo "</div> $after";
		}
	}
}




/*-----------------------------------------------------------------------------------*/
/* Unregister Default WP Widgets
/*-----------------------------------------------------------------------------------*/

function unregister_default_wp_widgets() {
	unregister_widget('WP_Widget_Calendar');
	unregister_widget('WP_Widget_Archives');
	unregister_widget('WP_Widget_Meta');
	unregister_widget('WP_Widget_Search');
	unregister_widget('WP_Widget_Recent_Posts');
	unregister_widget('WP_Widget_Recent_Comments');
	unregister_widget('WP_Widget_Tag_Cloud');
	unregister_widget('WP_Widget_RSS');
	unregister_widget('WP_Widget_Akismet');
}

add_action('widgets_init', 'unregister_default_wp_widgets', 1);




/*-----------------------------------------------------------------------------------*/
/* Custom Widgets
/*-----------------------------------------------------------------------------------*/

include("widgets/twitter.php");
include("widgets/posts.php");
include("widgets/slider.php");




/*-----------------------------------------------------------------------------------*/
/* Define Widgetized Areas
/*-----------------------------------------------------------------------------------*/

if ( function_exists('register_sidebar') )
register_sidebar(array('name'=>'Home - Main Column (Top)',
	'before_widget' => '<div id="%1$s" class="widget %2$s">',
	'after_widget' => '</div>',
	'before_title' => '<h3 class="widget-heading">',
	'after_title' => '</h3>',
));
register_sidebar(array('name'=>'Home - Main Column (Left)',
	'before_widget' => '<div id="%1$s" class="widget %2$s">',
	'after_widget' => '</div>',
	'before_title' => '<h3 class="widget-heading">',
	'after_title' => '</h3>',
));
register_sidebar(array('name'=>'Home - Main Column (Right)',
	'before_widget' => '<div id="%1$s" class="widget %2$s">',
	'after_widget' => '</div>',
	'before_title' => '<h3 class="widget-heading">',
	'after_title' => '</h3>',
));
register_sidebar(array('name'=>'Home - Sidebar (Left)',
	'before_widget' => '<div id="%1$s" class="widget %2$s">',
	'after_widget' => '</div>',
	'before_title' => '<h3 class="widget-heading">',
	'after_title' => '</h3>',
));
register_sidebar(array('name'=>'Home - Sidebar (Right)',
	'before_widget' => '<div id="%1$s" class="widget %2$s">',
	'after_widget' => '</div>',
	'before_title' => '<h3 class="widget-heading">',
	'after_title' => '</h3>',
));
register_sidebar(array('name'=>'Post Pages - Sidebar (Left)',
	'before_widget' => '<div id="%1$s" class="widget %2$s">',
	'after_widget' => '</div>',
	'before_title' => '<h3 class="widget-heading">',
	'after_title' => '</h3>',
));
register_sidebar(array('name'=>'Post Pages - Sidebar (Right)',
	'before_widget' => '<div id="%1$s" class="widget %2$s">',
	'after_widget' => '</div>',
	'before_title' => '<h3 class="widget-heading">',
	'after_title' => '</h3>',
));
register_sidebar(array('name'=>'Page Pages - Sidebar (Left)',
	'before_widget' => '<div id="%1$s" class="widget %2$s">',
	'after_widget' => '</div>',
	'before_title' => '<h3 class="widget-heading">',
	'after_title' => '</h3>',
));
register_sidebar(array('name'=>'Page Pages - Sidebar (Right)',
	'before_widget' => '<div id="%1$s" class="widget %2$s">',
	'after_widget' => '</div>',
	'before_title' => '<h3 class="widget-heading">',
	'after_title' => '</h3>',
));

?>