<?php
// Press75.com WordPress Themes
?>
<!DOCTYPE html>

<!--[if lt IE 7 ]><html lang="en" class="no-js ie6"><![endif]-->
<!--[if IE 7 ]><html lang="en" class="no-js ie7"><![endif]-->
<!--[if IE 8 ]><html lang="en" class="no-js ie8"><![endif]-->
<!--[if IE 9 ]><html lang="en" class="no-js ie9"><![endif]-->
<!--[if (gt IE 9)|!(IE)]><!--><html lang="en" class="no-js"><!--<![endif]-->

<!--
**********************************************************************************************

Designed and Built by Jason Schuller - theSevenFive.com, Press75.com

CSS, XHTML and Design Files are all Copyright <?php echo date("Y"); ?> Circa75 Media, LLC

Be inspired, but please don't steal...

**********************************************************************************************
-->

<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" /> 
	
	<!--[if IE]>
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
	<![endif]-->
	
	<!-- Page Titles and Site Meta -->
	<title><?php if ( is_home() ) { ?><?php bloginfo('name'); ?>&nbsp;|&nbsp;<?php bloginfo('description'); ?><?php } ?><?php if ( is_search() ) { ?><?php bloginfo('name'); ?>&nbsp;|&nbsp;Search Results<?php } ?><?php if ( is_author() ) { ?><?php bloginfo('name'); ?>&nbsp;|&nbsp;Author Archives<?php } ?><?php if ( is_single() ) { ?><?php wp_title(''); ?>&nbsp;|&nbsp;<?php bloginfo('name'); ?><?php } ?><?php if ( is_page() ) { ?><?php bloginfo('name'); ?>&nbsp;|&nbsp;<?php wp_title(''); ?><?php } ?><?php if ( is_category() ) { ?><?php bloginfo('name'); ?>&nbsp;|&nbsp;Archive&nbsp;|&nbsp;<?php single_cat_title(); ?><?php } ?><?php if ( is_month() ) { ?><?php bloginfo('name'); ?>&nbsp;|&nbsp;Archive&nbsp;|&nbsp;<?php the_time('F'); ?><?php } ?><?php if (function_exists('is_tag')) { if ( is_tag() ) { ?><?php bloginfo('name'); ?>&nbsp;|&nbsp;Tag Archive&nbsp;|&nbsp;<?php  single_tag_title("", true); } } ?></title>
	<meta name="description" content="<?php bloginfo('description'); ?>">
	
	<!-- Required Styles (CSS) -->
	<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
	<link href='http://fonts.googleapis.com/css?family=Droid+Serif' rel='stylesheet' type='text/css'>
	<link href='http://fonts.googleapis.com/css?family=Quattrocento' rel='stylesheet' type='text/css'>
	<link href='http://fonts.googleapis.com/css?family=Yanone+Kaffeesatz:extralight,light,regular,bold' rel='stylesheet' type='text/css'>
	
	<!-- Custom Favicon -->
	<link rel="shortcut icon" href="<?php echo get_option_tree('custom_favicon_image'); ?>" type="image/x-icon" />
	
	<!-- Comment Reply Script -->
	<?php if ( is_singular() ) wp_enqueue_script( 'comment-reply' ); ?>
	
	<!-- RSS & Pingbacks -->
	<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS Feed" href="<?php bloginfo('rss2_url'); ?>" />
	<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
	
	<!-- Loaded by WordPress -->
	<?php wp_head(); ?>
	
	<!-- Custom Header Styles -->
	<?php get_template_part( 'header', 'styles' ); ?>
</head>

<body>
	<div id="header" class="row">
		<div class="container clearfix">
			<div id="tagline-text" class="grid-6">
				<p><?php echo get_option_tree('tagline_text'); ?></p>
			</div>
			
			<div id="header-nav" class="grid-6">
				<?php wp_nav_menu(array('theme_location' => 'header_menu', 'menu_class' => 'header-nav')); ?>
			</div>
			
			<div id="logo" class="grid-5">
				<?php if (get_option_tree('custom_logo_text')) : ?>
				<h1><a href="<?php echo get_option('home'); ?>/" title="Home"><?php echo get_option_tree('custom_logo_text'); ?></a></h1>
				<?php else : ?>
				<a href="<?php echo get_option('home'); ?>/" title="Home"><img src="<?php echo ($logo = get_option_tree('custom_logo_image')) ? $logo : get_bloginfo("template_url") . "/images/logo.png"; ?>" alt="<?php bloginfo('name'); ?>" /></a>
				<?php endif; ?>
			</div>
			
			<div id="header-ad" class="grid-7">
				<?php if (get_option_tree('header_advertisement')) : ?>
				<a href="<?php echo get_option_tree('header_advertisement_link'); ?>"><img src="<?php echo get_option_tree('header_advertisement'); ?>" /></a>
				<?php endif; ?>
			</div>
			
			<div id="main-nav" class="grid-8">
				<?php wp_nav_menu(array('theme_location' => 'main_menu', 'menu_class' => 'main-nav')); ?>
			</div>
			
			<div id="search" class="grid-4">
				<form method="get" id="search-form" action="<?php bloginfo('home'); ?>/">
					<input type="submit" id="search-submit" value="" />
					<input type="text" name="s" id="s" value="<?php echo ($search_text = get_option_tree('search_field_text')) ? $search_text : "Find Something"; ?>" onfocus="if(this.value=='<?php echo ($search_text = get_option_tree('search_field_text')) ? $search_text : "Find Something"; ?>')this.value='';" onblur="if(this.value=='')this.value='<?php echo ($search_text = get_option_tree('search_field_text')) ? $search_text : "Find Something"; ?>';" />
					
				</form>
			</div>
		</div> <!-- class="container clearfix" -->
	</div> <!-- id="header" class="row" -->