<?php

/*********************************************************************************************

Plugin Name: Featured Posts
Plugin URI: http://www.press75.com/
Description: Display Featured Posts
Author: Jason Schuller
Version: 1.2
Author URI: http://www.thesevenfive.com/

**********************************************************************************************

Copyright (C) 2007 - 2011  Circa75 Media, LLC
    
**********************************************************************************************/

add_action( 'widgets_init', 'sf_posts_widget_load' );
function sf_posts_widget_load() { register_widget( 'sf_posts_widget' ); } // register the widget

class sf_posts_widget extends WP_Widget {

	function sf_posts_widget() {
		$widget_ops = array( 'classname' => 'sf_posts_widget', 'description' => 'Display featured posts from any selected category.' ); // define widget settings
		$control_ops = array( 'width' => 250, 'height' => 250, 'id_base' => 'sf_posts_widget' ); // widget control settings
		$this->WP_Widget( 'sf_posts_widget', 'P75 - Featured Posts', $widget_ops, $control_ops ); // create the widget
	}

    function widget( $args, $instance ) {
	    
	    extract( $args );
	    
	    $title = apply_filters('widget_title', $instance['title'] );
		
	    echo $before_widget;
	    
	    if ( $title )
	    	
	    echo $before_title . $title . $after_title;
	    
	    { ?>
	    
		    <!-- begin widget content -->
			<ul>
		    	<?php query_posts("cat=" . $instance["category"] . "&showposts=" . $instance["post_count"]); ?>
		    	<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
		    	<?php global $post; ?>
		        <li class="<?php if ( $instance['show_excerpt'] != true ) echo "widget-no-excerpt" ; ?> <?php if ( $instance['show_thumbnails'] ) echo "widget-thumbnails" ; ?>">
		        	<?php if ( $instance['show_thumbnails'] ) { ?>
		        		<?php if ( $instance['show_comments'] ) { ?>
		        			<?php comments_popup_link('0','1','%', 'widget-comment-circle'); ?>
		        		<?php } ?>
		        		
			        	<a href="<?php the_permalink() ?>" title="<?php the_title_attribute(); ?>"><?php the_post_thumbnail(); ?></a>
		        	<?php } ?>
		        
		        	<h2><a href="<?php the_permalink() ?>" title="<?php the_title_attribute(); ?>"><?php the_title() ?></a></h2>
		        	
		        	<span class="widget-date"><?php the_time( get_option('date_format') ); ?></span>
		            
		            <?php if ( $instance['show_excerpt'] ) { ?>
		            	<div class="widget-post-excerpt">
		            		<?php the_excerpt(); ?>
		            	</div>
		            <?php } ?>
		        </li>
		        <?php endwhile; endif; wp_reset_query(); ?>
		    </ul>
		    <!-- end widget content -->
	
	    <?php } 
	    
	    echo $after_widget;
    }

    function update( $new_instance, $old_instance ) {
	    return $new_instance;
    }
    
    function form( $instance ) {
        $defaults = array('title' => 'Featured Posts');
        $instance = wp_parse_args( (array) $instance, $defaults );
    { ?>
        <p>
        	<label for="<?php echo ($this->get_field_id('title')); ?>">Section Title:</label><br />
     		<input type="text" style="width:100%;" id="<?php echo ($this->get_field_id('title')); ?>" name="<?php echo ($this->get_field_name('title')); ?>" value="<?php echo ($instance['title']); ?>" />
     	</p>
            
        <p>
        	<label for="<?php echo ($this->get_field_id('category')); ?>">Category:</label><br />
        	<?php wp_dropdown_categories( array( 'name' => $this->get_field_name("category"), 'selected' => $instance["category"] ) ); ?>
        </p>
        
        <p>
        	<label for="<?php echo ($this->get_field_id('post_count')); ?>">Count:</label><br />
        	<input type="text" style="width:25%;" id="<?php echo ($this->get_field_id('post_count')); ?>" name="<?php echo ($this->get_field_name('post_count')); ?>" value="<?php echo ($instance['post_count']); ?>" />
        </p>
        
        <p>
        	<label for="<?php echo ($this->get_field_id('show_excerpt')); ?>">
        	    <input type="checkbox" id="<?php echo ($this->get_field_id('show_excerpt')); ?>" name="<?php echo ($this->get_field_name('show_excerpt')); ?>" <?php checked( (bool) $instance["show_excerpt"], true ); ?> />
        	    <?php _e("Show Post Excerpt"); ?>
        	</label>
        </p>
        
        <p>
    		<label for="<?php echo ($this->get_field_id('show_thumbnails')); ?>">
    		    <input type="checkbox" id="<?php echo ($this->get_field_id('show_thumbnails')); ?>" name="<?php echo ($this->get_field_name('show_thumbnails')); ?>" <?php checked( (bool) $instance["show_thumbnails"], true ); ?> />
    		    <?php _e("Show Post Thumbnails"); ?>
    		</label>
    	</p>
    	
    	<?php if ( $instance['show_thumbnails'] ) : ?>
    	<p>
    		<label for="<?php echo ($this->get_field_id('show_comments')); ?>">
    		    <input type="checkbox" id="<?php echo ($this->get_field_id('show_comments')); ?>" name="<?php echo ($this->get_field_name('show_comments')); ?>" <?php checked( (bool) $instance["show_comments"], true ); ?> />
    		    <?php _e("Show Comments Number"); ?>
    		</label>
    	</p>
    	<?php endif; ?>
    <?php } 
    
    }
    
}

?>