<?php

/*********************************************************************************************

Plugin Name: Featured Post Slider
Plugin URI: http://www.press75.com/
Description: Display Featured Post Slider
Author: Jason Schuller
Version: 1.2
Author URI: http://www.thesevenfive.com/

**********************************************************************************************

Copyright (C) 2007 - 2011  Circa75 Media, LLC
    
**********************************************************************************************/

add_action( 'widgets_init', 'sf_post_slider_widget_load' );
function sf_post_slider_widget_load() { register_widget( 'sf_post_slider_widget' ); } // register the widget

class sf_post_slider_widget extends WP_Widget {

	function sf_post_slider_widget() {
		$widget_ops = array( 'classname' => 'sf_post_slider_widget', 'description' => 'Can only be used within the "Home - Main Column (Top)" widget area. Display featured posts from any selected category within a content slider.' ); // define widget settings
		$control_ops = array( 'width' => 250, 'height' => 250, 'id_base' => 'sf_post_slider_widget' ); // widget control settings
		$this->WP_Widget( 'sf_post_slider_widget', 'P75 - Featured Post Slider', $widget_ops, $control_ops ); // create the widget
	}

    function widget( $args, $instance ) {
	    
	    extract( $args );
	    
	    $title = apply_filters('widget_title', $instance['title'] );
		
	    echo $before_widget;
	    
	    if ( $title )
	    	
	    echo $before_title . $title . $after_title;
	    
	    { ?>
	    
		    <!-- begin widget content -->
			<div id="featured-container">
		    	<div id="featured"> 
		    		<?php query_posts("cat=" . $instance["category"] . "&showposts=" . $instance["post_count"]); ?>
		    		<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
		    		<?php global $post; ?>
			    		<img src="<?php $src = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), array( 438,278 ), false, '' ); echo $src[0]; ?>" data-caption="#post-<?php the_ID(); ?>" />
			    		<?php if ( $instance['show_title'] ) { ?>
		    			<span class="orbit-caption" id="post-<?php the_ID(); ?>">
		    				<a href="<?php the_permalink() ?>" title="<?php the_title_attribute(); ?>"><?php the_title() ?></a>
		    			</span>
			    		<?php } ?>
		    		<?php endwhile; endif; wp_reset_query(); ?>
		    	</div>
		    </div>
		    <!-- end widget content -->
	
	    <?php } 
	    
	    echo $after_widget;
    }

    function update( $new_instance, $old_instance ) {
	    return $new_instance;
    }
    
    function form( $instance ) {
        $defaults = array('title' => 'Featured Post Slider');
        $instance = wp_parse_args( (array) $instance, $defaults );
    { ?>
        <p>
        	<label for="<?php echo ($this->get_field_id('title')); ?>">Section Title:</label><br />
     		<input type="text" style="width:100%;" id="<?php echo ($this->get_field_id('title')); ?>" name="<?php echo ($this->get_field_name('title')); ?>" value="<?php echo ($instance['title']); ?>" />
     	</p>
            
        <p>
        	<label for="<?php echo ($this->get_field_id('category')); ?>">Category:</label><br />
        	<?php wp_dropdown_categories( array( 'name' => $this->get_field_name("category"), 'selected' => $instance["category"] ) ); ?>
        </p>
        
        <p>
        	<label for="<?php echo ($this->get_field_id('post_count')); ?>">Count:</label><br />
        	<input type="text" style="width:25%;" id="<?php echo ($this->get_field_id('post_count')); ?>" name="<?php echo ($this->get_field_name('post_count')); ?>" value="<?php echo ($instance['post_count']); ?>" />
        </p>
        
        <p>
        	<label for="<?php echo ($this->get_field_id('show_title')); ?>">
        	    <input type="checkbox" id="<?php echo ($this->get_field_id('show_title')); ?>" name="<?php echo ($this->get_field_name('show_title')); ?>" <?php checked( (bool) $instance["show_title"], true ); ?> />
        	    <?php _e("Show Post Title"); ?>
        	</label>
        </p>
    <?php } 
    
    }
    
}

?>