<!DOCTYPE html>

<html <?php language_attributes(); ?>>

<!--
**********************************************************************************************

Designed and Built by Jason Schuller of Press75.com

**********************************************************************************************
-->

<head>
	<!--[if IE]>
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
	<![endif]-->
	
	<!-- page titles -->
	<title><?php wp_title(''); ?><?php if(wp_title('', false)) { echo ' | '; } ?><?php bloginfo('name'); if(is_home()) { echo ' | '; bloginfo('description'); } ?></title>
	
	<!-- meta tags -->
	<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
	<?php if (is_single() || is_page() ) : if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
	<meta name="description" content="<?php the_excerpt_rss(); ?>" />
	<?php endwhile; endif; elseif(is_home()) : ?>
	<meta name="description" content="<?php bloginfo('description'); ?>" />
	<?php endif; ?>
	
	<!-- required theme styles -->
	<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/style-css3.css" type="text/css" media="screen" />
	<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/style-gravity-forms.css" type="text/css" media="screen" />
	
	<!-- custom theme styles -->
	<?php get_template_part( 'style', 'custom' ); ?>
	
	<!-- pingback url -->
	<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
	
	<!-- custom favicon -->
	<?php $favicon_link = of_get_option('icon_image'); if ( !$favicon_link ) $favicon_link = get_template_directory_uri() . '/images/favicon.ico'; ?>
	<link rel="shortcut icon" href="<?php echo $favicon_link; ?>" type="image/x-icon" />
	<link rel="apple-touch-icon" href="<?php echo $favicon_link; ?>" />
	
	<?php if (is_singular() && get_option('thread_comments')) wp_enqueue_script('comment-reply'); ?>
	
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
	<?php 
		$video_url = get_post_meta(get_the_ID(), 'sf_video_url', true);
		$embeded_code = get_post_meta(get_the_ID(), 'sf_embed_code', true);
		$disable = of_get_option( 'disable_features' );
	?>
	
	<div id="header">
		<div id="header-inside">
			<?php if (of_get_option('header_ad')) { ?>
			<div id="full-width-ad">
				<?php echo of_get_option('header_ad'); ?>
			</div>
			<?php } ?>
			
			<div id="header-left">
			<?php if (of_get_option('logo_text')) : ?>
				<h1><a href="<?php echo home_url(); ?>/" title="Home" ><?php echo of_get_option('logo_text'); ?></a></h1>
			<?php else : ?>
				<a href="<?php echo home_url(); ?>/" title="Home" ><img src="<?php echo ($logo = of_get_option('logo_image')) ? $logo : get_template_directory_uri() . "/images/logo.png"; ?>" alt="<?php bloginfo('name'); ?>" /></a>
			<?php endif; ?>
			</div> <!-- header-left -->
			
			<div id="header-right">
				<?php if ($disable['4'] == '0') { ?>
				<div id="site-search">
					<?php get_template_part( 'searchform', '' ); ?>
				</div> <!-- site-search -->
				<?php } ?>
			</div> <!-- header-right -->
		</div> <!-- header-inside -->
	</div> <!-- header -->	
			
	<div id="navigation">
		<div class="navigation-inside<?php if (is_home()){echo ' navigation-video';}?><?php if($video_url !='' || $embeded_code != ''){echo ' navigation-video';}?><?php if (is_category()){echo ' navigation-category';}?><?php if ($disable['1'] == '1') { ?> navigation-category<?php } ?>">
			<?php wp_nav_menu(array('theme_location' => 'main_menu', 'container_class' => 'menu-header')); ?>
		</div> <!-- navigation-inside -->
	</div>  <!-- navigation -->