<?php
$settings = get_current_theme().'-options'; // do not change!

$defaults = array( // define our defaults
		'twitter' => 1,
		'headline_cat' => 1,
		'headline_num' => 5,
		'display_tabber' => 'yes',
		'feature_cat' => 1,
		'feature_interval' => '12000',
		'display_mid' => 'yes',
		'hp_mid_cat' => 1,
		'hp_mid_num' => 6,
		'display_bot' => 'yes',
		'hp_bot_cat' => 1,
		'hp_bot_num' => 5,
		'hp_side_cat' => 1,
		'hp_side_num' => 5,
		'blog_cat' => 1,
		'blog_num' => 5, 
		'portfolio_cat' => 1,
		'portfolio_cat_num' => 6,
		'tracking' => '<!--' . __("tracking code goes here", 'organicthemes') . '-->' // <-- no comma after the last option
);

//	push the defaults to the options database,
//	if options don't yet exist there.
add_option($settings, $defaults, '', 'yes');

//	this function registers our settings in the db
add_action('admin_init', 'register_theme_settings');
function register_theme_settings() {
	global $settings;
	register_setting($settings, $settings);
}
//	this function adds the settings page to the menu
add_action('admin_menu', 'add_theme_options_menu');
function add_theme_options_menu() {
	add_menu_page(__("Organic Themes", 'organicthemes'), __("Organic Themes", 'organicthemes'), 'edit_themes', basename(__FILE__), 'theme_settings_admin', "http://www.organicthemes.com/optionsicon.ico");
}

function theme_settings_admin() { ?>
<?php theme_options_css_js(); ?>
<div class="wrap">
<?php
	// display the proper notification if Saved/Reset
	global $settings, $defaults;
	if(ot_option('reset')) {
		echo '<div class="updated fade" id="message"><p>' . __("Theme Options", 'organicthemes') . ' <strong>' . __("RESET TO DEFAULTS", 'organicthemes') . '</strong></p></div>';
		update_option($settings, $defaults);
	} elseif($_REQUEST['settings-updated'] == true) {
		echo '<div class="updated fade" id="message"><p>' . __("Theme Options", 'organicthemes') . ' <strong>' . __("SAVED", 'organicthemes') . '</strong></p></div>';
	}
	// display icon next to page title
	screen_icon('options-general');
?>
	<h2><?php echo get_current_theme() . ' ' . __("Theme Options", 'organicthemes'); ?></h2>
	<form method="post" action="options.php">
	<?php settings_fields($settings); // important! ?>
	
	<!--left column-->
	<div class="metabox-holder mbleft">
        
        <div class="postbox">
        <h3><?php _e("Twitter Feed", 'organicthemes'); ?> <small><?php _e("(check to display/hide)", 'organicthemes'); ?></small></h3>
            <div class="inside">
                <p><?php _e("Twitter:", 'organicthemes'); ?><br />
                <input type="checkbox" name="<?php echo $settings; ?>[twitter]" value="1" <?php checked(1, ot_option('twitter')); ?> /> <input type="text" name="<?php echo $settings; ?>[twitter_url]" value="<?php echo ot_option('twitter_url'); ?>" size="20" /> <small><em><?php _e("(username)", 'organicthemes'); ?></em></small></p>
            </div>
        </div>
        
        <div class="postbox">
		<h3><?php _e("Blog Page Template", 'organicthemes'); ?></h3>
			<div class="inside">
            
            	<p><?php _e("Choose the Page Template in the Attributes when creating a new Page.", 'organicthemes'); ?></p>
                
				<p><?php _e("Select the category you want displayed", 'organicthemes'); ?>:<br />
    			<?php wp_dropdown_categories(array('selected' => ot_option('blog_cat'), 'name' => $settings.'[blog_cat]', 'orderby' => 'Name' , 'hierarchical' => 1, 'show_option_all' => __("All Categories", 'organicthemes'), 'hide_empty' => '0' )); ?></p>
				
				<p><?php _e("Enter the number of posts you wish to be displayed", 'organicthemes'); ?>:<br />
				<input type="text" name="<?php echo $settings; ?>[blog_num]" value="<?php echo ot_option('blog_num'); ?>" size="3" /></p>
                
			</div>
		</div>
        
        <div class="postbox">
            <h3><?php _e("Portfolio Page Template", 'organicthemes'); ?></h3>
            <div class="inside">
            
            	<p><?php _e("Choose the Page Template in the Attributes when creating a new Page.", 'organicthemes'); ?></p>

                <p><?php _e("Select the category you want displayed", 'organicthemes'); ?>:<br />
                <?php wp_dropdown_categories(array('selected' => ot_option('portfolio_cat'), 'name' => $settings.'[portfolio_cat]', 'orderby' => 'Name' , 'hierarchical' => 1, 'show_option_all' => __("All Categories", 'organicthemes'), 'hide_empty' => '0' )); ?></p>
                
                <p><?php _e("Enter the number of posts you wish to be displayed", 'organicthemes'); ?>:<br />
				<input type="text" name="<?php echo $settings; ?>[portfolio_num]" value="<?php echo ot_option('portfolio_num'); ?>" size="3" /></p>
                
            </div>
        </div>
        
       <div class="postbox">
		<h3><?php _e("Analytics Code", 'organicthemes'); ?></h3>
			<div class="inside">
				<p><?php _e("If you use a service such as", 'organicthemes'); ?> <a href="http://www.google.com/analytics/"><?php _e("Google Analytics", 'organicthemes'); ?></a> <?php _e("to track analytics on your site, paste the code below (it will be inserted into the footer):", 'organicthemes'); ?></p>
				<p>
				<textarea name="<?php echo $settings; ?>[tracking]" cols=30 rows=5><?php echo stripslashes(ot_option('tracking')); ?></textarea>
				</p>
			</div>
		</div>
        
	</div>
	<!--end left column-->
	
	<!--right column-->
    
	<div class="metabox-holder mbright">
    
    	<div class="postbox">
            <h3><?php _e("Scrolling News Ticker Headlines", 'organicthemes'); ?></h3>
            <div class="inside">

                <p><?php _e("Select the category you want displayed", 'organicthemes'); ?>:<br />
                <?php wp_dropdown_categories(array('selected' => ot_option('headline_cat'), 'name' => $settings.'[headline_cat]', 'orderby' => 'Name' , 'hierarchical' => 1, 'show_option_all' => __("All Categories", 'organicthemes'), 'hide_empty' => '0' )); ?></p>
                
                <p><?php _e("Enter the number of posts you wish to be displayed", 'organicthemes'); ?>:<br />
				<input type="text" name="<?php echo $settings; ?>[headline_num]" value="<?php echo ot_option('headline_num'); ?>" size="3" /></p>
                
            </div>
        </div>
        
        <div class="postbox">
            <h3><?php _e("Homepage Featured Tabs", 'organicthemes'); ?></h3>
            <div class="inside">
            
            	<p><?php _e("Display the Featured Tabs section?", 'organicthemes'); ?><br />
				<select name="<?php echo $settings; ?>[display_tabber]">
					<option style="padding-right:10px;" value="Yes" <?php selected('Yes', ot_option('display_tabber')); ?>><?php _e("Yes", 'organicthemes'); ?></option>
					<option style="padding-right:10px;" value="No" <?php selected('No', ot_option('display_tabber')); ?>><?php _e("No", 'organicthemes'); ?></option>
				</select></p>
                
                <p><?php _e("Select the category you want displayed", 'organicthemes'); ?>:<br />
    			<?php wp_dropdown_categories(array('selected' => ot_option('feature_cat'), 'name' => $settings.'[feature_cat]', 'orderby' => 'Name' , 'hierarchical' => 1, 'show_option_all' => __("All Categories", 'organicthemes'), 'hide_empty' => '0' )); ?></p>
                
                <p><?php _e("Select the interval for slide transistions (in seconds)", 'organicthemes'); ?><br />
                <select name="<?php echo $settings; ?>[feature_interval]">
                    <option style="padding-right:10px;" value="2000" <?php selected('2000', ot_option('feature_interval')); ?>><?php _e("2", 'organicthemes'); ?></option>
                    <option style="padding-right:10px;" value="4000" <?php selected('4000', ot_option('feature_interval')); ?>><?php _e("4", 'organicthemes'); ?></option>
                    <option style="padding-right:10px;" value="6000" <?php selected('6000', ot_option('feature_interval')); ?>><?php _e("6", 'organicthemes'); ?></option>
                    <option style="padding-right:10px;" value="8000" <?php selected('8000', ot_option('feature_interval')); ?>><?php _e("8", 'organicthemes'); ?></option>
                    <option style="padding-right:10px;" value="10000" <?php selected('10000', ot_option('feature_interval')); ?>><?php _e("10", 'organicthemes'); ?></option>
                    <option style="padding-right:10px;" value="12000" <?php selected('12000', ot_option('feature_interval')); ?>><?php _e("12", 'organicthemes'); ?></option>
                    <option style="padding-right:10px;" value="14000" <?php selected('14000', ot_option('feature_interval')); ?>><?php _e("14", 'organicthemes'); ?></option>
                    <option style="padding-right:10px;" value="16000" <?php selected('16000', ot_option('feature_interval')); ?>><?php _e("16", 'organicthemes'); ?></option>
                    <option style="padding-right:10px;" value="18000" <?php selected('18000', ot_option('feature_interval')); ?>><?php _e("18", 'organicthemes'); ?></option>
                    <option style="padding-right:10px;" value="20000" <?php selected('20000', ot_option('feature_interval')); ?>><?php _e("20", 'organicthemes'); ?></option>
                    <option style="padding-right:10px;" value="25000" <?php selected('25000', ot_option('feature_interval')); ?>><?php _e("25", 'organicthemes'); ?></option>
                    <option style="padding-right:10px;" value="30000" <?php selected('30000', ot_option('feature_interval')); ?>><?php _e("30", 'organicthemes'); ?></option>
                    <option style="padding-right:10px;" value="40000" <?php selected('40000', ot_option('feature_interval')); ?>><?php _e("40", 'organicthemes'); ?></option>
                    <option style="padding-right:10px;" value="60000" <?php selected('60000', ot_option('feature_interval')); ?>><?php _e("60", 'organicthemes'); ?></option>
                    <option style="padding-right:10px;" value="999999999" <?php selected('999999999', ot_option('feature_interval')); ?>><?php _e("Hold", 'organicthemes'); ?></option>
                </select></p>

            </div>
        </div>
        
        <div class="postbox">
            <h3><?php _e("Homepage Middle Content", 'organicthemes'); ?></h3>
            <div class="inside">
            
            	<p><?php _e("Display the Middle Content section?", 'organicthemes'); ?><br />
				<select name="<?php echo $settings; ?>[display_mid]">
					<option style="padding-right:10px;" value="Yes" <?php selected('Yes', ot_option('display_mid')); ?>><?php _e("Yes", 'organicthemes'); ?></option>
					<option style="padding-right:10px;" value="No" <?php selected('No', ot_option('display_mid')); ?>><?php _e("No", 'organicthemes'); ?></option>
				</select></p>

                <p><?php _e("Select the category you want displayed", 'organicthemes'); ?>:<br />
                <?php wp_dropdown_categories(array('selected' => ot_option('hp_mid_cat'), 'name' => $settings.'[hp_mid_cat]', 'orderby' => 'Name' , 'hierarchical' => 1, 'show_option_all' => __("All Categories", 'organicthemes'), 'hide_empty' => '0' )); ?></p>
                
                <p><?php _e("Enter the number of posts you wish to be displayed", 'organicthemes'); ?>:<br />
				<input type="text" name="<?php echo $settings; ?>[hp_mid_num]" value="<?php echo ot_option('hp_mid_num'); ?>" size="3" /></p>
                
            </div>
        </div>
        
        <div class="postbox">
            <h3><?php _e("Homepage Bottom Content", 'organicthemes'); ?></h3>
            <div class="inside">
            
            	<p><?php _e("Display the Bottom Content section?", 'organicthemes'); ?><br />
				<select name="<?php echo $settings; ?>[display_bot]">
					<option style="padding-right:10px;" value="Yes" <?php selected('Yes', ot_option('display_bot')); ?>><?php _e("Yes", 'organicthemes'); ?></option>
					<option style="padding-right:10px;" value="No" <?php selected('No', ot_option('display_bot')); ?>><?php _e("No", 'organicthemes'); ?></option>
				</select></p>

                <p><?php _e("Select the category you want displayed", 'organicthemes'); ?>:<br />
                <?php wp_dropdown_categories(array('selected' => ot_option('hp_bot_cat'), 'name' => $settings.'[hp_bot_cat]', 'orderby' => 'Name' , 'hierarchical' => 1, 'show_option_all' => __("All Categories", 'organicthemes'), 'hide_empty' => '0' )); ?></p>
                
                <p><?php _e("Enter the number of posts you wish to be displayed", 'organicthemes'); ?>:<br />
				<input type="text" name="<?php echo $settings; ?>[hp_bot_num]" value="<?php echo ot_option('hp_bot_num'); ?>" size="3" /></p>
                
            </div>
        </div>

        <div class="postbox">
            <h3><?php _e("Homepage Sidebar Content", 'organicthemes'); ?></h3>
            <div class="inside">
            
            	<p><?php _e("Display the Sidebar Content section?", 'organicthemes'); ?><br />
				<select name="<?php echo $settings; ?>[display_side]">
					<option style="padding-right:10px;" value="Yes" <?php selected('Yes', ot_option('display_side')); ?>><?php _e("Yes", 'organicthemes'); ?></option>
					<option style="padding-right:10px;" value="No" <?php selected('No', ot_option('display_side')); ?>><?php _e("No", 'organicthemes'); ?></option>
				</select></p>

                <p><?php _e("Select the category you want displayed", 'organicthemes'); ?>:<br />
                <?php wp_dropdown_categories(array('selected' => ot_option('hp_side_cat'), 'name' => $settings.'[hp_side_cat]', 'orderby' => 'Name' , 'hierarchical' => 1, 'show_option_all' => __("All Categories", 'organicthemes'), 'hide_empty' => '0' )); ?></p>
                
                <p><?php _e("Enter the number of posts you wish to be displayed", 'organicthemes'); ?>:<br />
				<input type="text" name="<?php echo $settings; ?>[hp_side_num]" value="<?php echo ot_option('hp_side_num'); ?>" size="3" /></p>

            </div>
        </div>

		<p class="submit">
		<input type="submit" class="button-primary" value="<?php _e("Save Settings", 'organicthemes') ?>" />
		<input type="submit" class="button-highlighted" name="<?php echo $settings; ?>[reset]" value="<?php _e("Reset Settings", 'organicthemes'); ?>" />
		</p>

	</div>
	<!--end right column-->
	
	</form>

</div><!--end .wrap-->
<?php }

// add CSS and JS if necessary
function theme_options_css_js() {
echo <<<CSS

<style type="text/css">
	.metabox-holder { 
		float: left;
		margin: 0; padding: 0 10px 0 0;
	}
	.metabox-holder { 
		float: left;
		margin: 0; padding: 0 10px 0 0;
	}
	.metabox-holder .postbox .inside {
		padding: 0 10px;
	}
	.mbleft {
		width: 300px;
	}
	.mbright {
		width: 480px;
	}
	.catchecklist,
	.pagechecklist {
		list-style-type: none;
		margin: 0; padding: 0 0 10px 0;
	}
	.catchecklist li,
	.pagechecklist li {
		margin: 0; padding: 0;
	}
	.catchecklist ul {
		margin: 0; padding: 0 0 0 15px;
	}
	select {
		margin-top: 5px;
	}
	input {
		margin-top: 5px;
	}
	input[type="checkbox"], input[type="radio"] {
		margin-top: 1px;
	}
</style>

CSS;

echo <<<JS

<script type="text/javascript">
jQuery(document).ready(function($) {
	$(".fade").fadeIn(1000).fadeTo(1000, 1).fadeOut(1000);
});
</script>

JS;
}
?>