<?php

add_action('init','of_options');

if (!function_exists('of_options')) {
function of_options(){
	
// VARIABLES
$themename = get_theme_data(STYLESHEETPATH . '/style.css');
$themename = $themename['Name'];
$shortname = "of";

// Populate OptionsFramework option in array for use in theme
global $of_options;
$of_options = get_option('of_options');

$GLOBALS['template_path'] = OF_DIRECTORY;

//Access the WordPress Categories via an Array
$of_categories = array();  
$of_categories_obj = get_categories('hide_empty=0');
foreach ($of_categories_obj as $of_cat) {
    $of_categories[$of_cat->cat_ID] = $of_cat->cat_name;}
$categories_tmp = array_unshift($of_categories, "Select a category:");    
       
//Access the WordPress Pages via an Array
$of_pages = array();
$of_pages_obj = get_pages('sort_column=post_parent,menu_order');    
foreach ($of_pages_obj as $of_page) {
    $of_pages[$of_page->ID] = $of_page->post_name; }
$of_pages_tmp = array_unshift($of_pages, "Select a page:");       

// Image Alignment radio box
$options_thumb_align = array("alignleft" => "Left","alignright" => "Right","aligncenter" => "Center"); 

// Image Links to Options
$options_image_link_to = array("image" => "The Image","post" => "The Post"); 

//Testing 
$options_select = array("one","two","three","four","five"); 
$options_radio = array("one" => "One","two" => "Two","three" => "Three","four" => "Four","five" => "Five"); 

//Stylesheets Reader
$alt_stylesheet_path = OF_FILEPATH . '/styles/';
$alt_stylesheets = array();

if ( is_dir($alt_stylesheet_path) ) {
    if ($alt_stylesheet_dir = opendir($alt_stylesheet_path) ) { 
        while ( ($alt_stylesheet_file = readdir($alt_stylesheet_dir)) !== false ) {
            if(stristr($alt_stylesheet_file, ".css") !== false) {
                $alt_stylesheets[] = $alt_stylesheet_file;
            }
        }    
    }
}

//More Options
$uploads_arr = wp_upload_dir();
$all_uploads_path = $uploads_arr['path'];
$all_uploads = get_option('of_uploads');
$other_entries = array("Select a number:","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19");
$body_repeat = array("no-repeat","repeat-x","repeat-y","repeat");
$body_pos = array("top left","top center","top right","center left","center center","center right","bottom left","bottom center","bottom right");

// Set the Options Array
$options = array();
					
					
					
					                                              
/*-----------------------------------------------------------------------------------*/
/* Header Options
/*-----------------------------------------------------------------------------------*/
					 
$options[] = array( "name" => "Header Options",
					"type" => "heading");
					
$options[] = array( "name" => "Enable Custom Menus",
					"desc" => "Check if you want to enable custom menus. Once enabled, you can configure your custom menus within the 'menus' control panel.",
					"id" => $shortname."_custom_menus",
					"std" => "false",
					"type" => "checkbox"); 					
					
$options[] = array( "name" => "Twitter Integration",
					"desc" => "Enter your Twitter.com User ID (e.g. 'JohnDoe') to enable a Twitter menu item within the header.",
					"id" => $shortname."_twitter_link",
					"std" => "press75",
					"type" => "text");
					
$options[] = array( "name" => "Twitter Link Text",
					"desc" => "Enter the text you wish to use for the Twitter menu item within the Header (e.g. 'Follow on Twitter')",
					"id" => $shortname."_twitter_text",
					"std" => "Follow on Twitter",
					"type" => "text");
					
$options[] = array( "name" => "Post Form Link",
					"desc" => "Enter the actual link to your post form here.",
					"id" => $shortname."_post_form_link",
					"std" => "",
					"type" => "text");	
					
$options[] = array( "name" => "Post Form Link Name",
					"desc" => "Enter the text you wish to use for the post form menu item within the Header (e.g. 'Post Something')",
					"id" => $shortname."_post_form_title",
					"std" => "Post Something",
					"type" => "text");																				
					
$options[] = array( "name" => "Logo Text",
					"desc" => "If you would like to use plain text for your logo, just enter a short amount of text here.",
					"id" => $shortname."_text_logo",
					"std" => "This is Posted",
					"type" => "text");
					
$options[] = array( "name" => "Introductory Text",
					"desc" => "Enter some text that you wish to display in the theme header directly above the logo text.",
					"id" => $shortname."_header_text",
					"std" => "",
					"type" => "textarea");
															



/*-----------------------------------------------------------------------------------*/
/* Footer Options
/*-----------------------------------------------------------------------------------*/
				
$options[] = array( "name" => "Footer Options",
					"type" => "heading");   

$options[] = array( "name" => "Custom Footer Text",
					"desc" => "Custom HTML and Text that will appear in the footer of your theme.",
					"id" => $shortname."_footer_left_text",
					"std" => "",
					"type" => "textarea");




/*-----------------------------------------------------------------------------------*/
/* Advertisement Options
/*-----------------------------------------------------------------------------------*/
					 
$options[] = array( "name" => "Advertisements",
					"type" => "heading");
					
$options[] = array( "name" => "Enable Sidebar Advertisements",
					"desc" => "Check if you want to enable sidebar advertisements. Once enabled, you can configure your sidebar ads within the 'widgets' control panel.",
					"id" => $shortname."_sidebar_ads",
					"std" => "false",
					"type" => "checkbox"); 
					
					
					
					
/*-----------------------------------------------------------------------------------*/
/* Post Options
/*-----------------------------------------------------------------------------------*/
				
$options[] = array( "name" => "Post Options",
					"type" => "heading");   
					
$options[] = array( "name" => "Disable Fancy Image Links",
					"desc" => "Check to disable the 'fancy' image links (lightbox effect for linked images) within single post pages.",
					"id" => $shortname."_disable_fancy",
					"std" => "false",
					"type" => "checkbox"); 					

$options[] = array( "name" => "Enable 'Reply' Button",
					"desc" => "Check to enable a 'Reply to This Post' button within single post pages (bottom).",
					"id" => $shortname."_enable_reply",
					"std" => "false",
					"type" => "checkbox"); 
					
$options[] = array( "name" => "Reply Button Text",
					"desc" => "Enter the text you wish to use for the 'Reply to This Post' button.",
					"id" => $shortname."_reply_text",
					"std" => "Reply to This Post",
					"type" => "text");

$options[] = array( "name" => "Disable Post Comments",
					"desc" => "Check to disable the post comments within single post pages.",
					"id" => $shortname."_disable_comments",
					"std" => "false",
					"type" => "checkbox"); 
					
					
					
					
/*-----------------------------------------------------------------------------------*/
/* Analytics Settings
/*-----------------------------------------------------------------------------------*/

$options[] = array( "name" => "Analytics",
                    "type" => "heading");
                                               
$options[] = array( "name" => "Tracking Code",
					"desc" => "Paste your Google Analytics (or other) tracking code here. This will be added into the footer template of your theme.",
					"id" => $shortname."_google_analytics",
					"std" => "",
					"type" => "textarea");   
					



/*-----------------------------------------------------------------------------------*/
/* Favicon Settings
/*-----------------------------------------------------------------------------------*/

$options[] = array( "name" => "Custom Favicon",
                    "type" => "heading");
					
$options[] = array( "name" => "Custom Favicon",
					"desc" => "Upload a 16px x 16px Png/Gif image that will represent your website's favicon.",
					"id" => $shortname."_custom_favicon",
					"std" => "",
					"type" => "upload"); 
					
					
					
					
/*-----------------------------------------------------------------------------------*/
/* Custom Style Options
/*-----------------------------------------------------------------------------------*/

$options[] = array( "name" => "Custom CSS",
					"type" => "heading");
					
$options[] = array( "name" => "Custom CSS",
                    "desc" => "Quickly add some CSS to your theme by adding it to this block.",
                    "id" => $shortname."_custom_css",
                    "std" => "",
                    "type" => "textarea");										
		
					


/*-----------------------------------------------------------------------------------*/
/* Update Options
/*-----------------------------------------------------------------------------------*/

update_option('of_template',$options); 					  
update_option('of_themename',$themename);   
update_option('of_shortname',$shortname);

}
}
?>