<?php
// Press75.com WordPress Themes
?>
<!DOCTYPE html>

<!--[if lt IE 7 ]><html lang="en" class="no-js ie6"><![endif]-->
<!--[if IE 7 ]><html lang="en" class="no-js ie7"><![endif]-->
<!--[if IE 8 ]><html lang="en" class="no-js ie8"><![endif]-->
<!--[if IE 9 ]><html lang="en" class="no-js ie9"><![endif]-->
<!--[if (gt IE 9)|!(IE)]><!--><html lang="en" class="no-js"><!--<![endif]-->

<!--
**********************************************************************************************

Designed and Built by Jason Schuller - theSevenFive.com, Press75.com

CSS, XHTML and Design Files are all Copyright <?php echo date("Y"); ?> Circa75 Media, LLC

Be inspired, but please don't steal...

**********************************************************************************************
-->

<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" /> 
	
	<!--[if IE]>
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
	<![endif]-->
	
	<!-- Page Titles and Site Meta -->
	<title><?php if ( is_home() ) { ?><?php bloginfo('name'); ?>&nbsp;|&nbsp;<?php bloginfo('description'); ?><?php } ?><?php if ( is_search() ) { ?><?php bloginfo('name'); ?>&nbsp;|&nbsp;Search Results<?php } ?><?php if ( is_author() ) { ?><?php bloginfo('name'); ?>&nbsp;|&nbsp;Author Archives<?php } ?><?php if ( is_single() ) { ?><?php wp_title(''); ?>&nbsp;|&nbsp;<?php bloginfo('name'); ?><?php } ?><?php if ( is_page() ) { ?><?php bloginfo('name'); ?>&nbsp;|&nbsp;<?php wp_title(''); ?><?php } ?><?php if ( is_category() ) { ?><?php bloginfo('name'); ?>&nbsp;|&nbsp;Archive&nbsp;|&nbsp;<?php single_cat_title(); ?><?php } ?><?php if ( is_month() ) { ?><?php bloginfo('name'); ?>&nbsp;|&nbsp;Archive&nbsp;|&nbsp;<?php the_time('F'); ?><?php } ?><?php if (function_exists('is_tag')) { if ( is_tag() ) { ?><?php bloginfo('name'); ?>&nbsp;|&nbsp;Tag Archive&nbsp;|&nbsp;<?php  single_tag_title("", true); } } ?></title>
	<meta name="description" content="<?php bloginfo('description'); ?>">
	
	<!-- Required Styles (CSS) -->
	<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
	<link href='http://fonts.googleapis.com/css?family=Neuton:regular,italic' rel='stylesheet' type='text/css'>
	
	<!--[if lte IE 8]>
		<link rel="stylesheet" href="<?php bloginfo('template_url'); ?>/css/ie.css" type="text/css" media="screen" />
	<![endif]-->
	
	<?php if (get_option('of_custom_favicon')) : ?>
		<!-- get custom favicon -->
	<?php else : ?>
		<link rel="shortcut icon" href="<?php bloginfo('template_url'); ?>/images/favicon.ico">
		<link rel="apple-touch-icon" href="<?php bloginfo('template_url'); ?>/images/touch-icon.png">
	<?php endif; ?>
	
	<!-- Enable HTML5 Elements & Feature Detects -->
	<script src="<?php bloginfo('template_url'); ?>/js/modernizr.min.js"></script>
	
	<!-- Comment Reply Script -->
	<?php if ( is_singular() ) wp_enqueue_script( 'comment-reply' ); ?>
	
	<!-- Loaded by WordPress -->
	<?php wp_head(); ?>
</head>

<body>
	<div id="wrapper">
		<div id="header" class="row line">
			<div id="navigation" class="row">
				<ul>	
					<li><a href="<?php echo get_option('home'); ?>/" title="Home">Home</a></li>
				</ul>
				
				<?php if (get_option('of_custom_menus') == 'true') { ?>
					<?php wp_nav_menu(array('sort_column' => 'menu_order', 'container_class' => 'header-nav')); ?>
				<?php } ?>
				
				<ul class="post-it">
					<li><a class="post-something" href="<?php echo get_option('of_post_form_link'); ?>" title="<?php echo get_option('of_post_form_title'); ?>"><?php echo get_option('of_post_form_title'); ?></a></li>
				</ul>
				
				<?php if (get_option('of_twitter_link')) { ?>
				<ul class="twitter">
					<li><a class="twitter-link" href="http://twitter.com/<?php echo get_option('of_twitter_link'); ?>" title="Twitter.com"><?php echo get_option('of_twitter_text'); ?></a></li>
				</ul>
				<?php } ?>
			</div> <!-- #navigation .row -->
			
			<div id="logo" class="row">
			<?php if (get_option('of_text_logo')) : ?>
				<h1><a href="<?php echo get_option('home'); ?>/" title="Home" ><?php echo get_option('of_text_logo'); ?></a></h1>
			<?php else : ?>
				<h1><a href="<?php echo get_option('home'); ?>/" title="Home" ><?php bloginfo('name'); ?></a></h1>
			<?php endif; ?>
			</div> <!-- #logo .row -->
			
			<div id="text" class="row line">
				<p><?php echo get_option('of_header_text'); ?></p>
			</div> <!-- #text .row .line -->
			
			<div id="categories" class="row">
				<?php wp_tag_cloud('smallest=9&largest=9&format=flat' );?>
			</div> <!-- #categories .row -->
		</div> <!-- #header .row .line -->