<?php

/*********************************************************************************************

Plugin Name: 125x125 Advertisements
Plugin URI: http://www.press75.com/
Description: Add a 125x125 Advertisements
Author: Jason Schuller
Version: 1.0
Author URI: http://www.thesevenfive.com/

**********************************************************************************************

Copyright (C) 2007 - 2011  Circa75 Media, LLC
    
**********************************************************************************************/

add_thickbox();

add_action( 'widgets_init', 'sf_125_widget_load' );
function sf_125_widget_load() { register_widget( 'sf_125_widget' ); } // register the widget

class sf_125_widget extends WP_Widget {

	function sf_125_widget() {
		$widget_ops = array( 'classname' => 'sf_125_widget', 'description' => 'Add Four 125x125 Advertisements' ); // define widget settings
		$control_ops = array( 'width' => 250, 'height' => 250, 'id_base' => 'sf_125_widget' ); // widget control settings
		$this->WP_Widget( 'sf_125_widget', '125x125 Advertisements', $widget_ops, $control_ops ); // create the widget
	}

    function widget( $args, $instance ) {
	    extract( $args );
		
	    echo $before_widget; { ?>
	    
		    <!-- begin widget content -->
		    	<a href="<?php echo ($instance['ad_link']); ?>" title="<?php echo ($instance['alt_title']); ?>" target="_blank"><img src="<?php echo ($instance['img_url']); ?>" alt="<?php echo ($instance['alt_title']); ?>" /></a>
		    <!-- end widget content -->
	
	    <?php } echo $after_widget;
    }

    function update( $new_instance, $old_instance ) {
	    $instance = $old_instance;
	    
	    foreach($new_instance as $k=>$v) { $instance[$k] = strip_tags($v); }
	    
	    return $instance;
    }

    function form( $instance ) {
	    $defaults = array('alt_title' => '');
	
	    $instance = wp_parse_args( (array) $instance, $defaults ); { ?>
	    
	        <p>
	        	<label for="<?php echo ($this->get_field_id('alt_title')); ?>">Ad Title:</label><br />
	     		<input type="text" style="width:50%;" id="<?php echo ($this->get_field_id('alt_title')); ?>" name="<?php echo ($this->get_field_name('alt_title')); ?>" value="<?php echo ($instance['alt_title']); ?>" />
	     	</p>
	            
	        <p>
		        <label for="<?php echo ($this->get_field_id('img_url')); ?>">Image URL:</label> <a href="media-upload.php?post_id=22&amp;type=image&amp;TB_iframe=true&width=640&height=517" id="add_image" class="thickbox onclick" title="Add an Image">Upload</a><br />
		        <input type="text" style="width:100%;" id="<?php echo ($this->get_field_id('img_url')); ?>" name="<?php echo ($this->get_field_name('img_url')); ?>" value="<?php echo ($instance['img_url']); ?>" />
		        <small style="color:#999;font-style:italic;">the location of your ad image file</small>
	        </p>
	        
	        <p>
	        	<label for="<?php echo ($this->get_field_id('ad_link')); ?>">Advertisement Link:</label><br />
	        	<input type="text" style="width: 100%;" id="<?php echo ($this->get_field_id('ad_link')); ?>" name="<?php echo ($this->get_field_name('ad_link')); ?>" value="<?php echo ($instance['ad_link']); ?>" />
	       		<small style="color: #999; font-style: italic;">the link to the advertiser</small>
	        </p>
	        
	        <div style="width: 100%; border-bottom:1px dashed #CCCCCC; height: 1px; margin: 0 0 10px 0;"></div>
	        
	        <p>
	        	<label for="<?php echo ($this->get_field_id('ad_code')); ?>">or... Advertisement Code:</label><br />
	       		<textarea class="widefat" rows="10" cols="20" id="<?php echo ($this->get_field_id('ad_code')); ?>" name="<?php echo ($this->get_field_name('ad_code')); ?>"><?php echo ($instance['ad_code']); ?></textarea>
	        	<small style="color:#999;font-style:italic;">e.g. google adsense code</small>
	        </p>
	    
	    <?php }
    
    }
    
}

?>