<?php
// Press75.com
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" dir="ltr" lang="en-US">

<!--
**********************************************************************************************

Designed and Built by Jason Schuller - theSevenFive.com, Press75.com

CSS, XHTML and Design Files are all Copyright 2007-<?php echo date("Y"); ?> Circa75 Media, LLC

Be inspired, but please don't steal...

**********************************************************************************************
-->

<head profile="http://gmpg.org/xfn/11">
	<!-- page titles -->
	<title><?php global $page, $paged; wp_title( '|', true, 'right' ); bloginfo( 'name' ); $site_description = get_bloginfo( 'description', 'display' ); if ( $site_description && ( is_home() || is_front_page() ) ) echo " | $site_description"; if ( $paged >= 2 || $page >= 2 ) echo ' | ' . sprintf( __( 'Page %s', 'twentyten' ), max( $paged, $page ) ); ?></title>
	
	<!-- page meta -->
	<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
	<?php if (is_single() || is_page() ) : if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
	<meta name="description" content="<?php the_excerpt_rss(); ?>" />
	<?php endwhile; endif; elseif(is_home()) : ?>
	<meta name="description" content="<?php bloginfo('description'); ?>" />
	<?php endif; ?>
	
	<!-- theme styles -->
	<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo( 'stylesheet_url' ); ?>" />
	<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo('template_url'); ?>/style-css3.css" />
	
	<!--[if IE 8]>
		<link rel="stylesheet" href="<?php bloginfo('template_url'); ?>/style-ie8.css" type="text/css" media="screen" />
	<![endif]-->
	
	<!--[if IE 7]>
		<link rel="stylesheet" href="<?php bloginfo('template_url'); ?>/style-ie7.css" type="text/css" media="screen" />
	<![endif]-->
	
	<!-- pingback url -->
	<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
	
	<!-- custom favicon -->
	<?php $favicon_link = get_option(THEME_PREFIX.'favicon'); if ( !$favicon_link ) $favicon_link = get_bloginfo('template_url') . '/images/favicon.ico'; ?>
	<link rel="shortcut icon" href="<?php echo $favicon_link; ?>" type="image/x-icon" />
	
	<?php if ( is_singular() && get_option( 'thread_comments' ) ) wp_enqueue_script( 'comment-reply' ); wp_head(); ?>
</head>

<body>
	<?php if (get_option(THEME_PREFIX . "layout_options")) : ?>
		<div id="wrapper" class="wrapper-three">
	<?php else : ?>
		<div id="wrapper" class="wrapper-two">
	<?php endif; ?>
		<div id="header">
			<div id="logo">
				<?php if (get_option(THEME_PREFIX . "logo_txt")) : ?>
				<h1><a href="<?php echo get_option('home'); ?>/" title="Home" ><?php echo get_option(THEME_PREFIX . "logo_txt"); ?></a></h1>
				<?php else : ?>
				<a href="<?php echo get_option('home'); ?>/" title="Home" ><img class="fade" src="<?php echo ($logo = get_option(THEME_PREFIX . 'logo_img')) ? $logo : get_bloginfo("template_url") . "/images/logo.png"; ?>" alt="<?php bloginfo('name'); ?>" /></a>
				<?php endif; ?>
			
				<p class="site-text"><?php echo get_option(THEME_PREFIX . "site_text"); ?></p>
			</div> <!-- logo -->
			
			<div id="navigation">
				<?php if (get_option(THEME_PREFIX . "menu_management")) : ?>
				<?php wp_nav_menu(array('theme_location' => 'main_menu', 'menu_class' => 'menu')); ?>
				<?php else : ?>
				<ul class="menu">
					<li <?php if (is_home()) { echo 'class="current"'; } ?>><a href="<?php echo home_url( '/' ) ?>" title="Home">Home</a></li>
					
					<?php wp_list_categories('title_li='); ?>
					
					<?php wp_list_pages('title_li='); ?>
					
					<li class="subscribe"><a href="<?php bloginfo('rss2_url'); ?>" title="Subscribe via RSS">Subscribe</a></li>
				</ul>
				<?php endif; ?>
			</div> <!-- navigation -->
			
			<div id="widgets">
				<?php if (get_option(THEME_PREFIX . "twitter_name")) { ?>
				<div class="widget">
					<a class="follow-me" href="http://www.twitter.com/<?php echo get_option(THEME_PREFIX . "twitter_name"); ?>"><img src="http://twitter-badges.s3.amazonaws.com/follow_me-a.png" alt="Follow <?php echo get_option(THEME_PREFIX . "twitter_name"); ?> on Twitter"/></a>
				</div>
				<?php } ?>
				
				<?php if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar('Menu Bar') ) : ?>
				<?php endif; ?>
			</div> <!-- widgets -->
		</div> <!-- header -->
		
		<?php if (get_option(THEME_PREFIX . "layout_options")) : ?>
			<div id="content" class="content-three">
		<?php else : ?>
			<div id="content" class="content-two">
		<?php endif; ?>