<?php get_header(); ?>

	<div id="page-content">
		<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
		
		<div id="post-<?php the_ID(); ?>" <?php post_class('') ?>>
			<h2 class="post-title"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
			
			<div class="the-content">
				<?php the_content(''); ?>
			</div> <!-- the-content -->
		</div> <!-- post -->
		
		<?php endwhile; else : ?>
		
		<div id="post-<?php the_ID(); ?>" class="page nothing-here">
			<h2 class="post-title">Whoops!!! Nothing Here by That Name</h2>
			
			<div class="the-content">
				<p>Very sorry, but what you are looking for isn't here. Maybe you should try one of the links below.</p>
				
				<h3 class="not-here">Find Posts by Title:</h3>
				<ul>
					<?php query_posts('&showposts=1000&orderby=title&order=asc'); if (have_posts()) : while (have_posts()) : the_post(); ?>
					<li><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></li>									
					<?php endwhile; endif; ?> 
				</ul>
				
				<h3 class="not-here">Find Posts by Month:</h3>
				<ul>
					<?php wp_get_archives('type=monthly'); ?>
				</ul>
				
				<h3 class="not-here">Find Posts by Category:</h3>
				<ul>
					<?php wp_list_categories('title_li='); ?>
				</ul>
				
				<h3 class="not-here">Maybe a Page:</h3>
				<ul>
					<?php wp_list_pages('title_li='); ?>
				</ul>
			</div> <!-- the-content -->
		</div> <!-- page -->
		
		<?php endif; ?>
	</div> <!-- page-content -->

<?php get_footer(); ?>