<?php get_header(); ?>

	<div id="post-content">
		<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
		
		<div id="post-<?php the_ID(); ?>" <?php post_class('') ?>>
			<?php if (get_option(THEME_PREFIX . "twitter_name")) { ?>
			<a href="http://twitter.com/share" class="twitter-share-button" data-count="vertical" data-via="<?php echo get_option(THEME_PREFIX . "twitter_name"); ?>">Tweet</a><script type="text/javascript" src="http://platform.twitter.com/widgets.js"></script>
			<?php } ?>
			
			<h2 class="post-title"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
			
			<div class="categories<?php if (get_option(THEME_PREFIX . "twitter_name")) { ?> categories-twitter<?php } ?>">
				<?php the_category('  ') ?>
			</div> <!-- categories -->
			
			<div class="full-image">
				<a class="fancy" rel="set" href="<?php $src = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), array( 1000,1000 ), false, '' ); echo $src[0]; ?>" title="<?php the_title_attribute(); ?>"><?php the_post_thumbnail('full'); ?></a>
				
				<div class="post-date">
					<?php the_time('m.d.y'); ?>
				</div>
			</div> <!-- full-image -->
			
			<div class="the-content">
				<?php the_content(''); ?>
			</div> <!-- the-content -->
		</div> <!-- post -->
		
		<?php endwhile; else : ?>
		
		<div id="post-<?php the_ID(); ?>" class="page nothing-here">
			<h2 class="post-title">Whoops!!! Nothing Here by That Name</h2>
			
			<div class="the-content">
				<p>Very sorry, but what you are looking for isn't here. Maybe you should try one of the links below.</p>
				
				<h3 class="not-here">Find Posts by Title:</h3>
				<ul>
					<?php query_posts('&showposts=1000&orderby=title&order=asc'); if (have_posts()) : while (have_posts()) : the_post(); ?>
					<li><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></li>									
					<?php endwhile; endif; ?> 
				</ul>
				
				<h3 class="not-here">Find Posts by Month:</h3>
				<ul>
					<?php wp_get_archives('type=monthly'); ?>
				</ul>
				
				<h3 class="not-here">Find Posts by Category:</h3>
				<ul>
					<?php wp_list_categories('title_li='); ?>
				</ul>
				
				<h3 class="not-here">Maybe a Page:</h3>
				<ul>
					<?php wp_list_pages('title_li='); ?>
				</ul>
			</div> <!-- the-content -->
		</div> <!-- page -->
		
		<?php endif; ?>
		
		<?php comments_template(); ?>
	</div> <!-- post-content -->

<?php get_footer(); ?>