<?php
	$option_fields[] = $enable_menu = THEME_PREFIX . "enable_menu";
	$option_fields[] = $menu_management = THEME_PREFIX . "menu_management";
	$option_fields[] = $v_menu_alignment = THEME_PREFIX . "v_menu_alignment";
	$option_fields[] = $h_menu_alignment = THEME_PREFIX . "h_menu_alignment";
?>

<div class="postbox">
    <h3>Custom Menu Options</h3>
    
    <div class="inside">
    	<p>If you are using the Relay theme for its social network aggregation features only, there really isn't any need to display a menu. However, if you are using it for a blog as well with posts and pages, you can display a navigation menu by checking the box below.</p>
    	<p>
    		<label for="<?php echo $enable_menu; ?>">
    		    <input class="checkbox" id="<?php echo $enable_menu; ?>" type="checkbox" name="<?php echo $enable_menu; ?>" value="true"<?php checked(TRUE, (bool) get_option($enable_menu)); ?> /> <?php _e("Display a Menu"); ?>
    		</label>
    	</p>
    	
    	<p>How would you like your menu to be aligned?</p>
    	<p>
    		<?php $vmalg = get_option(THEME_PREFIX . "v_menu_alignment"); ?>
    		
    		<select id="<?php echo $v_menu_alignment; ?>" name="<?php echo $v_menu_alignment; ?>">						
    			<option value="top"<?php if ($vmalg=="top") echo 'selected="selected"' ?>>Top</option>
    			<option value="bottom"<?php if ($vmalg=="bottom") echo 'selected="selected"' ?>>Bottom</option>
    		</select>
    		
    		<?php $hmalg = get_option(THEME_PREFIX . "h_menu_alignment"); ?>
    		
    		<select id="<?php echo $h_menu_alignment; ?>" name="<?php echo $h_menu_alignment; ?>">
    			<option value="left"<?php if ($hmalg=="left") echo 'selected="selected"' ?>>Left</option>
    			<option value="right"<?php if ($hmalg=="right") echo 'selected="selected"' ?>>Right</option>
    		</select>
    	</p>
    	
    	<p>WordPress 3.0 includes custom menu management options. To enable this feature for the main menu in the header, simply check the box below and then click "Appearance" followed by "Menus" to create your own custom menus. Please note that when you enable Menu Management below that all the default theme menu items will be replaced.</p>
    	
    	<p>
    		<label for="<?php echo $menu_management; ?>">
    	        <input class="checkbox" id="<?php echo $menu_management; ?>" type="checkbox" name="<?php echo $menu_management; ?>" value="true"<?php checked(TRUE, (bool) get_option($menu_management)); ?> /> <?php _e("Enable Menu Management"); ?>
    	    </label>
    	</p>
    	
    	<p class="submit">
    		<input type="submit" class="button" value="Save Changes" />
    	</p>
    </div> <!-- inside -->
</div> <!-- postbox -->