<?php

/*********************************************************************************************

Plugin Name: Custom RSS Feed
Plugin URI: http://www.press75.com/
Description: Add a Custom RSS Feed
Author: Jason Schuller
Version: 1.0
Author URI: http://www.thesevenfive.com/

**********************************************************************************************

Copyright (C) 2007 - 2011  Circa75 Media, LLC
    
**********************************************************************************************/

add_action( 'widgets_init', 'sf_feed_widget_load' );
function sf_feed_widget_load() { register_widget( 'sf_feed_widget' ); } // register the widget

class sf_feed_widget extends WP_Widget {

	function sf_feed_widget() {
		$widget_ops = array( 'classname' => 'sf_feed_widget', 'description' => 'Add a Custom RSS Feed' ); // define widget settings
		$control_ops = array( 'width' => 250, 'height' => 250, 'id_base' => 'sf_feed_widget' ); // widget control settings
		$this->WP_Widget( 'sf_feed_widget', 'Custom RSS Feed', $widget_ops, $control_ops ); // create the widget
	}

    function widget( $args, $instance ) {
	    extract( $args );
		
	    echo $before_widget; { ?>
	    
		    <!-- begin widget content -->
		    <div class="section">
		    	<h3 class="section-title icon-rss"><?php echo ($instance['title']); ?></h3>
		    	
		    	<div class="content">
		    		<?php 
		    			$rss = fetch_feed('' . $instance["feed_address"] . '');
		    			$maxitems = $rss->get_item_quantity($instance["feed_count"]); 
		    			$rss_items = $rss->get_items(0, $maxitems); 
		    		?>
		    		
		    		<ul>
		    		    <?php if ($maxitems == 0) echo ''; else foreach ( $rss_items as $item ) : ?>
		    		    <li>
		    		        <h2><a href="<?php echo $item->get_permalink(); ?>" title="<?php echo 'Posted '.$item->get_date('j F Y | g:i a'); ?>" target="_blank"><?php echo $item->get_title(); ?></a></h2>
		    		        <p><?php echo $item->get_description(); ?></p>
		    		    </li>
		    		    <?php endforeach; ?>
		    		</ul>
		    	</div>
		    </div>
		    <!-- end widget content -->
	
	    <?php } echo $after_widget;
    }

    function update( $new_instance, $old_instance ) {
	    $instance = $old_instance;
	    
	    foreach($new_instance as $k=>$v) { $instance[$k] = strip_tags($v); }
	    
	    return $instance;
    }

    function form( $instance ) {
	    $defaults = array('title' => 'Latest Updates via Site Name:');
	
	    $instance = wp_parse_args( (array) $instance, $defaults );
	
	    echo '<p><label for="'.$this->get_field_id( 'title' ).'">'. 'Section Title:'.'</label><br />
     	<input type="text" style="width:100%;" id="'. $this->get_field_id( 'title' ).'" name="'.$this->get_field_name( 'title' ).'" value="'.$instance['title'].'" /></p>';
	
	    echo '<p><label for="'.$this->get_field_id( 'feed_address' ).'">'. 'RSS Feed Address:'.'</label><br />
	    <input type="text" style="width:100%;" id="'. $this->get_field_id( 'feed_address' ).'" name="'.$this->get_field_name( 'feed_address' ).'" value="'.$instance['feed_address'].'" /></p>';
	    
	    echo '<p><label for="'.$this->get_field_id( 'feed_count' ).'">'. 'Count:'.'</label><br />
	    <input type="text" style="width:25%;" id="'. $this->get_field_id( 'feed_count' ).'" name="'.$this->get_field_name( 'feed_count' ).'" value="'.$instance['feed_count'].'" /></p>';
    }
    
}

?>