<?php

/*********************************************************************************************

Plugin Name: Flickr.com
Plugin URI: http://www.press75.com/
Description: Add Your Flickr.com Feed
Author: Jason Schuller
Version: 1.1
Author URI: http://www.thesevenfive.com/

**********************************************************************************************

Copyright (C) 2007 - 2011  Circa75 Media, LLC
    
**********************************************************************************************/

add_action( 'widgets_init', 'sf_flickr_widget_load' );
function sf_flickr_widget_load() { register_widget( 'sf_flickr_widget' ); } // register the widget

class sf_flickr_widget extends WP_Widget {

	function sf_flickr_widget() {
		$widget_ops = array( 'classname' => 'sf_flickr_widget', 'description' => 'Add Your Flickr.com Feed' ); // define widget settings
		$control_ops = array( 'width' => 250, 'height' => 250, 'id_base' => 'sf_flickr_widget' ); // widget control settings
		$this->WP_Widget( 'sf_flickr_widget', 'Flickr.com', $widget_ops, $control_ops ); // create the widget
	}

    function widget( $args, $instance ) {
	    extract( $args );
		
	    echo $before_widget; { ?>
	    
		    <!-- begin widget content -->
		   	<div class="section flickr">
		    	<h3 class="border icon-flickr"><?php echo ($instance['title']); ?></h3>
		    	
		    	<div class="content">
		    		<?php
			    		include_once(TEMPLATEPATH . '/scripts/flickr.php');
			    		
			    		$rss = fetch_feed('feed://api.flickr.com/services/feeds/photoset.gne?set=' . $instance["set_id"] . '&nsid=' . $instance["username"] . '&lang=en-us&format=rss_200');
			    		$thumb = 'square';
			    		$full = 'medium';
			    		$maxitems = $rss->get_item_quantity($instance["feed_count"]);
			    		$rss_items = $rss->get_items(0, $maxitems); 
		    		?>
		    
		    		<?php foreach ( $rss_items as $item ):
		    			$url = flickr::find_photo($item->get_description());
		    			$title = flickr::cleanup($item->get_title());
		    			$full_url = flickr::photo($url, $full);
		    			$thumb_url = flickr::photo($url, $thumb);
		    		?>
		    		 
		    		<a class="preview" href="<?php echo $item->get_permalink(); ?>" rel="<?php echo $full_url; ?>">
		    			<img class="flickr-img" src="<?php echo $thumb_url; ?>" alt="<?php echo $item->get_title(); ?>" />
		    		</a>
		    		 
		    		<?php endforeach; ?>
		    	</div>
		    </div>
		    <!-- end widget content -->
	
	    <?php } echo $after_widget;
    }

    function update( $new_instance, $old_instance ) {
	    $instance = $old_instance;
	    
	    foreach($new_instance as $k=>$v) { $instance[$k] = strip_tags($v); }
	    
	    return $instance;
    }

    function form( $instance ) {
        $defaults = array('title' => 'My Latest Pics via Flickr.com::');
        $instance = wp_parse_args( (array) $instance, $defaults );
    { ?>
        <p><label for="<?php echo ($this->get_field_id('title')); ?>">Section Title:</label><br />
     	<input type="text" style="width:100%;" id="<?php echo ($this->get_field_id('title')); ?>" name="<?php echo ($this->get_field_name('title')); ?>" value="<?php echo ($instance['title']); ?>" /></p>
            
        <p><label for="<?php echo ($this->get_field_id('username')); ?>">User ID: (<a href="http://idgettr.com/" title="ID Gettr" target="_blank">ID Gettr</a>)</label><br />
        <input type="text" style="width:75%;" id="<?php echo ($this->get_field_id('username')); ?>" name="<?php echo ($this->get_field_name('username')); ?>" value="<?php echo ($instance['username']); ?>" /></p>
        
        <p><label for="<?php echo ($this->get_field_id('set_id')); ?>">Photo Set ID:</label><br />
        <input type="text" style="width:75%;" id="<?php echo ($this->get_field_id('set_id')); ?>" name="<?php echo ($this->get_field_name('set_id')); ?>" value="<?php echo ($instance['set_id']); ?>" /></p>
        
        <p><label for="<?php echo ($this->get_field_id('feed_count')); ?>">Count:</label><br />
        <input type="text" style="width:25%;" id="<?php echo ($this->get_field_id('feed_count')); ?>" name="<?php echo ($this->get_field_name('feed_count')); ?>" value="<?php echo ($instance['feed_count']); ?>" /></p>
    <?php } 
    }
    
}

?>