<?php

/*********************************************************************************************

Plugin Name: Last.FM
Plugin URI: http://www.press75.com/
Description: Add Your Last.FM Feed
Author: Jason Schuller
Version: 1.0
Author URI: http://www.thesevenfive.com/

**********************************************************************************************

Copyright (C) 2007 - 2011  Circa75 Media, LLC
    
**********************************************************************************************/

add_action( 'widgets_init', 'sf_lastfm_widget_load' );
function sf_lastfm_widget_load() { register_widget( 'sf_lastfm_widget' ); } // register the widget

class sf_lastfm_widget extends WP_Widget {

	function sf_lastfm_widget() {
		$widget_ops = array( 'classname' => 'sf_lastfm_widget', 'description' => 'Add Your Last.FM Feed' ); // define widget settings
		$control_ops = array( 'width' => 250, 'height' => 250, 'id_base' => 'sf_lastfm_widget' ); // widget control settings
		$this->WP_Widget( 'sf_lastfm_widget', 'Last.FM', $widget_ops, $control_ops ); // create the widget
	}

    function widget( $args, $instance ) {
	    extract( $args );
		
	    echo $before_widget; { ?>
	    
		    <!-- begin widget content -->
		    <div id="lastfm" class="section">
		    	<h3 class="border icon-lastfm"><?php echo ($instance['title']); ?></h3>
		    	
		    	<div class="content">		    		
		    		<div id="lastfmrecords"></div>
		    		<script type='text/javascript'>
			    		$(document).ready( function() {
			    		    var _config = {
			    		    username: '<?php echo ($instance['username']); ?>',
			    		    placeholder: 'lastfmrecords',
			    		    period: '<?php echo ($instance['period']); ?>',
			    		    count: <?php echo ($instance['feed_count']); ?>,
			    		    refresh: 5,
			    		    defaultthumb: 'http://cdn.last.fm/depth/catalogue/noimage/cover_85px.gif',
			    		    offset: 5
			    		    };
			    		    lastFmRecords.init(_config);
			    		});
		    		</script>
		    	</div>
		    </div>
		    <!-- end widget content -->
	
	    <?php } echo $after_widget;
    }

    function update( $new_instance, $old_instance ) {
	    $instance = $old_instance;
	    
	    foreach($new_instance as $k=>$v) { $instance[$k] = strip_tags($v); }
	    
	    return $instance;
    }

    function form( $instance ) {
	    $defaults = array('title' => 'My Latest Tracks via Last.FM:');
	    $instance = wp_parse_args( (array) $instance, $defaults );
	{ ?>
	    <p><label for="<?php echo ($this->get_field_id('title')); ?>">Section Title:</label><br />
     	<input type="text" style="width:100%;" id="<?php echo ($this->get_field_id('title')); ?>" name="<?php echo ($this->get_field_name('title')); ?>" value="<?php echo ($instance['title']); ?>" /></p>
	
	    <p><label for="<?php echo ($this->get_field_id('username')); ?>">Username:</label><br />
	    <input type="text" style="width:75%;" id="<?php echo ($this->get_field_id('username')); ?>" name="<?php echo ($this->get_field_name('username')); ?>" value="<?php echo ($instance['username']); ?>" /></p>
	    
	    <p><label for="<?php echo ($this->get_field_id('period')); ?>">Display:</label><br />
	    <select id="<?php echo ($this->get_field_id('period')); ?>" name="<?php echo ($this->get_field_name('period')); ?>">			
	    	<option value="recenttracks"<?php if ($instance['period']=="recenttracks") echo 'selected="selected"' ?>>Recent Tracks</option>
	    	<option value="7day"<?php if ($instance['period']=="7day") echo 'selected="selected"' ?>>Last 7 Days</option>
	    	<option value="3month"<?php if ($instance['period']=="3month") echo 'selected="selected"' ?>>Last 3 Months</option>
	    	<option value="6month"<?php if ($instance['period']=="6month") echo 'selected="selected"' ?>>Last 6 Months</option>
	    	<option value="12month"<?php if ($instance['period']=="12month") echo 'selected="selected"' ?>>Last 12 Months</option>
	    	<option value="overall"<?php if ($instance['period']=="overall") echo 'selected="selected"' ?>>Most Played Overall</option>
	    	<option value="topalbums"<?php if ($instance['period']=="topalbums") echo 'selected="selected"' ?>>Your Top Albums</option>
	    	<option value="lovedtracks"<?php if ($instance['period']=="lovedtracks") echo 'selected="selected"' ?>>Your Loved Tracks</option>
	    </select>
	    </p>
	    
	    <p><label for="<?php echo ($this->get_field_id('feed_count')); ?>">Count:</label><br />
	    <input type="text" style="width:25%;" id="<?php echo ($this->get_field_id('feed_count')); ?>" name="<?php echo ($this->get_field_name('feed_count')); ?>" value="<?php echo ($instance['feed_count']); ?>" /></p>
    <?php } 
    }
    
}

?>