<?php

/*********************************************************************************************

Plugin Name: YouTube.com
Plugin URI: http://www.press75.com/
Description: Add Your YouTube.com Feed
Author: Jason Schuller
Version: 1.0
Author URI: http://www.thesevenfive.com/

**********************************************************************************************

Copyright (C) 2007 - 2011  Circa75 Media, LLC
    
**********************************************************************************************/

add_action( 'widgets_init', 'sf_youtube_widget_load' );
function sf_youtube_widget_load() { register_widget( 'sf_youtube_widget' ); } // register the widget

class sf_youtube_widget extends WP_Widget {

	function sf_youtube_widget() {
		$widget_ops = array( 'classname' => 'sf_youtube_widget', 'description' => 'Add Your YouTube.com Feed' ); // define widget settings
		$control_ops = array( 'width' => 250, 'height' => 250, 'id_base' => 'sf_youtube_widget' ); // widget control settings
		$this->WP_Widget( 'sf_youtube_widget', 'YouTube.com', $widget_ops, $control_ops ); // create the widget
	}

    function widget( $args, $instance ) {
	    extract( $args );
		
	    echo $before_widget; { ?>
	    
		    <!-- begin widget content -->
		    <div class="section youtube">
		    	<h3 class="border icon-youtube"><?php echo ($instance['title']); ?></h3>
		    	
			    <div class="content">
			    	<?php
				    	$rss = fetch_feed('feed://gdata.youtube.com/feeds/base/users/' . $instance["username"] . '/uploads?alt=rss&v=2&orderby=published&client=ytapi-youtube-profile');
				    	$maxitems = $rss->get_item_quantity($instance["feed_count"]); 
				    	$rss_items = $rss->get_items(0, $maxitems); 
			    	?>
			    	
			    	<?php if ($maxitems == 0) echo ''; else foreach ( $rss_items as $item ) : ?>
			    	<div class="youtube">
			    	    <div class="youtube-vid">
			    	    	<?php echo $item->get_description(); ?>
			    		</div>
			    	</div>
			    	<?php endforeach; ?>
			    </div>
		    </div>
		    <!-- end widget content -->
	
	    <?php } echo $after_widget;
    }

    function update( $new_instance, $old_instance ) {
	    $instance = $old_instance;
	    
	    foreach($new_instance as $k=>$v) { $instance[$k] = strip_tags($v); }
	    
	    return $instance;
    }

    function form( $instance ) {
	    $defaults = array('title' => 'My Latest Videos via YouTube.com:');
	
	    $instance = wp_parse_args( (array) $instance, $defaults );
	
	    echo '<p><label for="'.$this->get_field_id( 'title' ).'">'. 'Section Title:'.'</label><br />
     	<input type="text" style="width:100%;" id="'. $this->get_field_id( 'title' ).'" name="'.$this->get_field_name( 'title' ).'" value="'.$instance['title'].'" /></p>';
	
	    echo '<p><label for="'.$this->get_field_id( 'username' ).'">'. 'Username:'.'</label><br />
	    <input type="text" id="'. $this->get_field_id( 'username' ).'" name="'.$this->get_field_name( 'username' ).'" value="'.$instance['username'].'" /></p>';
	    
	    echo '<p><label for="'.$this->get_field_id( 'feed_count' ).'">'. 'Count:'.'</label><br />
	    <input type="text" style="width:25%;" id="'. $this->get_field_id( 'feed_count' ).'" name="'.$this->get_field_name( 'feed_count' ).'" value="'.$instance['feed_count'].'" /></p>';
    }
    
}

?>