<?php
/*
Template Name: Archives
*/
?>

<?php get_header(); ?>

	<div id="content" class="content-multiple">
		<div id="content-inside">
			<div id="multiple">
				<div id="one-of-three">
					<h3 class="column-title">Archives</h3>
					
					<div class="post-item post-item-page">
						<?php if ( function_exists('the_post_thumbnail') && current_theme_supports("post-thumbnails") && has_post_thumbnail() ) : ?>
						<a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_post_thumbnail('sidebar'); ?></a>
						<?php endif; ?>
						
						<div class="post-content">
							<h3>Find Posts by Week</h3>
							<ul>
								<?php wp_get_archives('type=weekly'); ?>
							</ul>
							
							<h3>Find Posts by Month</h3>
							<ul>
								<?php wp_get_archives('type=monthly'); ?>
							</ul>
							
							<h3>Find Posts by Year</h3>
							<ul>
								<?php wp_get_archives('type=yearly'); ?>
							</ul>
						</div>
					</div>
				</div> <!-- one-of-three -->
				
				<div id="two-of-three">
					<h3 class="column-title"><?php echo get_option(THEME_PREFIX . "column_two_heading"); ?></h3>
					<?php if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar('Col. 2 - Home &amp; Category Pages') ) : ?>
					<?php endif; ?>
				</div> <!-- two-of-three -->
				
				<div id="three-of-three">
					<h3 class="column-title"><?php echo get_option(THEME_PREFIX . "column_three_heading"); ?></h3>
					<?php if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar('Col. 3 - Home &amp; Category Pages') ) : ?>
					<?php endif; ?>
				</div> <!-- three-of-three -->
			</div> <!-- home -->
		</div> <!-- content-inside -->
	</div> <!-- content -->

<?php get_footer(); ?>