<?php

add_thickbox();

// Unregister All Default WP Widgets
function unregister_default_wp_widgets() {
	unregister_widget('WP_Widget_Pages');
	unregister_widget('WP_Widget_Calendar');
	unregister_widget('WP_Widget_Archives');
	unregister_widget('WP_Widget_Links');
	unregister_widget('WP_Widget_Meta');
	unregister_widget('WP_Widget_Search');
	unregister_widget('WP_Widget_Categories');
	unregister_widget('WP_Widget_Recent_Posts');
	unregister_widget('WP_Widget_Recent_Comments');
	unregister_widget('WP_Widget_Tag_Cloud');
	unregister_widget('WP_Widget_RSS');
	unregister_widget('WP_Widget_Text');
	unregister_widget('WP_Widget_Akismet');
	unregister_widget('WP_Widget_Custom_Menu');
}

add_action('widgets_init', 'unregister_default_wp_widgets', 1);

// Include Custom Theme Widgets
include("widgets/posts.php");
include("widgets/flickr.php");
include("widgets/twitter.php");
include("widgets/delicious.php");
include("widgets/feed.php");
include("widgets/vimeo.php");
include("widgets/youtube.php");

// Theme Constants.
define("THEME_PREFIX", "sociallife_");

// The Admin Page
add_action('admin_menu', "sf_sociallife_admin_init");

// Register Admin
function sf_sociallife_admin_init()
{
	add_theme_page( "Social Life Options", "Theme Options", 8, "sf_sociallife_admin_menu", "sf_sociallife_admin");
}

function sf_sociallife_admin() {

	$option_fields = array();

	if ( $_GET['updated'] ) echo '<div id="message" class="updated fade"><p>Social Life Theme Options Saved.</p></div>';
	echo '<link rel="stylesheet" href="'.get_bloginfo('template_url').'/functions.css" type="text/css" media="all" />';
	
	// Accordion Script
	echo '<link rel="stylesheet" href="'.get_bloginfo('template_url').'/scripts/accordion/style.css" type="text/css" media="all" />';
	echo '<script src="'.get_bloginfo('template_url').'/scripts/accordion/jquery.ui.js" type="text/javascript"></script>';
	echo '<script src="'.get_bloginfo('template_url').'/scripts/accordion/jquery.accordion.js" type="text/javascript"></script>';
	
	// Color Picker Script
	echo '<link rel="stylesheet" href="'.get_bloginfo('template_url').'/scripts/colorpicker/style.css" type="text/css" media="all" />';
	echo '<script src="'.get_bloginfo('template_url').'/scripts/colorpicker/jquery.colorpicker.js" type="text/javascript"></script>';
	echo '<script src="'.get_bloginfo('template_url').'/scripts/colorpicker/jquery.eye.js" type="text/javascript"></script>';
?>

<div class="wrap">
    <div id="icon-options-general" class="icon32"><br/></div>

    <h2>Social Life Theme Options</h2>

    <div class="metabox-holder">
    	<form method="post" action="options.php">
		<?php wp_nonce_field('update-options'); ?>
    
        <div id="theme-options">
	        <div id="accordion" class="postbox-container">
	            <?php include (TEMPLATEPATH . '/options/custom-logo.php'); ?>
	            <?php include (TEMPLATEPATH . '/options/navigation-options.php'); ?>
	            <?php include (TEMPLATEPATH . '/options/featured-content.php'); ?>
	            <?php include (TEMPLATEPATH . '/options/social-options.php'); ?>
	            <?php include (TEMPLATEPATH . '/options/post-layout.php'); ?>
	            <?php include (TEMPLATEPATH . '/options/analytics-code.php'); ?>
	            <?php include (TEMPLATEPATH . '/options/no-ie.php'); ?>
        	</div> <!-- postbox-container -->
        </div> <!-- theme-options -->
        
        <input type="hidden" name="action" value="update" />
        <input type="hidden" name="page_options" value="<?php echo implode(",", $option_fields); ?>" />
        </form>
    </div> <!-- metabox-holder -->
</div> <!-- wrap -->

<?php
}

// Custom Excerpt Length
function new_excerpt_length($length) {
	return 60;
}
add_filter('excerpt_length', 'new_excerpt_length');

function new_excerpt_more($more) {
	return ' ...';
}
add_filter('excerpt_more', 'new_excerpt_more');

// Set the Refresh Time for Feeds
add_filter( 'wp_feed_cache_transient_lifetime', create_function('$a', 'return 1800;') );

// Custom Pagination Function
function sf_pagenavi($before = '', $after = '', $prelabel = '', $nxtlabel = '', $pages_to_show = 5, $always_show = false) {
	global $request, $posts_per_page, $wpdb, $paged;
	if(empty($prelabel)) {   $prelabel = '';
	} if(empty($nxtlabel)) {
	$nxtlabel = '';
	} $half_pages_to_show = round($pages_to_show/2);
	if (!is_single()) {
	if(!is_category()) {
	preg_match('#FROM\s(.*)\sORDER BY#siU', $request, $matches);  } else {
	preg_match('#FROM\s(.*)\sGROUP BY#siU', $request, $matches);  }
	$fromwhere = $matches[1];
	$numposts = $wpdb->get_var("SELECT COUNT(DISTINCT ID) FROM $fromwhere");
	$max_page = ceil($numposts /$posts_per_page);
	if(empty($paged)) {
	$paged = 1;
	}
	if($max_page > 1 || $always_show) {
	echo "$before <div class='content-item'><div class='content-dets'><h3>More Posts</h3><ul class='dets'><li>Browse</li></ul></div><div class='content-body'><h2>Click a Page Below to Browse More Posts</h2><div class='entry'><p>Pages ... ";   if ($paged >= ($pages_to_show-1)) {
	echo '';  }
	previous_posts_link($prelabel);
	for($i = $paged - $half_pages_to_show; $i <= $paged + $half_pages_to_show; $i++) {   if ($i >= 1 && $i <= $max_page) {   if($i == $paged) {
	echo "$i";
	} else {
	echo ' <a href="'.get_pagenum_link($i).'">'.$i.'</a> ';   }
	}
	}
	next_posts_link($nxtlabel, $max_page);
	if (($paged+$half_pages_to_show) < ($max_page)) {
	echo '';   }
	echo "</p></div></div></div> $after";
	}
	}
}

// Sidebar Widgets
if ( function_exists('register_sidebar') )
register_sidebar(array('name'=>'Home Page',
	'before_widget' => '<div id="%1$s" class="widget content-item %2$s">',
	'after_widget' => '</div></div>',
	'before_title' => '<div class="content-dets"><h3>',
	'after_title' => '</h3></div><div class="content-body">',
));

?>