﻿package com.flashdo.flashblue
{
    import flash.display.*;
	import flash.events.*;
    import flash.net.*;
    import flash.utils.*;    
	import flash.media.*;
	//Caurina Tweener
	import caurina.transitions.Tweener;
	
    public class VideoBg extends MovieClip 
	{
		
		//Video URL
		public var _videoUrl:String = "videos/video.flv";
		public function set videoUrl(val:String):void
		{
			_videoUrl = val;
		}		
		public function get videoUrl():String
		{
			return _videoUrl;
		}	
		//Full Size View
		public var _fullSizeView:int = 4; //Scale View
		public function set fullSizeView(val:int):void
		{
			_fullSizeView = val;
		}		
		public function get fullSizeView():int
		{
			return _fullSizeView;
		}
		//Background Pattern
		public var _pattern:String = "";
		public function set pattern(val:String):void
		{
			_pattern = val;
		}		
		public function get pattern():String
		{
			return _pattern;
		}
		//Pattern Alpha
		public var _patternAlpha:Number = 1;
		public function set patternAlpha(val:Number):void
		{
			_patternAlpha = val;
		}		
		public function get patternAlpha():Number
		{
			return _patternAlpha;
		}
		//XML URL
		public var _xmlUrl:String = "xml/videobg.xml";
		public function set xmlUrl(val:String):void
		{
			_xmlUrl = val;
		}		
		public function get xmlUrl():String
		{
			return _xmlUrl;
		}		
		//FullScreen Mode                   
 		public var videoW:int;
		public var videoH:int;
		//Tile Bg		
		public var bitmapData:BitmapData;
		public var bitmapLoaded:Boolean;
		//NetStream
		public var ns:NetStream;
		public var nc:NetConnection;
		public var video:Video;
		public var duration:int = 0;
		//XML Variables
		public var xmlLoader:XMLLoader;
		public var paramObj:Object;
		//Timer
		public var timer:Timer;
		//Stage
		public var sw:int;
		public var sh:int;
		
		//Initialize
		public function VideoBg() 
		{						
			addEventListener(Event.ADDED_TO_STAGE,init);
		}
		
		//Initialize Banner
		private function init(e:Event):void
		{			
			//Remove Stage Listener
			removeEventListener(Event.ADDED_TO_STAGE,init);		
			//Stage noscale & align left
			stage.scaleMode = StageScaleMode.NO_SCALE;
			stage.align = StageAlign.TOP_LEFT;
			//Run timer for stage width-height issue in IE on start-up
			startUpTimer();			
		}
		
		//Start Up timer for IE stage width-height issue
		private function startUpTimer():void
		{
			timer = new Timer(100);
			timer.addEventListener(TimerEvent.TIMER,showVideo);
			timer.start();
		}
		
		private function showVideo(e:TimerEvent):void
		{
			sw = stage.stageWidth;
			sh = stage.stageHeight;
			if (sw!=0 && sh!=0) {
				//Remove timer
				timer.removeEventListener(TimerEvent.TIMER,showVideo);
				timer.stop();
				timer = null;
				//FlashVars
				paramObj = LoaderInfo(this.root.loaderInfo).parameters;
				if (!paramObj.xmlUrl) {	
					if (paramObj.videoUrl) {
						//Parameters
						loadParameters();
						//Start Initialize
						initVideoBg();					
					} else {
						//Load Default XML File
						loadXML();
					}
				} else {
					xmlUrl = paramObj.xmlUrl.toString();
					loadXML();
				}			
			}
		}
		
		//Loads XML file and pushes data into array
		private function loadXML():void 
		{			
			xmlLoader = new XMLLoader(xmlUrl);
            xmlLoader.addEventListener(XMLLoader.XML_LOADED, onXMLLoaded);
            xmlLoader.load();		
		}
		
		//onXMLLoaded
		private function onXMLLoaded(e:Event):void 
		{			
			//Remove XML Load Event Listener
			xmlLoader.removeEventListener(XMLLoader.XML_LOADED, onXMLLoaded);
			//Read XML Data
			paramObj = xmlLoader.getXML();				
			//Parameters
			loadParameters();
			//Start Initialize
			initVideoBg();
		}
		
		//Parameters
		private function loadParameters():void
		{
			if (paramObj.videoUrl) {_videoUrl = paramObj.videoUrl.toString();}
			if (paramObj.fullSizeView) {_fullSizeView = parseInt(paramObj.fullSizeView);}
			if (paramObj.patternAlpha) {_patternAlpha = Number(paramObj.patternAlpha);}
			if (paramObj.pattern) {_pattern = paramObj.pattern.toString(); loadBitmap();}
		}
		
		//Start Initialize
		private function initVideoBg():void
		{
			//Resize Event
			stage.addEventListener(Event.RESIZE, resizeHandler);
			//Tile Bg
			bg.visible = false;
			bg.mouseEnabled = false;
			bg.alpha = patternAlpha;
			//Preloader
			preloader.visible = false;
			preloader.mouseEnabled = false;
			//Video			
			video = new Video();
			videoHolder.addChild(video);
			nc = new NetConnection();
            nc.connect(null);
            ns = new NetStream(nc);
			loadVideo();
		}
		
		//Load Video	
		private function loadVideo():void
		{
			//Resize Video
			scaleVideo();
			//Load Video			
			ns.bufferTime = 3;	
			ns.soundTransform = new SoundTransform(1);
			ns.addEventListener(NetStatusEvent.NET_STATUS, netStatus);
			ns.client = new Object();			
			ns.client.onMetaData = function(obj:Object) {
				//Video Information
				videoW = obj.width;
				videoH = obj.height;					
				duration = obj.duration;
				//Scale Video
				scaleVideo();
			};     
			ns.play(videoUrl);
			video.attachNetStream(ns);
			video.smoothing = true;
			//Enter Frame
			stage.addEventListener(Event.ENTER_FRAME, enterFrames);
		}
		
		//NetStatus
		private function netStatus(e:NetStatusEvent):void
		{
			switch(e.info.code) {
				case "NetStream.Play.Start":
				case "NetStream.Buffer.Empty":
					preloader.visible = true;
					preloader.alpha = 0;
					Tweener.addTween(preloader,{alpha:1,time:0.3,delay:0.5});
					break;
				case "NetStream.Buffer.Full":
				case "NetStream.Play.Stop":
					Tweener.addTween(preloader,{alpha:0,time:0.3,
							 				onComplete:function(){
												this.visible = false;
											}
										});
					break;				
			}			
		}
		
		//Enter Frame
		private function enterFrames(e:Event):void
		{
			//Loop Video
			if (duration!=0 && ns.time>=duration) {
				ns.seek(0);
				ns.resume();
			}
		}
		
		//Resize Event
		private function resizeHandler(e:Event):void
		{
			scaleVideo();
		}
		
		//Resize Video  
		private function scaleVideo():void
		{
			sw = stage.stageWidth;
			sh = stage.stageHeight;
			//Preloader
			preloader.x = Math.round((sw-preloader.width)/2);
			preloader.y = Math.round((sh-preloader.height)/2);					
			//Video
			var videoX:int = 0;
			var videoY:int = 0;		
			var videoWidth:int = 0;		
			var videoHeight:int = 0;
			var Xscale:Number = sw/videoW;
			var Yscale:Number = sh/videoH;
			var scale:Number = 1;
			switch(fullSizeView) {
				case 1:	//Normal
					if (sw<videoW || sh<videoH) {
						scale = Math.min(Xscale, Yscale);
					}
					videoWidth = videoW*scale;
					videoHeight = videoH*scale;					
					videoX = (sw-videoWidth)/2;
					videoY = (sh-videoHeight)/2;		
					break;
				case 2:	//Aspect
					scale = Math.min(Xscale, Yscale);
					videoWidth = videoW*scale;
					videoHeight = videoH*scale;
					videoX = (sw-videoWidth)/2;
					videoY = (sh-videoHeight)/2;		
					break;
				case 3:	//Full				
					videoWidth = sw;
					videoHeight = sh;
					videoX = 0;
					videoY = 0;		
					break;
				case 4:	//Scale
				default:
					scale = Math.max(Xscale, Yscale);
					videoWidth = videoW*scale;
					videoHeight = videoH*scale;
					videoX = (sw-videoWidth)/2;
					videoY = (sh-videoHeight)/2;		
					break;				
			}
			video.x = videoX;
			video.y = videoY;					
			video.width = videoWidth;
			video.height = videoHeight;					
			//Tile BG
			if (bitmapLoaded) {
				setBitmap();
			}
		}
		
		//Tile Bg
		public function loadBitmap():void
		{
			var loader:Loader = new Loader();
			loader.contentLoaderInfo.addEventListener(Event.COMPLETE, onBitmapLoaded);
			loader.load(new URLRequest(pattern));
		}
		
		private function onBitmapLoaded(e:Event):void
		{
			e.target.removeEventListener(Event.COMPLETE, onBitmapLoaded);		
			bitmapData = BitmapData(e.target.content.bitmapData);
			setBitmap();
			bitmapLoaded = true;
			bg.visible = true;
		}
		
		private function setBitmap():void
		{			
			bg.graphics.clear();
			bg.graphics.beginBitmapFill(bitmapData);
			bg.graphics.moveTo(0, 0);
			bg.graphics.lineTo(sw, 0);
			bg.graphics.lineTo(sw, sh);
			bg.graphics.lineTo(0, sh);
			bg.graphics.lineTo(0, 0);
			bg.graphics.endFill();
		}
		
	}
}
	
	