<?php

// Checks for Gravity Forms.
if ( !function_exists("gravity_form") )
{
	function p75_yb_required_alert() {
	?>
		<div class='updated fade'>
			<p>The Tapp Jobs theme requires the <a href="http://www.gravityforms.com" title="Download">Gravity Forms</a> plugin to function properly.</p>
		</div>
	<?php
	}
	add_action('admin_notices', 'p75_yb_required_alert');
}

include('includes/simple-sidebar-ads.php');

// Upgrade alert.

if ( (float) get_option("tappjobs_version") < 1.0 ) {
	require("includes/upgrade.php");
}

// Admin page

function p75_tappjobs_admin() {

	if ( $_GET['updated'] ) echo '<div id="message" class="updated fade"><p>Tapp Jobs Theme Options Saved.</p></div>';
	echo '<link rel="stylesheet" href="'.get_bloginfo('template_url').'/includes/functions.css" type="text/css" media="all" />';

?>

<div class="wrap">
   	<div id="icon-options-general" class="icon32"><br/></div>

	<h2>Tapp Jobs Theme Options</h2>
	
	<div class="metabox-holder">
	
		<form method="post" action="options.php">
		<?php wp_nonce_field('update-options'); ?>
		
		<div id="tappjobs-options" class="postbox-container main-options-column">
	        <div class="postbox">
			    <h3>Logo Customization Options</h3>
			    
			    <div class="inside">
			    	<p>Enter the path to your custom logo using the field below.</p>
			    
			    	<p class="field-label">e.g. <?php echo get_option('home'); ?>/images/logo.jpg</p>
			    	<p><input class="option-field" id="tappjobs_logo_img" type="text" name="tappjobs_logo_img" value="<?php echo get_option("tappjobs_logo_img"); ?>" /></p>
			    	
			    	<p>
			        	<label for="tappjobs_logo_txt">
				            <input id="tappjobs_logo_txt" type="checkbox" name="tappjobs_logo_txt" value="true"<?php checked(TRUE, (bool) get_option("tappjobs_logo_txt")); ?> /> <?php _e("Use a text logo instead."); ?>
				        </label>
			        </p>
			    	
			        <p class="submit">
						<input type="submit" class="button-primary" value="Save Changes" />
					</p>
			    </div> <!-- inside -->
			</div> <!-- postbox -->
			
			<div class="postbox">
			    <h3>Background Color/Image Configuration</h3>
			    
			    <div class="inside">
			    	<p>Use the options below to configure your site background image and color styles.</p>
			    				    	
					<p>
						<?php $bg = get_option("tappjobs_bg"); ?>
					    <label class="option-label" for="tappjobs_bg">Background Image URL</label>:
					    <input class="option-field" id="tappjobs_bg" type="text" name="tappjobs_bg[img]" value="<?php echo $bg["img"]; ?>" />
					</p>
					
					<p>
            			<input id="tappjobs_bg_fixed" type="checkbox" name="tappjobs_bg[fixed]" value="true"<?php checked(true, (bool) $bg["fixed"] ); ?> />
            			<label for="tappjobs_bg_fixed">Fixed background position.</label>
            		</p>
					
					<div class="table">
						<div class="row">
			            	<div class="option">
			                	<label class="config_level">
									<label>Background Color</label>
								</label>
							</div>
							
							<div class="option-select">	
								<input name="tappjobs_bg[color]" type="text" size="7" value="<?php echo $bg["color"]; ?>" />
							</div>
                		</div>
                		
                		<div class="row">
			            	<div class="option">
			                	<label class="config_level">
									<label>Vertical Alignment</label>
								</label>
							</div>
							
							<div class="option-select">	
								<select name="tappjobs_bg[y]">
									<option<?php selected("top", $bg['y']); ?>>top</option>
									<option<?php selected("middle", $bg['y']); ?>>middle</option>
									<option<?php selected("bottom", $bg['y']); ?>>bottom</option>
								</select>
							</div>
                		</div>
                		
                		<div class="row">
			            	<div class="option">
			                	<label class="config_level">
									<label>Horizontal Alignment</label>
								</label>
							</div>
							
							<div class="option-select">	
								<select name="tappjobs_bg[x]">
									<option<?php selected("left", $bg['x']); ?>>left</option>
									<option<?php selected("center", $bg['x']); ?>>center</option>
									<option<?php selected("right", $bg['x']); ?>>right</option>
								</select>
							</div>
                		</div>
                		
                		<div class="row last">
			            	<div class="option">
			                	<label class="config_level">
									<label>Background Repeat</label>
								</label>
							</div>
							
							<div class="option-select">	
								<select name="tappjobs_bg[repeat]">
									<option value="no-repeat"<?php selected("no-repeat", $bg["repeat"]); ?>>don&#8217;t tile</option>
									<option value="repeat"<?php selected("repeat", $bg["repeat"]); ?>>tile horizontally and vertically</option>
									<option value="repeat-x"<?php selected("repeat-x", $bg["repeat"]); ?>>tile horizontally</option>
									<option value="repeat-y"<?php selected("repeat-y", $bg["repeat"]); ?>>tile vertically</option>
								</select>
							</div>
                		</div>
                		
                		<div class="clearfix"></div>
                	</div>
			    	
			        <p class="submit">
						<input type="submit" class="button-primary" value="Save Changes" />
					</p>
			    </div> <!-- inside -->
			</div> <!-- postbox -->
			
			<div class="postbox">
			    <h3>Twitter Link Options</h3>
			    
			    <div class="inside">
			    	<p>Using Twitter.com? Enter your Twitter link below to enable a Twitter menu item within the header.</p>
			    
			    	<p class="field-label">e.g. http://www.twitter.com/yourtwittername</p>
			    	<p><input class="option-field" id="tappjobs_twitter_link" type="text" name="tappjobs_twitter_link" value="<?php echo get_option("tappjobs_twitter_link"); ?>" /></p>
			    	
			        <p class="submit">
						<input type="submit" class="button-primary" value="Save Changes" />
					</p>
			    </div> <!-- inside -->
			</div> <!-- postbox -->
			
			<input type="hidden" name="action" value="update" />
			<input type="hidden" name="page_options" value="tappjobs_logo_img,tappjobs_logo_txt,tappjobs_bg,tappjobs_bg_position,tappjobs_bg_repeat,tappjobs_bg_fixed,tappjobs_twitter_link" />
		</div>  <!-- postbox-container -->
		
		</form>

        <div class="postbox-container options-column">
            <div class="postbox">
                <h3>Latest Press75.com News</h3>
                
                <div class="inside">
					<?php // Get RSS Feed(s)
					include_once(ABSPATH . WPINC . '/feed.php');
					
					// Get a SimplePie feed object from the specified feed source.
					$rss = fetch_feed('http://www.press75.com/blog/feed/');
					
					// Figure out how many total items there are, but limit it to 5. 
					$maxitems = $rss->get_item_quantity(3); 
					
					// Build an array of all the items, starting with element 0 (first element).
					$rss_items = $rss->get_items(0, $maxitems); 
					?>
					
					<ul>
					    <?php if ($maxitems == 0) echo '<li>No items.</li>';
					    else
					    // Loop through each feed item and display each item as a hyperlink.
					    foreach ( $rss_items as $item ) : ?>
					    <li>
					        <h4><a href='<?php echo $item->get_permalink(); ?>' title='<?php echo 'Posted '.$item->get_date('j F Y | g:i a'); ?>'><?php echo $item->get_title(); ?></a></h4>
					        <?php echo $item->get_description(); ?>
					    </li>
					    <?php endforeach; ?>
					</ul>                	
                </div> <!-- inside -->
            </div> <!-- postbox -->
        </div>  <!-- postbox-container -->
    </div>  <!-- metabox-holder -->
</div> <!-- wrap -->

<?php
}

add_action('admin_menu', "p75_tappjobs_admin_init");

/**
 * Register admin page.
 */
function p75_tappjobs_admin_init()
{
	add_theme_page( "Tapp Jobs Options", "Theme Options", 8, __FILE__, 'p75_tappjobs_admin');
}

/**
 * Enable sidebar widgets.
 */
if ( function_exists('register_sidebar') )
{
	register_sidebar(
		array(
			'before_widget' => '<div id="%1$s" class="widgetblock %2$s">',
			'after_widget' => '</div>',
			'before_title' => '<h3 class="widgettitle">',
			'after_title' => '</h3>',
		)
	);
}

function p75_get_published_posts() {
	global $wpdb;

	return $wpdb->get_results( 'SELECT ID, post_title FROM wp_posts WHERE post_status="publish" AND post_type="post" ORDER BY post_date DESC' );
}

function p75_get_published_pages() {
	global $wpdb;
	
	return $wpdb->get_results( 'SELECT ID, post_title FROM wp_posts WHERE post_status="publish" AND post_type="page" ORDER BY post_date DESC' );
}

function tappjobs_bg() {
	$bg = get_option("tappjobs_bg");
	$fixed = $bg["fixed"] ? "fixed" : "";
	echo "<style>";
	echo "body { background: ".$bg["color"]." url(".$bg["img"].") ".$bg["repeat"]." ".$bg['y']." ".$bg['x']." ".$fixed.";";
	echo "</style>";
}

?>
