<?php

/* Check for Simple Video Embedder */
sve_check();

function sve_check()
{
	if ( !function_exists('p75GetVideo') )
	{
		add_thickbox(); // Required for the plugin install dialog.
		add_action('admin_notices', 'sve_check_notice');
	}
}

// The admin notice.
function sve_check_notice()
{
?>
	<div class='updated fade'>
		<p>The Simple Video Embedder plugin is required for this theme to function properly. <a href="<?php echo admin_url('plugin-install.php?tab=plugin-information&plugin=simple-video-embedder&TB_iframe=true&width=640&height=517'); ?>" class="thickbox onclick">Install now</a>.</p>
	</div>
<?php
}

/* Check for Simple Post Thumbnails */
spt_check();

function spt_check()
{
	if ( !function_exists('p75GetThumbnail') )
	{
		add_thickbox(); // Required for the plugin install dialog.
		add_action('admin_notices', 'spt_check_notice');
	}
}

// The admin notice.
function spt_check_notice()
{
?>
	<div class='updated fade'>
		<p>The Simple Post Thumbnails plugin is required for this theme to function properly. <a href="<?php echo admin_url('plugin-install.php?tab=plugin-information&plugin=simple-post-thumbnails&TB_iframe=true&width=640&height=517'); ?>" class="thickbox onclick">Install now</a>.</p>
	</div>
<?php
}

include('includes/cat-posts.php');
include('includes/simple-sidebar-ads.php');

add_option('p75_default_thumbnail', get_bloginfo('template_url') . '/images/default-thumb.png');

// The options menu

function p75_videoflick_admin() {
	if ( $_GET['updated'] ) echo '<div id="message" class="updated fade"><p>Video Flick Theme Options Saved.</p></div>';
    echo '<link rel="stylesheet" href="'.get_bloginfo('template_url').'/includes/functions.css" type="text/css" media="all" />';
?>

<div class="wrap">
   	<div id="icon-options-general" class="icon32"><br/></div>

	<h2>Video Flick Theme Options</h2>
	
	<div class="metabox-holder">
	
		<form method="post" action="options.php">
		<?php wp_nonce_field('update-options'); ?>
		
		<div id="videoflick-options" class="postbox-container main-options-column">
	        <div class="postbox">
			    <h3>Logo Customization Options</h3>
			    
			    <div class="inside">
			    	<p>Enter the path to your custom logo using the field below.</p>
			    
			    	<p class="field-label">e.g. <?php echo get_option('home'); ?>/images/logo.jpg</p>
			    	<p><input class="option-field" id="videoflick_logo_img" type="text" name="videoflick_logo_img" value="<?php echo get_option("videoflick_logo_img"); ?>" /></p>
			    	
			    	<p>
			        	<label for="videoflick_logo_txt">
				            <input id="videoflick_logo_txt" type="checkbox" name="videoflick_logo_txt" value="true"<?php checked(TRUE, (bool) get_option("videoflick_logo_txt")); ?> /> <?php _e("Use a text logo instead."); ?>
				        </label>
			        </p>
			    	
			        <p class="submit">
						<input type="submit" class="button-primary" value="Save Changes" />
					</p>
			    </div> <!-- inside -->
			</div> <!-- postbox -->
			
			<div class="postbox">
			    <h3>Header Advertisement Configuration</h3>
			    
			    <div class="inside">
			    	<p>Enter the 468x60 advertisement code for the header ad, or leave it blank to disable it.</p>
			    				    	
			    	<p>
						<textarea class="option-field" id="videoflick_header_ad" name="videoflick_header_ad" cols='30' rows='5'><?php echo get_option('videoflick_header_ad'); ?></textarea>
					</p>
			    	
			        <p class="submit">
						<input type="submit" class="button-primary" value="Save Changes" />
					</p>
			    </div> <!-- inside -->
			</div> <!-- postbox -->
			
			<div class="postbox">
			    <h3>Site Style Selection</h3>
			    
			    <div class="inside">
			    	<p>Choose between Dark (default) and Light theme styles.</p>
			    				    	
			    	<p>
						<select id="videoflick_site_style" name="videoflick_site_style">
							<option value="dark"<?php selected('dark', get_option('videoflick_site_style')); ?>><?php _e("Dark"); ?></option>
							<option value="light"<?php selected('light', get_option('videoflick_site_style')); ?>><?php _e("Light"); ?></option>
						</select>
					</p>
			    	
			        <p class="submit">
						<input type="submit" class="button-primary" value="Save Changes" />
					</p>
			    </div> <!-- inside -->
			</div> <!-- postbox -->
			
			<input type="hidden" name="action" value="update" />
			<input type="hidden" name="page_options" value="videoflick_site_style,videoflick_logo_img,videoflick_logo_txt,videoflick_header_ad" />
		</div>  <!-- postbox-container -->
		
		</form>

        <div class="postbox-container options-column">
            <div class="postbox">
                <h3>Latest Press75.com News</h3>
                
                <div class="inside">
					<?php // Get RSS Feed(s)
					include_once(ABSPATH . WPINC . '/feed.php');
					
					// Get a SimplePie feed object from the specified feed source.
					$rss = fetch_feed('http://www.press75.com/blog/feed/');
					
					// Figure out how many total items there are, but limit it to 5. 
					$maxitems = $rss->get_item_quantity(1); 
					
					// Build an array of all the items, starting with element 0 (first element).
					$rss_items = $rss->get_items(0, $maxitems); 
					?>
					
					<ul>
					    <?php if ($maxitems == 0) echo '<li>No items.</li>';
					    else
					    // Loop through each feed item and display each item as a hyperlink.
					    foreach ( $rss_items as $item ) : ?>
					    <li>
					        <h4><a href='<?php echo $item->get_permalink(); ?>' title='<?php echo 'Posted '.$item->get_date('j F Y | g:i a'); ?>'><?php echo $item->get_title(); ?></a></h4>
					        <?php echo $item->get_description(); ?>
					    </li>
					    <?php endforeach; ?>
					</ul>                	
                </div> <!-- inside -->
            </div> <!-- postbox -->
        </div>  <!-- postbox-container -->
    </div>  <!-- metabox-holder -->
</div> <!-- wrap -->

<?php
}

// Add the options page under the appearance menu

add_action('admin_menu', "p75_videoflick_admin_init");

function p75_videoflick_admin_init() {
	add_theme_page( "Theme Options", "Theme Options", 8, __FILE__, 'p75_videoflick_admin');
}

function the_title2($before = '', $after = '', $echo = true, $length = false) {
	$title = get_the_title();
	
	if ( $length && is_numeric($length) ) {
		$title = substr( $title, 0, $length );
	}
	
	if ( strlen($title)> 0 ) {
		$title = apply_filters('the_title2', $before . $title . $after, $before, $after);
		if ( $echo )
			echo $title;
		else
			return $title;
	}
}

if ( function_exists('register_sidebar') )
{
	register_sidebar(
		array
		(
			'before_widget' => '<div id="%1$s" class="widgetblock %2$s">',
			'after_widget' => '</div>',
			'before_title' => '<h3 class="widgettitle">',
			'after_title' => '</h3>',
		)
	);
}

?>
