<?php
/**
 * @package VideoFlick
 */
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>

<head profile="http://gmpg.org/xfn/11">
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />

<?php if (is_single() || is_page() ) : if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
<meta name="description" content="<?php the_excerpt_rss(); ?>" />
<?php endwhile; endif; elseif(is_home()) : ?>
<meta name="description" content="<?php bloginfo('description'); ?>" />
<?php endif; ?>

<title><?php bloginfo('name'); ?> <?php if ( is_single() ) { ?> &raquo; Blog Archive <?php } ?> <?php wp_title(); ?></title>

<link rel="stylesheet" href="<?php bloginfo('template_url'); ?>/style<?php echo get_option('videoflick_site_style')=='light' ? '-light' : ''; ?>.css" type="text/css" media="screen" />
<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS Feed" href="<?php bloginfo('rss2_url'); ?>" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
<link rel="shortcut icon" href="<?php bloginfo('template_url'); ?>/images/favicon.ico" type="image/x-icon" />

<script src="<?php bloginfo('template_url'); ?>/scripts/jquery.min.js" type="text/javascript"></script>
<script src="<?php bloginfo('template_url'); ?>/scripts/jquery.fade.js" type="text/javascript"></script>
<script src="<?php bloginfo('template_url'); ?>/scripts/jquery.superfish.js" type="text/javascript"></script>
<script src="<?php bloginfo('template_url'); ?>/scripts/jquery.hoverintent.js" type="text/javascript"></script>
<script type="text/javascript">
jQuery(function(){
    jQuery('ul.sf-menu').superfish();
});
</script>

<?php wp_head(); ?>
</head>
<body>

<div id="wrapper">

    <div id="headwrap">
    
        <div id="tagline">
            <p><?php echo '' . get_bloginfo ('description'); ?></p>
        </div>
        
        <div id="menu">
            <ul class="sf-menu">
                <li <?php if (is_home()) { echo 'class="current_page_item"'; } ?>><a href="<?php echo get_option('home'); ?>/" title="Home">Home</a></li>
                <li><a href="#" title="Categories">Categories</a>
                    <ul>
                        <?php wp_list_categories('title_li='); ?>
                    </ul>
                </li>
                <?php wp_list_pages('title_li='); ?>
                <li><a href="<?php bloginfo('rss2_url'); ?>" title="Subscribe">Subscribe</a></li>
				<?php wp_register('<li>','</li>'); ?>
            </ul>    
        </div> <!-- menu -->
	
	<?php if ( !get_option('videoflick_logo_txt') ) : ?>
	<!-- if standard logo -->
	<div id="logo">
		<a href="<?php echo get_option('home'); ?>/" title="Home" ><img src="<?php echo ($custom_logo = get_option('videoflick_logo_img'))!='' ? $custom_logo : get_bloginfo('template_url') . "/images/logo.png"; ?>" alt="<?php bloginfo('name'); ?>" /></a>
	</div>
        <?php else : ?>
	<!-- if text logo -->
	<div id="textlogo">
		<h1><a href="<?php echo get_option('home'); ?>/" title="Home" ><?php bloginfo('name'); ?></a></h1>
	</div>
	<?php endif; ?>
        
	<?php if ( ($header_ad = get_option('videoflick_header_ad')) != "" ) : ?>
        <div id="topad">
            <?php echo $header_ad; ?>
        </div>
	<?php endif; ?>
    
    </div> <!-- headwrap -->